# All Documents

- igraph
  index.html
  Package
  Package
  PUBLIC
  igraph library.
- igraph._igraph
  igraph._igraph.html
  Module
  Module
  PRIVATE
  Low-level Python interface for the igraph library. Should not be used directly.
- igraph.adjacency
  igraph.adjacency.html
  Module
  Module
  PUBLIC
  No module docstring; 5/5 functions documented
- igraph.app
  igraph.app.html
  Package
  Package
  PUBLIC
  User interfaces of igraph
- igraph.app.shell
  igraph.app.shell.html
  Module
  Module
  PUBLIC
  Command-line user interface of igraph
- igraph.automorphisms
  igraph.automorphisms.html
  Module
  Module
  PUBLIC
  No module docstring; 2/2 functions documented
- igraph.basic
  igraph.basic.html
  Module
  Module
  PUBLIC
  No module docstring; 8/8 functions documented
- igraph.bipartite
  igraph.bipartite.html
  Module
  Module
  PUBLIC
  No module docstring; 3/3 functions documented
- igraph.clustering
  igraph.clustering.html
  Module
  Module
  PUBLIC
  Classes related to graph clustering.
- igraph.community
  igraph.community.html
  Module
  Module
  PUBLIC
  No module docstring; 13/13 functions documented
- igraph.configuration
  igraph.configuration.html
  Module
  Module
  PUBLIC
  Configuration framework for igraph.
- igraph.cut
  igraph.cut.html
  Module
  Module
  PUBLIC
  Classes representing cuts and flows on graphs.
- igraph.datatypes
  igraph.datatypes.html
  Module
  Module
  PUBLIC
  Additional auxiliary data types
- igraph.drawing
  igraph.drawing.html
  Package
  Package
  PUBLIC
  Drawing and plotting routines for igraph.
- igraph.drawing.baseclasses
  igraph.drawing.baseclasses.html
  Module
  Module
  PUBLIC
  Abstract base classes for the drawing routines.
- igraph.drawing.cairo
  igraph.drawing.cairo.html
  Package
  Package
  PUBLIC
  No package docstring; 10/13 modules documented
- igraph.drawing.cairo.base
  igraph.drawing.cairo.base.html
  Module
  Module
  PUBLIC
  No module docstring; 1/1 class documented
- igraph.drawing.cairo.coord
  igraph.drawing.cairo.coord.html
  Module
  Module
  PUBLIC
  Coordinate systems and related plotting routines
- igraph.drawing.cairo.dendrogram
  igraph.drawing.cairo.dendrogram.html
  Module
  Module
  PUBLIC
  This module provides a dendrogram drawer for the Cairo backend.
- igraph.drawing.cairo.edge
  igraph.drawing.cairo.edge.html
  Module
  Module
  PUBLIC
  Drawers for various edge styles in graph plots.
- igraph.drawing.cairo.graph
  igraph.drawing.cairo.graph.html
  Module
  Module
  PUBLIC
  Drawing routines to draw graphs.
- igraph.drawing.cairo.histogram
  igraph.drawing.cairo.histogram.html
  Module
  Module
  PUBLIC
  This module provides implementation for a Cairo-specific histogram drawer
- igraph.drawing.cairo.matrix
  igraph.drawing.cairo.matrix.html
  Module
  Module
  PUBLIC
  This module provides implementation for a Cairo-specific matrix drawer.
- igraph.drawing.cairo.palette
  igraph.drawing.cairo.palette.html
  Module
  Module
  PUBLIC
  This module provides implementation for a Cairo-specific palette drawer
- igraph.drawing.cairo.plot
  igraph.drawing.cairo.plot.html
  Module
  Module
  PUBLIC
  Drawing and plotting routines for IGraph.
- igraph.drawing.cairo.polygon
  igraph.drawing.cairo.polygon.html
  Module
  Module
  PUBLIC
  No module docstring; 1/1 class documented
- igraph.drawing.cairo.text
  igraph.drawing.cairo.text.html
  Module
  Module
  PUBLIC
  Drawers for labels on plots.
- igraph.drawing.cairo.utils
  igraph.drawing.cairo.utils.html
  Module
  Module
  PUBLIC
  No module docstring; 1/1 function documented
- igraph.drawing.cairo.vertex
  igraph.drawing.cairo.vertex.html
  Module
  Module
  PUBLIC
  This module provides implementations of Cairo-specific vertex drawers, i.e. drawers that the Cairo graph drawer will use to draw vertices.
- igraph.drawing.colors
  igraph.drawing.colors.html
  Module
  Module
  PUBLIC
  Color handling functions.
- igraph.drawing.graph
  igraph.drawing.graph.html
  Module
  Module
  PUBLIC
  Drawing routines to draw graphs.
- igraph.drawing.matplotlib
  igraph.drawing.matplotlib.html
  Package
  Package
  PUBLIC
  No package docstring; 7/9 modules documented
- igraph.drawing.matplotlib.dendrogram
  igraph.drawing.matplotlib.dendrogram.html
  Module
  Module
  PUBLIC
  Drawing routines to draw the matrices.
- igraph.drawing.matplotlib.edge
  igraph.drawing.matplotlib.edge.html
  Module
  Module
  PUBLIC
  Drawers for various edge styles in Matplotlib graph plots.
- igraph.drawing.matplotlib.graph
  igraph.drawing.matplotlib.graph.html
  Module
  Module
  PUBLIC
  Drawing routines to draw graphs.
- igraph.drawing.matplotlib.histogram
  igraph.drawing.matplotlib.histogram.html
  Module
  Module
  PUBLIC
  This module provides implementation for a Matplotlib-specific histogram drawer.
- igraph.drawing.matplotlib.matrix
  igraph.drawing.matplotlib.matrix.html
  Module
  Module
  PUBLIC
  This module provides implementation for a Matplotlib-specific matrix drawer.
- igraph.drawing.matplotlib.palette
  igraph.drawing.matplotlib.palette.html
  Module
  Module
  PUBLIC
  This module provides implementation for a Matplotlib-specific palette drawer.
- igraph.drawing.matplotlib.polygon
  igraph.drawing.matplotlib.polygon.html
  Module
  Module
  PUBLIC
  No module docstring; 0/2 variable, 1/1 class documented
- igraph.drawing.matplotlib.utils
  igraph.drawing.matplotlib.utils.html
  Module
  Module
  PUBLIC
  No module docstring; 1/1 function documented
- igraph.drawing.matplotlib.vertex
  igraph.drawing.matplotlib.vertex.html
  Module
  Module
  PUBLIC
  This module provides implementations of Matplotlib-specific vertex drawers, i.e. drawers that the Matplotlib graph drawer will use to draw vertices.
- igraph.drawing.metamagic
  igraph.drawing.metamagic.html
  Module
  Module
  PUBLIC
  Auxiliary classes for the default graph drawer in igraph.
- igraph.drawing.plotly
  igraph.drawing.plotly.html
  Package
  Package
  PUBLIC
  No package docstring; 3/5 modules documented
- igraph.drawing.plotly.edge
  igraph.drawing.plotly.edge.html
  Module
  Module
  PUBLIC
  Drawers for various edge styles in Matplotlib graph plots.
- igraph.drawing.plotly.graph
  igraph.drawing.plotly.graph.html
  Module
  Module
  PUBLIC
  Drawing routines to draw graphs.
- igraph.drawing.plotly.polygon
  igraph.drawing.plotly.polygon.html
  Module
  Module
  PUBLIC
  No module docstring; 0/1 variable, 1/1 class documented
- igraph.drawing.plotly.utils
  igraph.drawing.plotly.utils.html
  Module
  Module
  PUBLIC
  No module docstring; 4/4 functions documented
- igraph.drawing.plotly.vertex
  igraph.drawing.plotly.vertex.html
  Module
  Module
  PUBLIC
  Vertices drawer. Unlike other backends, all vertices are drawn at once
- igraph.drawing.shapes
  igraph.drawing.shapes.html
  Module
  Module
  PUBLIC
  Shape drawing classes for igraph
- igraph.drawing.text
  igraph.drawing.text.html
  Module
  Module
  PUBLIC
  Drawers for labels on plots.
- igraph.drawing.utils
  igraph.drawing.utils.html
  Module
  Module
  PUBLIC
  Utility classes for drawing routines.
- igraph.formula
  igraph.formula.html
  Module
  Module
  PUBLIC
  Implementation of `igraph.Graph.Formula()`.
- igraph.io
  igraph.io.html
  Package
  Package
  PUBLIC
  Undocumented
- igraph.io.adjacency
  igraph.io.adjacency.html
  Module
  Module
  PUBLIC
  No module docstring; 2/2 functions documented
- igraph.io.bipartite
  igraph.io.bipartite.html
  Module
  Module
  PUBLIC
  No module docstring; 4/4 functions documented
- igraph.io.files
  igraph.io.files.html
  Module
  Module
  PUBLIC
  No module docstring; 13/13 functions documented
- igraph.io.images
  igraph.io.images.html
  Module
  Module
  PUBLIC
  No module docstring; 1/1 function documented
- igraph.io.libraries
  igraph.io.libraries.html
  Module
  Module
  PUBLIC
  No module docstring; 4/4 functions documented
- igraph.io.objects
  igraph.io.objects.html
  Module
  Module
  PUBLIC
  No module docstring; 11/11 functions documented
- igraph.io.random
  igraph.io.random.html
  Module
  Module
  PUBLIC
  No module docstring; 1/1 function documented
- igraph.io.utils
  igraph.io.utils.html
  Module
  Module
  PUBLIC
  No module docstring; 1/1 function documented
- igraph.layout
  igraph.layout.html
  Module
  Module
  PUBLIC
  Layout-related code in the igraph library.
- igraph.matching
  igraph.matching.html
  Module
  Module
  PUBLIC
  Classes representing matchings on graphs.
- igraph.operators
  igraph.operators.html
  Package
  Package
  PUBLIC
  Implementation of union, disjoint union and intersection operators.
- igraph.operators.functions
  igraph.operators.functions.html
  Module
  Module
  PUBLIC
  Implementation of union, disjoint union and intersection operators.
- igraph.operators.methods
  igraph.operators.methods.html
  Module
  Module
  PUBLIC
  No module docstring; 10/10 functions documented
- igraph.remote
  igraph.remote.html
  Package
  Package
  PUBLIC
  Classes that help igraph communicate with remote applications.
- igraph.remote.gephi
  igraph.remote.gephi.html
  Module
  Module
  PUBLIC
  Classes that help igraph communicate with Gephi (http://www.gephi.org).
- igraph.seq
  igraph.seq.html
  Module
  Module
  PUBLIC
  No module docstring; 1/2 function documented
- igraph.sparse_matrix
  igraph.sparse_matrix.html
  Module
  Module
  PUBLIC
  Implementation of Python-level sparse matrix operations.
- igraph.statistics
  igraph.statistics.html
  Module
  Module
  PUBLIC
  Statistics related stuff in igraph
- igraph.structural
  igraph.structural.html
  Module
  Module
  PUBLIC
  No module docstring; 5/5 functions documented
- igraph.summary
  igraph.summary.html
  Module
  Module
  PUBLIC
  Summary representation of a graph.
- igraph.utils
  igraph.utils.html
  Module
  Module
  PUBLIC
  Utility functions that cannot be categorised anywhere else.
- igraph.version
  igraph.version.html
  Module
  Module
  PUBLIC
  Undocumented
- igraph.__license__
  index.html#__license__
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph._igraph._compare_communities
  igraph._igraph.html#_compare_communities
  Function
  Function
  PRIVATE
  Undocumented
- igraph._igraph._power_law_fit
  igraph._igraph.html#_power_law_fit
  Function
  Function
  PRIVATE
  Undocumented
- igraph._igraph._split_join_distance
  igraph._igraph.html#_split_join_distance
  Function
  Function
  PRIVATE
  Undocumented
- igraph._igraph._disjoint_union
  igraph._igraph.html#_disjoint_union
  Function
  Function
  PRIVATE
  Undocumented
- igraph._igraph._union
  igraph._igraph.html#_union
  Function
  Function
  PRIVATE
  Undocumented
- igraph._igraph._intersection
  igraph._igraph.html#_intersection
  Function
  Function
  PRIVATE
  Undocumented
- igraph._igraph._enter_safelocale
  igraph._igraph.html#_enter_safelocale
  Function
  Function
  PRIVATE
  Helper function for the `safe_locale()` context manager. Do not use directly in your own code.
- igraph._igraph._exit_safelocale
  igraph._igraph.html#_exit_safelocale
  Function
  Function
  PRIVATE
  Helper function for the `safe_locale()` context manager. Do not use directly in your own code.
- igraph._igraph.EdgeSeq
  igraph._igraph.EdgeSeq.html
  Class
  Class
  PUBLIC
  Low-level representation of an edge sequence.
- igraph._igraph.EdgeSeq.attribute_names
  igraph._igraph.EdgeSeq.html#attribute_names
  Function
  Method
  PUBLIC
  Returns the attribute name list of the graph's edges
- igraph._igraph.EdgeSeq.find
  igraph._igraph.EdgeSeq.html#find
  Function
  Method
  PUBLIC
  For internal use only.
- igraph._igraph.EdgeSeq.get_attribute_values
  igraph._igraph.EdgeSeq.html#get_attribute_values
  Function
  Method
  PUBLIC
  Returns the value of a given edge attribute for all edges.
- igraph._igraph.EdgeSeq.is_all
  igraph._igraph.EdgeSeq.html#is_all
  Function
  Method
  PUBLIC
  Returns whether the edge sequence contains all the edges exactly once, in the order of their edge IDs.
- igraph._igraph.EdgeSeq.set_attribute_values
  igraph._igraph.EdgeSeq.html#set_attribute_values
  Function
  Method
  PUBLIC
  Sets the value of a given edge attribute for all vertices
- igraph._igraph.EdgeSeq.select
  igraph._igraph.EdgeSeq.html#select
  Function
  Method
  PUBLIC
  For internal use only.
- igraph._igraph.VertexSeq
  igraph._igraph.VertexSeq.html
  Class
  Class
  PUBLIC
  Low-level representation of a vertex sequence.
- igraph._igraph.VertexSeq.attribute_names
  igraph._igraph.VertexSeq.html#attribute_names
  Function
  Method
  PUBLIC
  Returns the attribute name list of the graph's vertices
- igraph._igraph.VertexSeq.find
  igraph._igraph.VertexSeq.html#find
  Function
  Method
  PUBLIC
  For internal use only.
- igraph._igraph.VertexSeq.get_attribute_values
  igraph._igraph.VertexSeq.html#get_attribute_values
  Function
  Method
  PUBLIC
  Returns the value of a given vertex attribute for all vertices in a list.
- igraph._igraph.VertexSeq.set_attribute_values
  igraph._igraph.VertexSeq.html#set_attribute_values
  Function
  Method
  PUBLIC
  Sets the value of a given vertex attribute for all vertices
- igraph._igraph.VertexSeq.select
  igraph._igraph.VertexSeq.html#select
  Function
  Method
  PUBLIC
  For internal use only.
- igraph._igraph.VertexSeq._reindex_names
  igraph._igraph.VertexSeq.html#_reindex_names
  Function
  Method
  PRIVATE
  Re-creates the dictionary that maps vertex names to IDs.
- igraph.ARPACKOptions
  igraph.ARPACKOptions.html
  Class
  Class
  PUBLIC
  Class representing the parameters of the ARPACK module.
- igraph.BFSIter
  igraph.BFSIter.html
  Class
  Class
  PUBLIC
  igraph BFS iterator object
- igraph.DFSIter
  igraph.DFSIter.html
  Class
  Class
  PUBLIC
  igraph DFS iterator object
- igraph.Edge
  igraph.Edge.html
  Class
  Class
  PUBLIC
  Class representing a single edge in a graph.
- igraph.Edge.attributes
  igraph.Edge.html#attributes
  Function
  Method
  PUBLIC
  Returns a dict of attribute names and values for the edge
- igraph.Edge.attribute_names
  igraph.Edge.html#attribute_names
  Function
  Method
  PUBLIC
  Returns the list of edge attribute names
- igraph.Edge.update_attributes
  igraph.Edge.html#update_attributes
  Function
  Method
  PUBLIC
  Updates the attributes of the edge from dict/iterable E and F.
- igraph.Edge.count_multiple
  igraph.Edge.html#count_multiple
  Function
  Method
  PUBLIC
  Proxy method to `Graph.count_multiple()`
- igraph.Edge.delete
  igraph.Edge.html#delete
  Function
  Method
  PUBLIC
  Proxy method to `Graph.delete_edges()`
- igraph.Edge.is_loop
  igraph.Edge.html#is_loop
  Function
  Method
  PUBLIC
  Proxy method to `Graph.is_loop()`
- igraph.Edge.is_multiple
  igraph.Edge.html#is_multiple
  Function
  Method
  PUBLIC
  Proxy method to `Graph.is_multiple()`
- igraph.Edge.is_mutual
  igraph.Edge.html#is_mutual
  Function
  Method
  PUBLIC
  Proxy method to `Graph.is_mutual()`
- igraph.GraphBase
  igraph.GraphBase.html
  Class
  Class
  PUBLIC
  Low-level representation of a graph.
- igraph.GraphBase.__new__
  igraph.GraphBase.html#__new__
  Function
  Method
  PUBLIC
  Create and return a new object. See help(type) for accurate signature.
- igraph.GraphBase.vcount
  igraph.GraphBase.html#vcount
  Function
  Method
  PUBLIC
  Counts the number of vertices.
- igraph.GraphBase.ecount
  igraph.GraphBase.html#ecount
  Function
  Method
  PUBLIC
  Counts the number of edges.
- igraph.GraphBase.is_directed
  igraph.GraphBase.html#is_directed
  Function
  Method
  PUBLIC
  Checks whether the graph is directed.
- igraph.GraphBase.is_simple
  igraph.GraphBase.html#is_simple
  Function
  Method
  PUBLIC
  Checks whether the graph is simple (no loop or multiple edges).
- igraph.GraphBase.is_tree
  igraph.GraphBase.html#is_tree
  Function
  Method
  PUBLIC
  Checks whether the graph is a (directed or undirected) tree graph.
- igraph.GraphBase.add_vertices
  igraph.GraphBase.html#add_vertices
  Function
  Method
  PUBLIC
  Adds vertices to the graph.
- igraph.GraphBase.delete_vertices
  igraph.GraphBase.html#delete_vertices
  Function
  Method
  PUBLIC
  Deletes vertices and all its edges from the graph.
- igraph.GraphBase.add_edges
  igraph.GraphBase.html#add_edges
  Function
  Method
  PUBLIC
  Adds edges to the graph.
- igraph.GraphBase.delete_edges
  igraph.GraphBase.html#delete_edges
  Function
  Method
  PUBLIC
  Removes edges from the graph.
- igraph.GraphBase.degree
  igraph.GraphBase.html#degree
  Function
  Method
  PUBLIC
  Returns some vertex degrees from the graph.
- igraph.GraphBase.strength
  igraph.GraphBase.html#strength
  Function
  Method
  PUBLIC
  Returns the strength (weighted degree) of some vertices from the graph
- igraph.GraphBase.is_loop
  igraph.GraphBase.html#is_loop
  Function
  Method
  PUBLIC
  Checks whether a specific set of edges contain loop edges
- igraph.GraphBase.is_multiple
  igraph.GraphBase.html#is_multiple
  Function
  Method
  PUBLIC
  Checks whether an edge is a multiple edge.
- igraph.GraphBase.has_multiple
  igraph.GraphBase.html#has_multiple
  Function
  Method
  PUBLIC
  Checks whether the graph has multiple edges.
- igraph.GraphBase.is_mutual
  igraph.GraphBase.html#is_mutual
  Function
  Method
  PUBLIC
  Checks whether an edge has an opposite pair.
- igraph.GraphBase.count_multiple
  igraph.GraphBase.html#count_multiple
  Function
  Method
  PUBLIC
  Counts the multiplicities of the given edges.
- igraph.GraphBase.neighbors
  igraph.GraphBase.html#neighbors
  Function
  Method
  PUBLIC
  Returns adjacent vertices to a given vertex.
- igraph.GraphBase.successors
  igraph.GraphBase.html#successors
  Function
  Method
  PUBLIC
  Returns the successors of a given vertex.
- igraph.GraphBase.predecessors
  igraph.GraphBase.html#predecessors
  Function
  Method
  PUBLIC
  Returns the predecessors of a given vertex.
- igraph.GraphBase.get_eid
  igraph.GraphBase.html#get_eid
  Function
  Method
  PUBLIC
  Returns the edge ID of an arbitrary edge between vertices v1 and v2
- igraph.GraphBase.get_eids
  igraph.GraphBase.html#get_eids
  Function
  Method
  PUBLIC
  Returns the edge IDs of some edges between some vertices.
- igraph.GraphBase.incident
  igraph.GraphBase.html#incident
  Function
  Method
  PUBLIC
  Returns the edges a given vertex is incident on.
- igraph.GraphBase.Adjacency
  igraph.GraphBase.html#Adjacency
  Function
  Method
  PUBLIC
  Generates a graph from its adjacency matrix.
- igraph.GraphBase.Asymmetric_Preference
  igraph.GraphBase.html#Asymmetric_Preference
  Function
  Method
  PUBLIC
  Generates a graph based on asymmetric vertex types and connection probabilities.
- igraph.GraphBase.Atlas
  igraph.GraphBase.html#Atlas
  Function
  Method
  PUBLIC
  Generates a graph from the Graph Atlas.
- igraph.GraphBase.Barabasi
  igraph.GraphBase.html#Barabasi
  Function
  Method
  PUBLIC
  Generates a graph based on the Barabási-Albert model.
- igraph.GraphBase._Bipartite
  igraph.GraphBase.html#_Bipartite
  Function
  Method
  PRIVATE
  Internal function, undocumented.
- igraph.GraphBase.De_Bruijn
  igraph.GraphBase.html#De_Bruijn
  Function
  Method
  PUBLIC
  Generates a de Bruijn graph with parameters (m, n)
- igraph.GraphBase.Establishment
  igraph.GraphBase.html#Establishment
  Function
  Method
  PUBLIC
  Generates a graph based on a simple growing model with vertex types.
- igraph.GraphBase.Erdos_Renyi
  igraph.GraphBase.html#Erdos_Renyi
  Function
  Method
  PUBLIC
  Generates a graph based on the Erdős-Rényi model.
- igraph.GraphBase.Famous
  igraph.GraphBase.html#Famous
  Function
  Method
  PUBLIC
  Generates a famous graph based on its name.
- igraph.GraphBase.Forest_Fire
  igraph.GraphBase.html#Forest_Fire
  Function
  Method
  PUBLIC
  Generates a graph based on the forest fire model
- igraph.GraphBase.Full_Citation
  igraph.GraphBase.html#Full_Citation
  Function
  Method
  PUBLIC
  Generates a full citation graph
- igraph.GraphBase.Full
  igraph.GraphBase.html#Full
  Function
  Method
  PUBLIC
  Generates a full graph (directed or undirected, with or without loops).
- igraph.GraphBase._Full_Bipartite
  igraph.GraphBase.html#_Full_Bipartite
  Function
  Method
  PRIVATE
  Internal function, undocumented.
- igraph.GraphBase._GRG
  igraph.GraphBase.html#_GRG
  Function
  Method
  PRIVATE
  Internal function, undocumented.
- igraph.GraphBase.Growing_Random
  igraph.GraphBase.html#Growing_Random
  Function
  Method
  PUBLIC
  Generates a growing random graph.
- igraph.GraphBase.Hexagonal_Lattice
  igraph.GraphBase.html#Hexagonal_Lattice
  Function
  Method
  PUBLIC
  Generates a regular hexagonal lattice.
- igraph.GraphBase._Biadjacency
  igraph.GraphBase.html#_Biadjacency
  Function
  Method
  PRIVATE
  Internal function, undocumented.
- igraph.GraphBase.Kautz
  igraph.GraphBase.html#Kautz
  Function
  Method
  PUBLIC
  Generates a Kautz graph with parameters (m, n)
- igraph.GraphBase.K_Regular
  igraph.GraphBase.html#K_Regular
  Function
  Method
  PUBLIC
  Generates a k-regular random graph
- igraph.GraphBase.Preference
  igraph.GraphBase.html#Preference
  Function
  Method
  PUBLIC
  Generates a graph based on vertex types and connection probabilities.
- igraph.GraphBase.Prufer
  igraph.GraphBase.html#Prufer
  Function
  Method
  PUBLIC
  Generates a tree from its Prüfer sequence.
- igraph.GraphBase._Random_Bipartite
  igraph.GraphBase.html#_Random_Bipartite
  Function
  Method
  PRIVATE
  Internal function, undocumented.
- igraph.GraphBase.Recent_Degree
  igraph.GraphBase.html#Recent_Degree
  Function
  Method
  PUBLIC
  Generates a graph based on a stochastic model where the probability of an edge gaining a new node is proportional to the edges gained in a given time window.
- igraph.GraphBase.SBM
  igraph.GraphBase.html#SBM
  Function
  Method
  PUBLIC
  Generates a graph based on a stochastic block model.
- igraph.GraphBase.Star
  igraph.GraphBase.html#Star
  Function
  Method
  PUBLIC
  Generates a star graph.
- igraph.GraphBase.Lattice
  igraph.GraphBase.html#Lattice
  Function
  Method
  PUBLIC
  Generates a regular square lattice.
- igraph.GraphBase.LCF
  igraph.GraphBase.html#LCF
  Function
  Method
  PUBLIC
  Generates a graph from LCF notation.
- igraph.GraphBase.Realize_Degree_Sequence
  igraph.GraphBase.html#Realize_Degree_Sequence
  Function
  Method
  PUBLIC
  Generates a graph from a degree sequence.
- igraph.GraphBase.Realize_Bipartite_Degree_Sequence
  igraph.GraphBase.html#Realize_Bipartite_Degree_Sequence
  Function
  Method
  PUBLIC
  Generates a bipartite graph from the degree sequences of its partitions.
- igraph.GraphBase.Ring
  igraph.GraphBase.html#Ring
  Function
  Method
  PUBLIC
  Generates a ring graph.
- igraph.GraphBase.Static_Fitness
  igraph.GraphBase.html#Static_Fitness
  Function
  Method
  PUBLIC
  Generates a non-growing graph with edge probabilities proportional to node fitnesses.
- igraph.GraphBase.Static_Power_Law
  igraph.GraphBase.html#Static_Power_Law
  Function
  Method
  PUBLIC
  Generates a non-growing graph with prescribed power-law degree distributions.
- igraph.GraphBase.Tree
  igraph.GraphBase.html#Tree
  Function
  Method
  PUBLIC
  Generates a tree in which almost all vertices have the same number of children.
- igraph.GraphBase.Degree_Sequence
  igraph.GraphBase.html#Degree_Sequence
  Function
  Method
  PUBLIC
  Generates a graph with a given degree sequence.
- igraph.GraphBase.Isoclass
  igraph.GraphBase.html#Isoclass
  Function
  Method
  PUBLIC
  Generates a graph with a given isomorphism class.
- igraph.GraphBase.Tree_Game
  igraph.GraphBase.html#Tree_Game
  Function
  Method
  PUBLIC
  Generates a random tree by sampling uniformly from the set of labelled trees with a given number of nodes.
- igraph.GraphBase.Triangular_Lattice
  igraph.GraphBase.html#Triangular_Lattice
  Function
  Method
  PUBLIC
  Generates a regular triangular lattice.
- igraph.GraphBase.Watts_Strogatz
  igraph.GraphBase.html#Watts_Strogatz
  Function
  Method
  PUBLIC
  This function generates networks with the small-world property based on a variant of the Watts-Strogatz model. The network is obtained by first creating a periodic undirected lattice, then rewiring both endpoints of each edge with probability ...
- igraph.GraphBase._Weighted_Adjacency
  igraph.GraphBase.html#_Weighted_Adjacency
  Function
  Method
  PRIVATE
  Generates a graph from its adjacency matrix.
- igraph.GraphBase.are_connected
  igraph.GraphBase.html#are_connected
  Function
  Method
  PUBLIC
  Decides whether two given vertices are directly connected.
- igraph.GraphBase.articulation_points
  igraph.GraphBase.html#articulation_points
  Function
  Method
  PUBLIC
  Returns the list of articulation points in the graph.
- igraph.GraphBase.assortativity
  igraph.GraphBase.html#assortativity
  Function
  Method
  PUBLIC
  Returns the assortativity of the graph based on numeric properties of the vertices.
- igraph.GraphBase.assortativity_degree
  igraph.GraphBase.html#assortativity_degree
  Function
  Method
  PUBLIC
  Returns the assortativity of a graph based on vertex degrees.
- igraph.GraphBase.assortativity_nominal
  igraph.GraphBase.html#assortativity_nominal
  Function
  Method
  PUBLIC
  Returns the assortativity of the graph based on vertex categories.
- igraph.GraphBase.average_path_length
  igraph.GraphBase.html#average_path_length
  Function
  Method
  PUBLIC
  Calculates the average path length in a graph.
- igraph.GraphBase.authority_score
  igraph.GraphBase.html#authority_score
  Function
  Method
  PUBLIC
  Calculates Kleinberg's authority score for the vertices of the graph
- igraph.GraphBase.betweenness
  igraph.GraphBase.html#betweenness
  Function
  Method
  PUBLIC
  Calculates or estimates the betweenness of vertices in a graph.
- igraph.GraphBase.biconnected_components
  igraph.GraphBase.html#biconnected_components
  Function
  Method
  PUBLIC
  Calculates the biconnected components of the graph.
- igraph.GraphBase.bipartite_projection
  igraph.GraphBase.html#bipartite_projection
  Function
  Method
  PUBLIC
  Internal function, undocumented.
- igraph.GraphBase.bipartite_projection_size
  igraph.GraphBase.html#bipartite_projection_size
  Function
  Method
  PUBLIC
  Internal function, undocumented.
- igraph.GraphBase.bridges
  igraph.GraphBase.html#bridges
  Function
  Method
  PUBLIC
  Returns the list of bridges in the graph.
- igraph.GraphBase.chordal_completion
  igraph.GraphBase.html#chordal_completion
  Function
  Method
  PUBLIC
  Returns the list of edges needed to be added to the graph to make it chordal.
- igraph.GraphBase.closeness
  igraph.GraphBase.html#closeness
  Function
  Method
  PUBLIC
  Calculates the closeness centralities of given vertices in a graph.
- igraph.GraphBase.harmonic_centrality
  igraph.GraphBase.html#harmonic_centrality
  Function
  Method
  PUBLIC
  Calculates the harmonic centralities of given vertices in a graph.
- igraph.GraphBase.connected_components
  igraph.GraphBase.html#connected_components
  Function
  Method
  PUBLIC
  Calculates the (strong or weak) connected components for a given graph.
- igraph.GraphBase.copy
  igraph.GraphBase.html#copy
  Function
  Method
  PUBLIC
  Creates a copy of the graph.
- igraph.GraphBase.decompose
  igraph.GraphBase.html#decompose
  Function
  Method
  PUBLIC
  Decomposes the graph into subgraphs.
- igraph.GraphBase.contract_vertices
  igraph.GraphBase.html#contract_vertices
  Function
  Method
  PUBLIC
  Contracts some vertices in the graph, i.e. replaces groups of vertices with single vertices. Edges are not affected.
- igraph.GraphBase.constraint
  igraph.GraphBase.html#constraint
  Function
  Method
  PUBLIC
  Calculates Burt's constraint scores for given vertices in a graph.
- igraph.GraphBase.density
  igraph.GraphBase.html#density
  Function
  Method
  PUBLIC
  Calculates the density of the graph.
- igraph.GraphBase.diameter
  igraph.GraphBase.html#diameter
  Function
  Method
  PUBLIC
  Calculates the diameter of the graph.
- igraph.GraphBase.get_diameter
  igraph.GraphBase.html#get_diameter
  Function
  Method
  PUBLIC
  Returns a path with the actual diameter of the graph.
- igraph.GraphBase.farthest_points
  igraph.GraphBase.html#farthest_points
  Function
  Method
  PUBLIC
  Returns two vertex IDs whose distance equals the actual diameter of the graph.
- igraph.GraphBase.diversity
  igraph.GraphBase.html#diversity
  Function
  Method
  PUBLIC
  Calculates the structural diversity index of the vertices.
- igraph.GraphBase.eccentricity
  igraph.GraphBase.html#eccentricity
  Function
  Method
  PUBLIC
  Calculates the eccentricities of given vertices in a graph.
- igraph.GraphBase.edge_betweenness
  igraph.GraphBase.html#edge_betweenness
  Function
  Method
  PUBLIC
  Calculates or estimates the edge betweennesses in a graph.
- igraph.GraphBase.eigen_adjacency
  igraph.GraphBase.html#eigen_adjacency
  Function
  Method
  PUBLIC
  Undocumented
- igraph.GraphBase.edge_connectivity
  igraph.GraphBase.html#edge_connectivity
  Function
  Method
  PUBLIC
  Calculates the edge connectivity of the graph or between some vertices.
- igraph.GraphBase.eigenvector_centrality
  igraph.GraphBase.html#eigenvector_centrality
  Function
  Method
  PUBLIC
  Calculates the eigenvector centralities of the vertices in a graph.
- igraph.GraphBase.feedback_arc_set
  igraph.GraphBase.html#feedback_arc_set
  Function
  Method
  PUBLIC
  Calculates an approximately or exactly minimal feedback arc set.
- igraph.GraphBase.get_shortest_path
  igraph.GraphBase.html#get_shortest_path
  Function
  Method
  PUBLIC
  Calculates the shortest path from a source vertex to a target vertex in a graph.
- igraph.GraphBase.get_shortest_paths
  igraph.GraphBase.html#get_shortest_paths
  Function
  Method
  PUBLIC
  Calculates the shortest paths from/to a given node in a graph.
- igraph.GraphBase.get_all_shortest_paths
  igraph.GraphBase.html#get_all_shortest_paths
  Function
  Method
  PUBLIC
  Calculates all of the shortest paths from/to a given node in a graph.
- igraph.GraphBase.get_k_shortest_paths
  igraph.GraphBase.html#get_k_shortest_paths
  Function
  Method
  PUBLIC
  Calculates the k shortest paths from/to a given node in a graph.
- igraph.GraphBase.get_shortest_path_astar
  igraph.GraphBase.html#get_shortest_path_astar
  Function
  Method
  PUBLIC
  Calculates the shortest path from a source vertex to a target vertex in a graph using the A-Star algorithm and a heuristic function.
- igraph.GraphBase._get_all_simple_paths
  igraph.GraphBase.html#_get_all_simple_paths
  Function
  Method
  PRIVATE
  Internal function, undocumented.
- igraph.GraphBase.girth
  igraph.GraphBase.html#girth
  Function
  Method
  PUBLIC
  Returns the girth of the graph.
- igraph.GraphBase.convergence_degree
  igraph.GraphBase.html#convergence_degree
  Function
  Method
  PUBLIC
  Undocumented (yet).
- igraph.GraphBase.convergence_field_size
  igraph.GraphBase.html#convergence_field_size
  Function
  Method
  PUBLIC
  Undocumented (yet).
- igraph.GraphBase.hub_score
  igraph.GraphBase.html#hub_score
  Function
  Method
  PUBLIC
  Calculates Kleinberg's hub score for the vertices of the graph
- igraph.GraphBase.induced_subgraph
  igraph.GraphBase.html#induced_subgraph
  Function
  Method
  PUBLIC
  Returns a subgraph spanned by the given vertices.
- igraph.GraphBase.is_bipartite
  igraph.GraphBase.html#is_bipartite
  Function
  Method
  PUBLIC
  Decides whether the graph is bipartite or not.
- igraph.GraphBase.is_chordal
  igraph.GraphBase.html#is_chordal
  Function
  Method
  PUBLIC
  Returns whether the graph is chordal or not.
- igraph.GraphBase.knn
  igraph.GraphBase.html#knn
  Function
  Method
  PUBLIC
  Calculates the average degree of the neighbors for each vertex, and the same quantity as the function of vertex degree.
- igraph.GraphBase.is_connected
  igraph.GraphBase.html#is_connected
  Function
  Method
  PUBLIC
  Decides whether the graph is connected.
- igraph.GraphBase.is_biconnected
  igraph.GraphBase.html#is_biconnected
  Function
  Method
  PUBLIC
  Decides whether the graph is biconnected.
- igraph.GraphBase.linegraph
  igraph.GraphBase.html#linegraph
  Function
  Method
  PUBLIC
  Returns the line graph of the graph.
- igraph.GraphBase.maxdegree
  igraph.GraphBase.html#maxdegree
  Function
  Method
  PUBLIC
  Returns the maximum degree of a vertex set in the graph.
- igraph.GraphBase.maximum_cardinality_search
  igraph.GraphBase.html#maximum_cardinality_search
  Function
  Method
  PUBLIC
  Conducts a maximum cardinality search on the graph. The function computes a rank alpha for each vertex such that visiting vertices in decreasing rank order corresponds to always choosing the vertex with the most already visited neighbors as the next one to visit.
- igraph.GraphBase.neighborhood
  igraph.GraphBase.html#neighborhood
  Function
  Method
  PUBLIC
  For each vertex specified by vertices, returns the vertices reachable from that vertex in at most order steps. If mindist is larger than zero, vertices that are reachable in less than mindist steps are excluded.
- igraph.GraphBase.neighborhood_size
  igraph.GraphBase.html#neighborhood_size
  Function
  Method
  PUBLIC
  For each vertex specified by vertices, returns the number of vertices reachable from that vertex in at most order steps. If mindist is larger than zero, vertices that are reachable in less than mindist...
- igraph.GraphBase.personalized_pagerank
  igraph.GraphBase.html#personalized_pagerank
  Function
  Method
  PUBLIC
  Calculates the personalized PageRank values of a graph.
- igraph.GraphBase.path_length_hist
  igraph.GraphBase.html#path_length_hist
  Function
  Method
  PUBLIC
  Calculates the path length histogram of the graph Attention: this function is wrapped in a more convenient syntax in the derived class `Graph`. It is advised to use that instead of this version.
- igraph.GraphBase.permute_vertices
  igraph.GraphBase.html#permute_vertices
  Function
  Method
  PUBLIC
  Permutes the vertices of the graph according to the given permutation and returns the new graph.
- igraph.GraphBase.radius
  igraph.GraphBase.html#radius
  Function
  Method
  PUBLIC
  Calculates the radius of the graph.
- igraph.GraphBase.reciprocity
  igraph.GraphBase.html#reciprocity
  Function
  Method
  PUBLIC
  Reciprocity defines the proportion of mutual connections in a directed graph. It is most commonly defined as the probability that the opposite counterpart of a directed edge is also included in the graph...
- igraph.GraphBase.rewire
  igraph.GraphBase.html#rewire
  Function
  Method
  PUBLIC
  Randomly rewires the graph while preserving the degree distribution.
- igraph.GraphBase.rewire_edges
  igraph.GraphBase.html#rewire_edges
  Function
  Method
  PUBLIC
  Rewires the edges of a graph with constant probability.
- igraph.GraphBase.distances
  igraph.GraphBase.html#distances
  Function
  Method
  PUBLIC
  Calculates shortest path lengths for given vertices in a graph.
- igraph.GraphBase.simplify
  igraph.GraphBase.html#simplify
  Function
  Method
  PUBLIC
  Simplifies a graph by removing self-loops and/or multiple edges.
- igraph.GraphBase._spanning_tree
  igraph.GraphBase.html#_spanning_tree
  Function
  Method
  PRIVATE
  Internal function, undocumented.
- igraph.GraphBase.subcomponent
  igraph.GraphBase.html#subcomponent
  Function
  Method
  PUBLIC
  Determines the indices of vertices which are in the same component as a given vertex.
- igraph.GraphBase.subgraph_edges
  igraph.GraphBase.html#subgraph_edges
  Function
  Method
  PUBLIC
  Returns a subgraph spanned by the given edges.
- igraph.GraphBase.topological_sorting
  igraph.GraphBase.html#topological_sorting
  Function
  Method
  PUBLIC
  Calculates a possible topological sorting of the graph.
- igraph.GraphBase.to_prufer
  igraph.GraphBase.html#to_prufer
  Function
  Method
  PUBLIC
  Converts a tree graph into a Prüfer sequence.
- igraph.GraphBase.transitivity_undirected
  igraph.GraphBase.html#transitivity_undirected
  Function
  Method
  PUBLIC
  Calculates the global transitivity (clustering coefficient) of the graph.
- igraph.GraphBase.transitivity_local_undirected
  igraph.GraphBase.html#transitivity_local_undirected
  Function
  Method
  PUBLIC
  Calculates the local transitivity (clustering coefficient) of the given vertices in the graph.
- igraph.GraphBase.transitivity_avglocal_undirected
  igraph.GraphBase.html#transitivity_avglocal_undirected
  Function
  Method
  PUBLIC
  Calculates the average of the vertex transitivities of the graph.
- igraph.GraphBase.unfold_tree
  igraph.GraphBase.html#unfold_tree
  Function
  Method
  PUBLIC
  Unfolds the graph using a BFS to a tree by duplicating vertices as necessary.
- igraph.GraphBase.vertex_connectivity
  igraph.GraphBase.html#vertex_connectivity
  Function
  Method
  PUBLIC
  Calculates the vertex connectivity of the graph or between some vertices.
- igraph.GraphBase.bibcoupling
  igraph.GraphBase.html#bibcoupling
  Function
  Method
  PUBLIC
  Calculates bibliographic coupling scores for given vertices in a graph.
- igraph.GraphBase.cocitation
  igraph.GraphBase.html#cocitation
  Function
  Method
  PUBLIC
  Calculates cocitation scores for given vertices in a graph.
- igraph.GraphBase.similarity_dice
  igraph.GraphBase.html#similarity_dice
  Function
  Method
  PUBLIC
  Dice similarity coefficient of vertices.
- igraph.GraphBase.similarity_inverse_log_weighted
  igraph.GraphBase.html#similarity_inverse_log_weighted
  Function
  Method
  PUBLIC
  Inverse log-weighted similarity coefficient of vertices.
- igraph.GraphBase.similarity_jaccard
  igraph.GraphBase.html#similarity_jaccard
  Function
  Method
  PUBLIC
  Jaccard similarity coefficient of vertices.
- igraph.GraphBase.motifs_randesu
  igraph.GraphBase.html#motifs_randesu
  Function
  Method
  PUBLIC
  Counts the number of motifs in the graph
- igraph.GraphBase.motifs_randesu_no
  igraph.GraphBase.html#motifs_randesu_no
  Function
  Method
  PUBLIC
  Counts the total number of motifs in the graph
- igraph.GraphBase.motifs_randesu_estimate
  igraph.GraphBase.html#motifs_randesu_estimate
  Function
  Method
  PUBLIC
  Counts the total number of motifs in the graph
- igraph.GraphBase.dyad_census
  igraph.GraphBase.html#dyad_census
  Function
  Method
  PUBLIC
  Dyad census, as defined by Holland and Leinhardt
- igraph.GraphBase.triad_census
  igraph.GraphBase.html#triad_census
  Function
  Method
  PUBLIC
  Triad census, as defined by Davis and Leinhardt
- igraph.GraphBase.list_triangles
  igraph.GraphBase.html#list_triangles
  Function
  Method
  PUBLIC
  Lists the triangles of the graph
- igraph.GraphBase.is_acyclic
  igraph.GraphBase.html#is_acyclic
  Function
  Method
  PUBLIC
  Returns whether the graph is acyclic (i.e. contains no cycles).
- igraph.GraphBase.is_dag
  igraph.GraphBase.html#is_dag
  Function
  Method
  PUBLIC
  Checks whether the graph is a DAG (directed acyclic graph).
- igraph.GraphBase.fundamental_cycles
  igraph.GraphBase.html#fundamental_cycles
  Function
  Method
  PUBLIC
  Finds a single fundamental cycle basis of the graph
- igraph.GraphBase.minimum_cycle_basis
  igraph.GraphBase.html#minimum_cycle_basis
  Function
  Method
  PUBLIC
  Computes a minimum cycle basis of the graph
- igraph.GraphBase.layout_bipartite
  igraph.GraphBase.html#layout_bipartite
  Function
  Method
  PUBLIC
  Place the vertices of a bipartite graph in two layers.
- igraph.GraphBase.layout_circle
  igraph.GraphBase.html#layout_circle
  Function
  Method
  PUBLIC
  Places the vertices of the graph uniformly on a circle or a sphere.
- igraph.GraphBase.layout_grid
  igraph.GraphBase.html#layout_grid
  Function
  Method
  PUBLIC
  Places the vertices of a graph in a 2D or 3D grid.
- igraph.GraphBase.layout_star
  igraph.GraphBase.html#layout_star
  Function
  Method
  PUBLIC
  Calculates a star-like layout for the graph.
- igraph.GraphBase.layout_kamada_kawai
  igraph.GraphBase.html#layout_kamada_kawai
  Function
  Method
  PUBLIC
  Places the vertices on a plane according to the Kamada-Kawai algorithm.
- igraph.GraphBase.layout_davidson_harel
  igraph.GraphBase.html#layout_davidson_harel
  Function
  Method
  PUBLIC
  Places the vertices on a 2D plane according to the Davidson-Harel layout algorithm.
- igraph.GraphBase.layout_drl
  igraph.GraphBase.html#layout_drl
  Function
  Method
  PUBLIC
  Places the vertices on a 2D plane or in the 3D space ccording to the DrL layout algorithm.
- igraph.GraphBase.layout_fruchterman_reingold
  igraph.GraphBase.html#layout_fruchterman_reingold
  Function
  Method
  PUBLIC
  Places the vertices on a 2D plane according to the Fruchterman-Reingold algorithm.
- igraph.GraphBase.layout_graphopt
  igraph.GraphBase.html#layout_graphopt
  Function
  Method
  PUBLIC
  This is a port of the graphopt layout algorithm by Michael Schmuhl. graphopt version 0.4.1 was rewritten in C and the support for layers was removed.
- igraph.GraphBase.layout_lgl
  igraph.GraphBase.html#layout_lgl
  Function
  Method
  PUBLIC
  Places the vertices on a 2D plane according to the Large Graph Layout.
- igraph.GraphBase.layout_mds
  igraph.GraphBase.html#layout_mds
  Function
  Method
  PUBLIC
  Places the vertices in an Euclidean space with the given number of dimensions using multidimensional scaling.
- igraph.GraphBase.layout_reingold_tilford
  igraph.GraphBase.html#layout_reingold_tilford
  Function
  Method
  PUBLIC
  Places the vertices on a 2D plane according to the Reingold-Tilford layout algorithm.
- igraph.GraphBase.layout_reingold_tilford_circular
  igraph.GraphBase.html#layout_reingold_tilford_circular
  Function
  Method
  PUBLIC
  Circular Reingold-Tilford layout for trees.
- igraph.GraphBase.layout_random
  igraph.GraphBase.html#layout_random
  Function
  Method
  PUBLIC
  Places the vertices of the graph randomly.
- igraph.GraphBase._layout_sugiyama
  igraph.GraphBase.html#_layout_sugiyama
  Function
  Method
  PRIVATE
  Internal function, undocumented.
- igraph.GraphBase.layout_umap
  igraph.GraphBase.html#layout_umap
  Function
  Method
  PUBLIC
  Uniform Manifold Approximation and Projection (UMAP).
- igraph.GraphBase.bfs
  igraph.GraphBase.html#bfs
  Function
  Method
  PUBLIC
  Conducts a breadth first search (BFS) on the graph.
- igraph.GraphBase.bfsiter
  igraph.GraphBase.html#bfsiter
  Function
  Method
  PUBLIC
  Constructs a breadth first search (BFS) iterator of the graph.
- igraph.GraphBase.dfsiter
  igraph.GraphBase.html#dfsiter
  Function
  Method
  PUBLIC
  Constructs a depth first search (DFS) iterator of the graph.
- igraph.GraphBase.get_adjacency
  igraph.GraphBase.html#get_adjacency
  Function
  Method
  PUBLIC
  Returns the adjacency matrix of a graph.
- igraph.GraphBase.get_biadjacency
  igraph.GraphBase.html#get_biadjacency
  Function
  Method
  PUBLIC
  Internal function, undocumented.
- igraph.GraphBase.get_edgelist
  igraph.GraphBase.html#get_edgelist
  Function
  Method
  PUBLIC
  Returns the edge list of a graph.
- igraph.GraphBase.to_directed
  igraph.GraphBase.html#to_directed
  Function
  Method
  PUBLIC
  Converts an undirected graph to directed.
- igraph.GraphBase.to_undirected
  igraph.GraphBase.html#to_undirected
  Function
  Method
  PUBLIC
  Converts a directed graph to undirected.
- igraph.GraphBase.laplacian
  igraph.GraphBase.html#laplacian
  Function
  Method
  PUBLIC
  Returns the Laplacian matrix of a graph.
- igraph.GraphBase.Read_DIMACS
  igraph.GraphBase.html#Read_DIMACS
  Function
  Method
  PUBLIC
  Reads a graph from a file conforming to the DIMACS minimum-cost flow file format.
- igraph.GraphBase.Read_DL
  igraph.GraphBase.html#Read_DL
  Function
  Method
  PUBLIC
  Reads an UCINET DL file and creates a graph based on it.
- igraph.GraphBase.Read_Edgelist
  igraph.GraphBase.html#Read_Edgelist
  Function
  Method
  PUBLIC
  Reads an edge list from a file and creates a graph based on it.
- igraph.GraphBase.Read_GraphDB
  igraph.GraphBase.html#Read_GraphDB
  Function
  Method
  PUBLIC
  Reads a GraphDB format file and creates a graph based on it.
- igraph.GraphBase.Read_GraphML
  igraph.GraphBase.html#Read_GraphML
  Function
  Method
  PUBLIC
  Reads a GraphML format file and creates a graph based on it.
- igraph.GraphBase.Read_GML
  igraph.GraphBase.html#Read_GML
  Function
  Method
  PUBLIC
  Reads a GML file and creates a graph based on it.
- igraph.GraphBase.Read_Ncol
  igraph.GraphBase.html#Read_Ncol
  Function
  Method
  PUBLIC
  Reads an .ncol file used by LGL.
- igraph.GraphBase.Read_Lgl
  igraph.GraphBase.html#Read_Lgl
  Function
  Method
  PUBLIC
  Reads an .lgl file used by LGL.
- igraph.GraphBase.Read_Pajek
  igraph.GraphBase.html#Read_Pajek
  Function
  Method
  PUBLIC
  Reads a file in the Pajek format and creates a graph based on it. Only Pajek network files (.net extension) are supported, not project files (.paj).
- igraph.GraphBase.write_dimacs
  igraph.GraphBase.html#write_dimacs
  Function
  Method
  PUBLIC
  Writes the graph in DIMACS format to the given file.
- igraph.GraphBase.write_dot
  igraph.GraphBase.html#write_dot
  Function
  Method
  PUBLIC
  Writes the graph in DOT format to the given file.
- igraph.GraphBase.write_edgelist
  igraph.GraphBase.html#write_edgelist
  Function
  Method
  PUBLIC
  Writes the edge list of a graph to a file.
- igraph.GraphBase.write_gml
  igraph.GraphBase.html#write_gml
  Function
  Method
  PUBLIC
  Writes the graph in GML format to the given file.
- igraph.GraphBase.write_ncol
  igraph.GraphBase.html#write_ncol
  Function
  Method
  PUBLIC
  Writes the edge list of a graph to a file in .ncol format.
- igraph.GraphBase.write_lgl
  igraph.GraphBase.html#write_lgl
  Function
  Method
  PUBLIC
  Writes the edge list of a graph to a file in .lgl format.
- igraph.GraphBase.write_pajek
  igraph.GraphBase.html#write_pajek
  Function
  Method
  PUBLIC
  Writes the graph in Pajek format to the given file.
- igraph.GraphBase.write_graphml
  igraph.GraphBase.html#write_graphml
  Function
  Method
  PUBLIC
  Writes the graph to a GraphML file.
- igraph.GraphBase.write_leda
  igraph.GraphBase.html#write_leda
  Function
  Method
  PUBLIC
  Writes the graph to a file in LEDA native format.
- igraph.GraphBase.automorphism_group
  igraph.GraphBase.html#automorphism_group
  Function
  Method
  PUBLIC
  Calculates the generators of the automorphism group of a graph using the BLISS isomorphism algorithm.
- igraph.GraphBase.canonical_permutation
  igraph.GraphBase.html#canonical_permutation
  Function
  Method
  PUBLIC
  Calculates the canonical permutation of a graph using the BLISS isomorphism algorithm.
- igraph.GraphBase.count_automorphisms
  igraph.GraphBase.html#count_automorphisms
  Function
  Method
  PUBLIC
  Calculates the number of automorphisms of a graph using the BLISS isomorphism algorithm.
- igraph.GraphBase.isoclass
  igraph.GraphBase.html#isoclass
  Function
  Method
  PUBLIC
  Returns the isomorphism class of the graph or its subgraph.
- igraph.GraphBase.isomorphic
  igraph.GraphBase.html#isomorphic
  Function
  Method
  PUBLIC
  Checks whether the graph is isomorphic to another graph.
- igraph.GraphBase.isomorphic_bliss
  igraph.GraphBase.html#isomorphic_bliss
  Function
  Method
  PUBLIC
  Checks whether the graph is isomorphic to another graph, using the BLISS isomorphism algorithm.
- igraph.GraphBase.isomorphic_vf2
  igraph.GraphBase.html#isomorphic_vf2
  Function
  Method
  PUBLIC
  Checks whether the graph is isomorphic to another graph, using the VF2 isomorphism algorithm.
- igraph.GraphBase.count_isomorphisms_vf2
  igraph.GraphBase.html#count_isomorphisms_vf2
  Function
  Method
  PUBLIC
  Determines the number of isomorphisms between the graph and another one
- igraph.GraphBase.get_isomorphisms_vf2
  igraph.GraphBase.html#get_isomorphisms_vf2
  Function
  Method
  PUBLIC
  Returns all isomorphisms between the graph and another one
- igraph.GraphBase.subisomorphic_vf2
  igraph.GraphBase.html#subisomorphic_vf2
  Function
  Method
  PUBLIC
  Checks whether a subgraph of the graph is isomorphic to another graph.
- igraph.GraphBase.count_subisomorphisms_vf2
  igraph.GraphBase.html#count_subisomorphisms_vf2
  Function
  Method
  PUBLIC
  Determines the number of subisomorphisms between the graph and another one
- igraph.GraphBase.get_subisomorphisms_vf2
  igraph.GraphBase.html#get_subisomorphisms_vf2
  Function
  Method
  PUBLIC
  Returns all subisomorphisms between the graph and another one
- igraph.GraphBase.subisomorphic_lad
  igraph.GraphBase.html#subisomorphic_lad
  Function
  Method
  PUBLIC
  Checks whether a subgraph of the graph is isomorphic to another graph.
- igraph.GraphBase.get_subisomorphisms_lad
  igraph.GraphBase.html#get_subisomorphisms_lad
  Function
  Method
  PUBLIC
  Returns all subisomorphisms between the graph and another one using the LAD algorithm.
- igraph.GraphBase.attributes
  igraph.GraphBase.html#attributes
  Function
  Method
  PUBLIC
  No summary
- igraph.GraphBase.vertex_attributes
  igraph.GraphBase.html#vertex_attributes
  Function
  Method
  PUBLIC
  No summary
- igraph.GraphBase.edge_attributes
  igraph.GraphBase.html#edge_attributes
  Function
  Method
  PUBLIC
  No summary
- igraph.GraphBase.complementer
  igraph.GraphBase.html#complementer
  Function
  Method
  PUBLIC
  Returns the complementer of the graph
- igraph.GraphBase.compose
  igraph.GraphBase.html#compose
  Function
  Method
  PUBLIC
  Returns the composition of two graphs.
- igraph.GraphBase.difference
  igraph.GraphBase.html#difference
  Function
  Method
  PUBLIC
  Subtracts the given graph from the original
- igraph.GraphBase.reverse_edges
  igraph.GraphBase.html#reverse_edges
  Function
  Method
  PUBLIC
  Reverses the direction of some edges in the graph.
- igraph.GraphBase.dominator
  igraph.GraphBase.html#dominator
  Function
  Method
  PUBLIC
  Returns the dominator tree from the given root node
- igraph.GraphBase.maxflow_value
  igraph.GraphBase.html#maxflow_value
  Function
  Method
  PUBLIC
  Returns the value of the maximum flow between the source and target vertices.
- igraph.GraphBase.maxflow
  igraph.GraphBase.html#maxflow
  Function
  Method
  PUBLIC
  Returns the maximum flow between the source and target vertices.
- igraph.GraphBase.all_st_cuts
  igraph.GraphBase.html#all_st_cuts
  Function
  Method
  PUBLIC
  Returns all the cuts between the source and target vertices in a directed graph.
- igraph.GraphBase.all_st_mincuts
  igraph.GraphBase.html#all_st_mincuts
  Function
  Method
  PUBLIC
  Returns all minimum cuts between the source and target vertices in a directed graph.
- igraph.GraphBase.mincut_value
  igraph.GraphBase.html#mincut_value
  Function
  Method
  PUBLIC
  Returns the minimum cut between the source and target vertices or within the whole graph.
- igraph.GraphBase.mincut
  igraph.GraphBase.html#mincut
  Function
  Method
  PUBLIC
  Calculates the minimum cut between the source and target vertices or within the whole graph.
- igraph.GraphBase.st_mincut
  igraph.GraphBase.html#st_mincut
  Function
  Method
  PUBLIC
  Calculates the minimum cut between the source and target vertices in a graph.
- igraph.GraphBase.gomory_hu_tree
  igraph.GraphBase.html#gomory_hu_tree
  Function
  Method
  PUBLIC
  Internal function, undocumented.
- igraph.GraphBase.all_minimal_st_separators
  igraph.GraphBase.html#all_minimal_st_separators
  Function
  Method
  PUBLIC
  Returns a list containing all the minimal s-t separators of a graph.
- igraph.GraphBase.is_minimal_separator
  igraph.GraphBase.html#is_minimal_separator
  Function
  Method
  PUBLIC
  Decides whether the given vertex set is a minimal separator.
- igraph.GraphBase.is_separator
  igraph.GraphBase.html#is_separator
  Function
  Method
  PUBLIC
  Decides whether the removal of the given vertices disconnects the graph.
- igraph.GraphBase.minimum_size_separators
  igraph.GraphBase.html#minimum_size_separators
  Function
  Method
  PUBLIC
  Returns a list containing all separator vertex sets of minimum size.
- igraph.GraphBase.cohesive_blocks
  igraph.GraphBase.html#cohesive_blocks
  Function
  Method
  PUBLIC
  Calculates the cohesive block structure of the graph.
- igraph.GraphBase.vertex_coloring_greedy
  igraph.GraphBase.html#vertex_coloring_greedy
  Function
  Method
  PUBLIC
  Calculates a greedy vertex coloring for the graph based on some heuristics.
- igraph.GraphBase.cliques
  igraph.GraphBase.html#cliques
  Function
  Method
  PUBLIC
  Returns some or all cliques of the graph as a list of tuples.
- igraph.GraphBase.largest_cliques
  igraph.GraphBase.html#largest_cliques
  Function
  Method
  PUBLIC
  Returns the largest cliques of the graph as a list of tuples.
- igraph.GraphBase.maximal_cliques
  igraph.GraphBase.html#maximal_cliques
  Function
  Method
  PUBLIC
  Returns the maximal cliques of the graph as a list of tuples.
- igraph.GraphBase.clique_number
  igraph.GraphBase.html#clique_number
  Function
  Method
  PUBLIC
  Returns the clique number of the graph.
- igraph.GraphBase.independent_vertex_sets
  igraph.GraphBase.html#independent_vertex_sets
  Function
  Method
  PUBLIC
  Returns some or all independent vertex sets of the graph as a list of tuples.
- igraph.GraphBase.largest_independent_vertex_sets
  igraph.GraphBase.html#largest_independent_vertex_sets
  Function
  Method
  PUBLIC
  Returns the largest independent vertex sets of the graph as a list of tuples.
- igraph.GraphBase.maximal_independent_vertex_sets
  igraph.GraphBase.html#maximal_independent_vertex_sets
  Function
  Method
  PUBLIC
  Returns the maximal independent vertex sets of the graph as a list of tuples.
- igraph.GraphBase.independence_number
  igraph.GraphBase.html#independence_number
  Function
  Method
  PUBLIC
  Returns the independence number of the graph.
- igraph.GraphBase.modularity
  igraph.GraphBase.html#modularity
  Function
  Method
  PUBLIC
  Calculates the modularity of the graph with respect to some vertex types.
- igraph.GraphBase.modularity_matrix
  igraph.GraphBase.html#modularity_matrix
  Function
  Method
  PUBLIC
  Calculates the modularity matrix of the graph.
- igraph.GraphBase.coreness
  igraph.GraphBase.html#coreness
  Function
  Method
  PUBLIC
  Finds the coreness (shell index) of the vertices of the network.
- igraph.GraphBase.community_fastgreedy
  igraph.GraphBase.html#community_fastgreedy
  Function
  Method
  PUBLIC
  Finds the community structure of the graph according to the algorithm of Clauset et al based on the greedy optimization of modularity.
- igraph.GraphBase.community_infomap
  igraph.GraphBase.html#community_infomap
  Function
  Method
  PUBLIC
  Finds the community structure of the network according to the Infomap method of Martin Rosvall and Carl T. Bergstrom.
- igraph.GraphBase.community_label_propagation
  igraph.GraphBase.html#community_label_propagation
  Function
  Method
  PUBLIC
  Finds the community structure of the graph according to the label propagation method of Raghavan et al.
- igraph.GraphBase.community_leading_eigenvector
  igraph.GraphBase.html#community_leading_eigenvector
  Function
  Method
  PUBLIC
  A proper implementation of Newman's eigenvector community structure detection. Each split is done by maximizing the modularity regarding the original network. See the reference for details.
- igraph.GraphBase.community_multilevel
  igraph.GraphBase.html#community_multilevel
  Function
  Method
  PUBLIC
  Finds the community structure of the graph according to the multilevel algorithm of Blondel et al. This is a bottom-up algorithm: initially every vertex belongs to a separate community, and vertices are moved between communities iteratively in a way that maximizes the vertices' local contribution to the overall modularity score...
- igraph.GraphBase.community_edge_betweenness
  igraph.GraphBase.html#community_edge_betweenness
  Function
  Method
  PUBLIC
  Community structure detection based on the betweenness of the edges in the network. This algorithm was invented by M Girvan and MEJ Newman, see: M Girvan and MEJ Newman: Community structure in social and biological networks, Proc...
- igraph.GraphBase.community_optimal_modularity
  igraph.GraphBase.html#community_optimal_modularity
  Function
  Method
  PUBLIC
  Calculates the optimal modularity score of the graph and the corresponding community structure.
- igraph.GraphBase.community_spinglass
  igraph.GraphBase.html#community_spinglass
  Function
  Method
  PUBLIC
  Finds the community structure of the graph according to the spinglass community detection method of Reichardt & Bornholdt.
- igraph.GraphBase.community_leiden
  igraph.GraphBase.html#community_leiden
  Function
  Method
  PUBLIC
  Finds the community structure of the graph using the Leiden algorithm of Traag, van Eck & Waltman.
- igraph.GraphBase.community_walktrap
  igraph.GraphBase.html#community_walktrap
  Function
  Method
  PUBLIC
  Finds the community structure of the graph according to the random walk method of Latapy & Pons.
- igraph.GraphBase._is_matching
  igraph.GraphBase.html#_is_matching
  Function
  Method
  PRIVATE
  Internal function, undocumented.
- igraph.GraphBase._is_maximal_matching
  igraph.GraphBase.html#_is_maximal_matching
  Function
  Method
  PRIVATE
  Internal function, undocumented.
- igraph.GraphBase._maximum_bipartite_matching
  igraph.GraphBase.html#_maximum_bipartite_matching
  Function
  Method
  PRIVATE
  Internal function, undocumented.
- igraph.GraphBase.random_walk
  igraph.GraphBase.html#random_walk
  Function
  Method
  PUBLIC
  Performs a random walk of a given length from a given node.
- igraph.GraphBase.__graph_as_capsule
  igraph.GraphBase.html#__graph_as_capsule
  Function
  Method
  PRIVATE
  Returns the igraph graph encapsulated by the Python object as a PyCapsule
- igraph.GraphBase.__invalidate_cache
  igraph.GraphBase.html#__invalidate_cache
  Function
  Method
  PRIVATE
  Invalidates the internal cache of the low-level C graph object that the Python object wraps. This function should not be used directly by igraph users, but it may be useful for benchmarking or debugging purposes.
- igraph.GraphBase._raw_pointer
  igraph.GraphBase.html#_raw_pointer
  Function
  Method
  PRIVATE
  Returns the memory address of the igraph graph encapsulated by the Python object as an ordinary Python integer.
- igraph.GraphBase.__register_destructor
  igraph.GraphBase.html#__register_destructor
  Function
  Method
  PRIVATE
  Registers a destructor to be called when the object is freed by Python. This function should not be used directly by igraph users.
- igraph.InternalError
  igraph.InternalError.html
  Class
  Class
  PUBLIC
  Undocumented
- igraph.Vertex
  igraph.Vertex.html
  Class
  Class
  PUBLIC
  Class representing a single vertex in a graph.
- igraph.Vertex.attributes
  igraph.Vertex.html#attributes
  Function
  Method
  PUBLIC
  Returns a dict of attribute names and values for the vertex
- igraph.Vertex.attribute_names
  igraph.Vertex.html#attribute_names
  Function
  Method
  PUBLIC
  Returns the list of vertex attribute names
- igraph.Vertex.update_attributes
  igraph.Vertex.html#update_attributes
  Function
  Method
  PUBLIC
  Updates the attributes of the vertex from dict/iterable E and F.
- igraph.Vertex.all_edges
  igraph.Vertex.html#all_edges
  Function
  Method
  PUBLIC
  Proxy method to `Graph.incident(..., mode="all")`
- igraph.Vertex.in_edges
  igraph.Vertex.html#in_edges
  Function
  Method
  PUBLIC
  Proxy method to `Graph.incident(..., mode="in")`
- igraph.Vertex.out_edges
  igraph.Vertex.html#out_edges
  Function
  Method
  PUBLIC
  Proxy method to `Graph.incident(..., mode="out")`
- igraph.Vertex.betweenness
  igraph.Vertex.html#betweenness
  Function
  Method
  PUBLIC
  Proxy method to `Graph.betweenness()`
- igraph.Vertex.closeness
  igraph.Vertex.html#closeness
  Function
  Method
  PUBLIC
  Proxy method to `Graph.closeness()`
- igraph.Vertex.constraint
  igraph.Vertex.html#constraint
  Function
  Method
  PUBLIC
  Proxy method to `Graph.constraint()`
- igraph.Vertex.degree
  igraph.Vertex.html#degree
  Function
  Method
  PUBLIC
  Proxy method to `Graph.degree()`
- igraph.Vertex.delete
  igraph.Vertex.html#delete
  Function
  Method
  PUBLIC
  Proxy method to `Graph.delete_vertices()`
- igraph.Vertex.distances
  igraph.Vertex.html#distances
  Function
  Method
  PUBLIC
  Proxy method to `Graph.distances()`
- igraph.Vertex.diversity
  igraph.Vertex.html#diversity
  Function
  Method
  PUBLIC
  Proxy method to `Graph.diversity()`
- igraph.Vertex.eccentricity
  igraph.Vertex.html#eccentricity
  Function
  Method
  PUBLIC
  Proxy method to `Graph.eccentricity()`
- igraph.Vertex.get_shortest_paths
  igraph.Vertex.html#get_shortest_paths
  Function
  Method
  PUBLIC
  Proxy method to `Graph.get_shortest_paths()`
- igraph.Vertex.incident
  igraph.Vertex.html#incident
  Function
  Method
  PUBLIC
  Proxy method to `Graph.incident()`
- igraph.Vertex.indegree
  igraph.Vertex.html#indegree
  Function
  Method
  PUBLIC
  Proxy method to `Graph.indegree()`
- igraph.Vertex.is_minimal_separator
  igraph.Vertex.html#is_minimal_separator
  Function
  Method
  PUBLIC
  Proxy method to `Graph.is_minimal_separator()`
- igraph.Vertex.is_separator
  igraph.Vertex.html#is_separator
  Function
  Method
  PUBLIC
  Proxy method to `Graph.is_separator()`
- igraph.Vertex.neighbors
  igraph.Vertex.html#neighbors
  Function
  Method
  PUBLIC
  Proxy method to `Graph.neighbors()`
- igraph.Vertex.outdegree
  igraph.Vertex.html#outdegree
  Function
  Method
  PUBLIC
  Proxy method to `Graph.outdegree()`
- igraph.Vertex.pagerank
  igraph.Vertex.html#pagerank
  Function
  Method
  PUBLIC
  Proxy method to `Graph.pagerank()`
- igraph.Vertex.predecessors
  igraph.Vertex.html#predecessors
  Function
  Method
  PUBLIC
  Proxy method to `Graph.predecessors()`
- igraph.Vertex.personalized_pagerank
  igraph.Vertex.html#personalized_pagerank
  Function
  Method
  PUBLIC
  Proxy method to `Graph.personalized_pagerank()`
- igraph.Vertex.strength
  igraph.Vertex.html#strength
  Function
  Method
  PUBLIC
  Proxy method to `Graph.strength()`
- igraph.Vertex.successors
  igraph.Vertex.html#successors
  Function
  Method
  PUBLIC
  Proxy method to `Graph.successors()`
- igraph.community_to_membership
  index.html#community_to_membership
  Function
  Function
  PUBLIC
  Undocumented
- igraph.convex_hull
  index.html#convex_hull
  Function
  Function
  PUBLIC
  Calculates the convex hull of a given point set.
- igraph.is_bigraphical
  index.html#is_bigraphical
  Function
  Function
  PUBLIC
  Returns whether two sequences of integers can be the degree sequences of a bipartite graph.
- igraph.is_degree_sequence
  index.html#is_degree_sequence
  Function
  Function
  PUBLIC
  Deprecated since 0.9 in favour of `is_graphical()`.
- igraph.is_graphical
  index.html#is_graphical
  Function
  Function
  PUBLIC
  Returns whether a list of degrees can be a degree sequence of some graph, with or without multiple and loop edges, depending on the allowed edge types in the remaining arguments.
- igraph.is_graphical_degree_sequence
  index.html#is_graphical_degree_sequence
  Function
  Function
  PUBLIC
  Deprecated since 0.9 in favour of `is_graphical()`.
- igraph.set_progress_handler
  index.html#set_progress_handler
  Function
  Function
  PUBLIC
  Sets the handler to be called when igraph is performing a long operation.
- igraph.set_random_number_generator
  index.html#set_random_number_generator
  Function
  Function
  PUBLIC
  Sets the random number generator used by igraph.
- igraph.set_status_handler
  index.html#set_status_handler
  Function
  Function
  PUBLIC
  Sets the handler to be called when igraph tries to display a status message.
- igraph.umap_compute_weights
  index.html#umap_compute_weights
  Function
  Function
  PUBLIC
  Compute undirected UMAP weights from directed distance graph. UMAP is a layout algorithm that usually takes as input a directed distance graph, for instance a k nearest neighbor graph based on Euclidean distance between points in a vector space...
- igraph.datatypes.Matrix
  igraph.datatypes.Matrix.html
  Class
  Class
  PUBLIC
  Simple matrix data type.
- igraph.datatypes.Matrix.__init__
  igraph.datatypes.Matrix.html#__init__
  Function
  Method
  PUBLIC
  Initializes a matrix.
- igraph.datatypes.Matrix._nrow
  igraph.datatypes.Matrix.html#_nrow
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.datatypes.Matrix._ncol
  igraph.datatypes.Matrix.html#_ncol
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.datatypes.Matrix._data
  igraph.datatypes.Matrix.html#_data
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.datatypes.Matrix.data
  igraph.datatypes.Matrix.html#data
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.datatypes.Matrix.Fill
  igraph.datatypes.Matrix.html#Fill
  Function
  Class Method
  PUBLIC
  Creates a matrix filled with the given value
- igraph.datatypes.Matrix.Zero
  igraph.datatypes.Matrix.html#Zero
  Function
  Class Method
  PUBLIC
  Creates a matrix filled with zeros.
- igraph.datatypes.Matrix.Identity
  igraph.datatypes.Matrix.html#Identity
  Function
  Class Method
  PUBLIC
  Creates an identity matrix.
- igraph.datatypes.Matrix._set_data
  igraph.datatypes.Matrix.html#_set_data
  Function
  Method
  PRIVATE
  Sets the data stored in the matrix
- igraph.datatypes.Matrix._get_data
  igraph.datatypes.Matrix.html#_get_data
  Function
  Method
  PRIVATE
  Returns the data stored in the matrix as a list of lists
- igraph.datatypes.Matrix.shape
  igraph.datatypes.Matrix.html#shape
  Attribute
  Property
  PUBLIC
  Returns the shape of the matrix as a tuple
- igraph.datatypes.Matrix.__add__
  igraph.datatypes.Matrix.html#__add__
  Function
  Method
  PUBLIC
  Adds the given value to the matrix.
- igraph.datatypes.Matrix.__eq__
  igraph.datatypes.Matrix.html#__eq__
  Function
  Method
  PUBLIC
  Checks whether a given matrix is equal to another one
- igraph.datatypes.Matrix.__getitem__
  igraph.datatypes.Matrix.html#__getitem__
  Function
  Method
  PUBLIC
  Returns a single item, a row or a column of the matrix
- igraph.datatypes.Matrix.__hash__
  igraph.datatypes.Matrix.html#__hash__
  Function
  Method
  PUBLIC
  Returns a hash value for a matrix.
- igraph.datatypes.Matrix.__iadd__
  igraph.datatypes.Matrix.html#__iadd__
  Function
  Method
  PUBLIC
  In-place addition of a matrix or scalar.
- igraph.datatypes.Matrix.__isub__
  igraph.datatypes.Matrix.html#__isub__
  Function
  Method
  PUBLIC
  In-place subtraction of a matrix or scalar.
- igraph.datatypes.Matrix.__len__
  igraph.datatypes.Matrix.html#__len__
  Function
  Method
  PUBLIC
  Returns the number of rows in the matrix.
- igraph.datatypes.Matrix.__ne__
  igraph.datatypes.Matrix.html#__ne__
  Function
  Method
  PUBLIC
  Checks whether a given matrix is not equal to another one
- igraph.datatypes.Matrix.__setitem__
  igraph.datatypes.Matrix.html#__setitem__
  Function
  Method
  PUBLIC
  Sets a single item, a row or a column of the matrix
- igraph.datatypes.Matrix.__sub__
  igraph.datatypes.Matrix.html#__sub__
  Function
  Method
  PUBLIC
  Subtracts the given value from the matrix.
- igraph.datatypes.Matrix.__repr__
  igraph.datatypes.Matrix.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.datatypes.Matrix.__str__
  igraph.datatypes.Matrix.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.datatypes.Matrix.__iter__
  igraph.datatypes.Matrix.html#__iter__
  Function
  Method
  PUBLIC
  Support for iteration.
- igraph.datatypes.Matrix.__plot__
  igraph.datatypes.Matrix.html#__plot__
  Function
  Method
  PUBLIC
  Plots the matrix to the given Cairo context or matplotlib Axes.
- igraph.datatypes.Matrix.min
  igraph.datatypes.Matrix.html#min
  Function
  Method
  PUBLIC
  Returns the minimum of the matrix along the given dimension
- igraph.datatypes.Matrix.max
  igraph.datatypes.Matrix.html#max
  Function
  Method
  PUBLIC
  Returns the maximum of the matrix along the given dimension
- igraph.adjacency._get_adjacency
  igraph.adjacency.html#_get_adjacency
  Function
  Function
  PRIVATE
  Returns the adjacency matrix of a graph.
- igraph.adjacency._get_adjacency_sparse
  igraph.adjacency.html#_get_adjacency_sparse
  Function
  Function
  PRIVATE
  Returns the adjacency matrix of a graph as a SciPy CSR matrix.
- igraph.adjacency._get_adjlist
  igraph.adjacency.html#_get_adjlist
  Function
  Function
  PRIVATE
  Returns the adjacency list representation of the graph.
- igraph.adjacency._get_biadjacency
  igraph.adjacency.html#_get_biadjacency
  Function
  Function
  PRIVATE
  Returns the bipartite adjacency matrix of a bipartite graph. The bipartite adjacency matrix is an n times m matrix, where n and m are the number of vertices in the two vertex classes.
- igraph.adjacency._get_inclist
  igraph.adjacency.html#_get_inclist
  Function
  Function
  PRIVATE
  Returns the incidence list representation of the graph.
- igraph.automorphisms._count_automorphisms_vf2
  igraph.automorphisms.html#_count_automorphisms_vf2
  Function
  Function
  PRIVATE
  Returns the number of automorphisms of the graph.
- igraph.automorphisms._get_automorphisms_vf2
  igraph.automorphisms.html#_get_automorphisms_vf2
  Function
  Function
  PRIVATE
  Returns all the automorphisms of the graph
- igraph.seq._graphmethod
  igraph.seq.html#_graphmethod
  Function
  Function
  PRIVATE
  Auxiliary decorator
- igraph.seq._add_proxy_methods
  igraph.seq.html#_add_proxy_methods
  Function
  Function
  PRIVATE
  Undocumented
- igraph.utils.deprecated
  igraph.utils.html#deprecated
  Function
  Function
  PUBLIC
  Prints a warning message related to the deprecation of some igraph feature.
- igraph.utils._is_running_in_ipython
  igraph.utils.html#_is_running_in_ipython
  Function
  Function
  PRIVATE
  Internal function that determines whether igraph is running inside IPython or not.
- igraph.utils.named_temporary_file
  igraph.utils.html#named_temporary_file
  Function
  Function
  PUBLIC
  Context manager that creates a named temporary file and returns its name.
- igraph.utils.numpy_to_contiguous_memoryview
  igraph.utils.html#numpy_to_contiguous_memoryview
  Function
  Function
  PUBLIC
  Converts a NumPy array or matrix into a contiguous memoryview object that is suitable to be forwarded to the Graph constructor.
- igraph.utils.rescale
  igraph.utils.html#rescale
  Function
  Function
  PUBLIC
  Rescales a list of numbers into a given range.
- igraph.utils.consecutive_pairs
  igraph.utils.html#consecutive_pairs
  Function
  Function
  PUBLIC
  Returns consecutive pairs of items from the given iterable.
- igraph.utils.multidict
  igraph.utils.multidict.html
  Class
  Class
  PUBLIC
  A dictionary-like object that is customized to deal with multiple values for the same key.
- igraph.utils.multidict.__init__
  igraph.utils.multidict.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.utils.multidict._dict
  igraph.utils.multidict.html#_dict
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.utils.multidict.__contains__
  igraph.utils.multidict.html#__contains__
  Function
  Method
  PUBLIC
  Returns whether there are any items associated to the given `key`.
- igraph.utils.multidict.__delitem__
  igraph.utils.multidict.html#__delitem__
  Function
  Method
  PUBLIC
  Removes all the items associated to the given `key`.
- igraph.utils.multidict.__getitem__
  igraph.utils.multidict.html#__getitem__
  Function
  Method
  PUBLIC
  Returns an arbitrary item associated to the given key. Raises `KeyError` if no such key exists.
- igraph.utils.multidict.__iter__
  igraph.utils.multidict.html#__iter__
  Function
  Method
  PUBLIC
  Iterates over the keys of the multidict.
- igraph.utils.multidict.__len__
  igraph.utils.multidict.html#__len__
  Function
  Method
  PUBLIC
  Returns the number of distinct keys in this multidict.
- igraph.utils.multidict.__setitem__
  igraph.utils.multidict.html#__setitem__
  Function
  Method
  PUBLIC
  Sets the item associated to the given `key`. Any values associated to the key will be erased and replaced by `value`.
- igraph.utils.multidict.add
  igraph.utils.multidict.html#add
  Function
  Method
  PUBLIC
  Adds `value` to the list of items associated to `key`.
- igraph.utils.multidict.clear
  igraph.utils.multidict.html#clear
  Function
  Method
  PUBLIC
  Removes all the items from the multidict.
- igraph.utils.multidict.get
  igraph.utils.multidict.html#get
  Function
  Method
  PUBLIC
  Returns an arbitrary item associated to the given `key`. If `key` does not exist or has zero associated items, `default` will be returned.
- igraph.utils.multidict.getlist
  igraph.utils.multidict.html#getlist
  Function
  Method
  PUBLIC
  Returns the list of values for the given `key`. An empty list will be returned if there is no such key.
- igraph.utils.multidict.iterlists
  igraph.utils.multidict.html#iterlists
  Function
  Method
  PUBLIC
  Iterates over `(key, values)` pairs where `values` is the list of values associated with `key`.
- igraph.utils.multidict.lists
  igraph.utils.multidict.html#lists
  Function
  Method
  PUBLIC
  Returns a list of `(key, values)` pairs where `values` is the list of values associated with `key`.
- igraph.utils.multidict.update
  igraph.utils.multidict.html#update
  Function
  Method
  PUBLIC
  Undocumented
- igraph.utils.safemax
  igraph.utils.html#safemax
  Function
  Function
  PUBLIC
  Safer variant of `max()` that returns a default value if the iterable is empty.
- igraph.utils.safemin
  igraph.utils.html#safemin
  Function
  Function
  PUBLIC
  Safer variant of `min()` that returns a default value if the iterable is empty.
- igraph.utils.dbl_epsilon
  igraph.utils.html#dbl_epsilon
  Function
  Function
  PUBLIC
  Approximates the machine epsilon value for doubles.
- igraph.basic._add_edge
  igraph.basic.html#_add_edge
  Function
  Function
  PRIVATE
  Adds a single edge to the graph.
- igraph.basic._add_edges
  igraph.basic.html#_add_edges
  Function
  Function
  PRIVATE
  Adds some edges to the graph.
- igraph.basic._add_vertex
  igraph.basic.html#_add_vertex
  Function
  Function
  PRIVATE
  Adds a single vertex to the graph. Keyword arguments will be assigned as vertex attributes. Note that `name` as a keyword argument is treated specially; if a graph has `name` as a vertex attribute, it allows one to refer to vertices by their names in most places where igraph expects a vertex ID.
- igraph.basic._add_vertices
  igraph.basic.html#_add_vertices
  Function
  Function
  PRIVATE
  Adds some vertices to the graph.
- igraph.basic._delete_edges
  igraph.basic.html#_delete_edges
  Function
  Function
  PRIVATE
  Deletes some edges from the graph.
- igraph.basic._clear
  igraph.basic.html#_clear
  Function
  Function
  PRIVATE
  Clears the graph, deleting all vertices, edges, and attributes.
- igraph.basic._as_directed
  igraph.basic.html#_as_directed
  Function
  Function
  PRIVATE
  Returns a directed copy of this graph. Arguments are passed on to `GraphBase.to_directed()` that is invoked on the copy.
- igraph.basic._as_undirected
  igraph.basic.html#_as_undirected
  Function
  Function
  PRIVATE
  Returns an undirected copy of this graph. Arguments are passed on to `GraphBase.to_undirected()` that is invoked on the copy.
- igraph.Matching.matching 0
  igraph.Matching.html#matching%200
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.Matching.types 0
  igraph.Matching.html#types%200
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.bipartite._maximum_bipartite_matching
  igraph.bipartite.html#_maximum_bipartite_matching
  Function
  Function
  PRIVATE
  Finds a maximum matching in a bipartite graph.
- igraph.bipartite._bipartite_projection
  igraph.bipartite.html#_bipartite_projection
  Function
  Function
  PRIVATE
  Projects a bipartite graph into two one-mode graphs. Edge directions are ignored while projecting.
- igraph.bipartite._bipartite_projection_size
  igraph.bipartite.html#_bipartite_projection_size
  Function
  Function
  PRIVATE
  Calculates the number of vertices and edges in the bipartite projections of this graph according to the specified vertex types. This is useful if you have a bipartite graph and you want to estimate the amount of memory you would need to calculate the projections themselves.
- igraph.configuration.get_user_config_file
  igraph.configuration.html#get_user_config_file
  Function
  Function
  PUBLIC
  Returns the path where the user-level configuration file is stored
- igraph.configuration.init
  igraph.configuration.html#init
  Function
  Function
  PUBLIC
  Default mechanism to initiate igraph configuration
- igraph.drawing.colors.Palette
  igraph.drawing.colors.Palette.html
  Class
  Class
  PUBLIC
  Base class of color palettes.
- igraph.drawing.colors.Palette.__init__
  igraph.drawing.colors.Palette.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.colors.Palette._length
  igraph.drawing.colors.Palette.html#_length
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.Palette._cache
  igraph.drawing.colors.Palette.html#_cache
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.Palette.clear_cache
  igraph.drawing.colors.Palette.html#clear_cache
  Function
  Method
  PUBLIC
  Clears the result cache.
- igraph.drawing.colors.Palette.get
  igraph.drawing.colors.Palette.html#get
  Function
  Method
  PUBLIC
  Returns the given color from the palette.
- igraph.drawing.colors.Palette.get_many
  igraph.drawing.colors.Palette.html#get_many
  Function
  Method
  PUBLIC
  Returns multiple colors from the palette.
- igraph.drawing.colors.Palette._get
  igraph.drawing.colors.Palette.html#_get
  Function
  Method
  PRIVATE
  Override this method in a subclass to create a custom palette.
- igraph.drawing.colors.Palette.length
  igraph.drawing.colors.Palette.html#length
  Attribute
  Property
  PUBLIC
  Returns the number of colors in this palette
- igraph.drawing.colors.Palette.__len__
  igraph.drawing.colors.Palette.html#__len__
  Function
  Method
  PUBLIC
  Returns the number of colors in this palette
- igraph.drawing.colors.Palette.__plot__
  igraph.drawing.colors.Palette.html#__plot__
  Function
  Method
  PUBLIC
  Plots the colors of the palette on the given Cairo context/mpl Axes
- igraph.drawing.colors.Palette.__repr__
  igraph.drawing.colors.Palette.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.colors.GradientPalette
  igraph.drawing.colors.GradientPalette.html
  Class
  Class
  PUBLIC
  Base class for gradient palettes
- igraph.drawing.colors.GradientPalette.__init__
  igraph.drawing.colors.GradientPalette.html#__init__
  Function
  Method
  PUBLIC
  Creates a gradient palette.
- igraph.drawing.colors.GradientPalette._color1
  igraph.drawing.colors.GradientPalette.html#_color1
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.GradientPalette._color2
  igraph.drawing.colors.GradientPalette.html#_color2
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.GradientPalette._get
  igraph.drawing.colors.GradientPalette.html#_get
  Function
  Method
  PRIVATE
  Returns the color corresponding to the given color index.
- igraph.drawing.colors.AdvancedGradientPalette
  igraph.drawing.colors.AdvancedGradientPalette.html
  Class
  Class
  PUBLIC
  Advanced gradient that consists of more than two base colors.
- igraph.drawing.colors.AdvancedGradientPalette.__init__
  igraph.drawing.colors.AdvancedGradientPalette.html#__init__
  Function
  Method
  PUBLIC
  Creates an advanced gradient palette
- igraph.drawing.colors.AdvancedGradientPalette._indices
  igraph.drawing.colors.AdvancedGradientPalette.html#_indices
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.AdvancedGradientPalette._colors
  igraph.drawing.colors.AdvancedGradientPalette.html#_colors
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.AdvancedGradientPalette._dists
  igraph.drawing.colors.AdvancedGradientPalette.html#_dists
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.AdvancedGradientPalette._get
  igraph.drawing.colors.AdvancedGradientPalette.html#_get
  Function
  Method
  PRIVATE
  Returns the color corresponding to the given color index.
- igraph.drawing.colors.RainbowPalette
  igraph.drawing.colors.RainbowPalette.html
  Class
  Class
  PUBLIC
  A palette that varies the hue of the colors along a scale.
- igraph.drawing.colors.RainbowPalette.__init__
  igraph.drawing.colors.RainbowPalette.html#__init__
  Function
  Method
  PUBLIC
  Creates a rainbow palette.
- igraph.drawing.colors.RainbowPalette._s
  igraph.drawing.colors.RainbowPalette.html#_s
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.RainbowPalette._v
  igraph.drawing.colors.RainbowPalette.html#_v
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.RainbowPalette._alpha
  igraph.drawing.colors.RainbowPalette.html#_alpha
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.RainbowPalette._start
  igraph.drawing.colors.RainbowPalette.html#_start
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.RainbowPalette._dh
  igraph.drawing.colors.RainbowPalette.html#_dh
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.colors.RainbowPalette._get
  igraph.drawing.colors.RainbowPalette.html#_get
  Function
  Method
  PRIVATE
  Returns the color corresponding to the given color index.
- igraph.drawing.colors.PrecalculatedPalette
  igraph.drawing.colors.PrecalculatedPalette.html
  Class
  Class
  PUBLIC
  A palette that returns colors from a pre-calculated list of colors
- igraph.drawing.colors.PrecalculatedPalette.__init__
  igraph.drawing.colors.PrecalculatedPalette.html#__init__
  Function
  Method
  PUBLIC
  Creates the palette backed by the given list. The list must contain RGBA quadruplets or color names, which will be resolved first by `color_name_to_rgba()`. Anything that is understood by `color_name_to_rgba()`...
- igraph.drawing.colors.PrecalculatedPalette._get
  igraph.drawing.colors.PrecalculatedPalette.html#_get
  Function
  Method
  PRIVATE
  This method will only be called if the requested color index is outside the size of the palette. In that case, we throw an exception
- igraph.drawing.colors.ClusterColoringPalette
  igraph.drawing.colors.ClusterColoringPalette.html
  Class
  Class
  PUBLIC
  A palette suitable for coloring vertices when plotting a clustering.
- igraph.drawing.colors.ClusterColoringPalette.__init__
  igraph.drawing.colors.ClusterColoringPalette.html#__init__
  Function
  Method
  PUBLIC
  Creates the palette backed by the given list. The list must contain RGBA quadruplets or color names, which will be resolved first by `color_name_to_rgba()`. Anything that is understood by `color_name_to_rgba()`...
- igraph.drawing.colors.clamp
  igraph.drawing.colors.html#clamp
  Function
  Function
  PUBLIC
  Clamps the given value between min and max
- igraph.drawing.colors.color_name_to_rgb
  igraph.drawing.colors.html#color_name_to_rgb
  Function
  Function
  PUBLIC
  Converts a color given in one of the supported color formats to R-G-B values.
- igraph.drawing.colors.color_name_to_rgba
  igraph.drawing.colors.html#color_name_to_rgba
  Function
  Function
  PUBLIC
  Converts a color given in one of the supported color formats to R-G-B-A values.
- igraph.drawing.colors.color_to_html_format
  igraph.drawing.colors.html#color_to_html_format
  Function
  Function
  PUBLIC
  Formats a color given as a 3-tuple or 4-tuple in HTML format.
- igraph.drawing.colors.darken
  igraph.drawing.colors.html#darken
  Function
  Function
  PUBLIC
  Creates a darker version of a color given by an RGB triplet.
- igraph.drawing.colors.hsla_to_rgba
  igraph.drawing.colors.html#hsla_to_rgba
  Function
  Function
  PUBLIC
  Converts a color given by its HSLA coordinates (hue, saturation, lightness, alpha) to RGBA coordinates.
- igraph.drawing.colors.hsl_to_rgb
  igraph.drawing.colors.html#hsl_to_rgb
  Function
  Function
  PUBLIC
  Converts a color given by its HSL coordinates (hue, saturation, lightness) to RGB coordinates.
- igraph.drawing.colors.hsva_to_rgba
  igraph.drawing.colors.html#hsva_to_rgba
  Function
  Function
  PUBLIC
  Converts a color given by its HSVA coordinates (hue, saturation, value, alpha) to RGB coordinates.
- igraph.drawing.colors.hsv_to_rgb
  igraph.drawing.colors.html#hsv_to_rgb
  Function
  Function
  PUBLIC
  Converts a color given by its HSV coordinates (hue, saturation, value) to RGB coordinates.
- igraph.drawing.colors.rgba_to_hsla
  igraph.drawing.colors.html#rgba_to_hsla
  Function
  Function
  PUBLIC
  Converts a color given by its RGBA coordinates to HSLA coordinates (hue, saturation, lightness, alpha).
- igraph.drawing.colors.rgba_to_hsva
  igraph.drawing.colors.html#rgba_to_hsva
  Function
  Function
  PUBLIC
  Converts a color given by its RGBA coordinates to HSVA coordinates (hue, saturation, value, alpha).
- igraph.drawing.colors.rgb_to_hsl
  igraph.drawing.colors.html#rgb_to_hsl
  Function
  Function
  PUBLIC
  Converts a color given by its RGB coordinates to HSL coordinates (hue, saturation, lightness).
- igraph.drawing.colors.rgb_to_hsv
  igraph.drawing.colors.html#rgb_to_hsv
  Function
  Function
  PUBLIC
  Converts a color given by its RGB coordinates to HSV coordinates (hue, saturation, value).
- igraph.drawing.colors.lighten
  igraph.drawing.colors.html#lighten
  Function
  Function
  PUBLIC
  Creates a lighter version of a color given by an RGB triplet.
- igraph.drawing.colors.default_edge_colors
  igraph.drawing.colors.html#default_edge_colors
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.colors.known_colors
  igraph.drawing.colors.html#known_colors
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.colors.palettes
  igraph.drawing.colors.html#palettes
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.utils.Rectangle
  igraph.drawing.utils.Rectangle.html
  Class
  Class
  PUBLIC
  Class representing a rectangle.
- igraph.drawing.utils.Rectangle.__slots__
  igraph.drawing.utils.Rectangle.html#__slots__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.utils.Rectangle.__init__
  igraph.drawing.utils.Rectangle.html#__init__
  Function
  Method
  PUBLIC
  Creates a rectangle.
- igraph.drawing.utils.Rectangle.coords 0
  igraph.drawing.utils.Rectangle.html#coords%200
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.utils.Rectangle.coords
  igraph.drawing.utils.Rectangle.html#coords
  Attribute
  Property
  PUBLIC
  The coordinates of the corners.
- igraph.drawing.utils.Rectangle.coords.setter
  igraph.drawing.utils.Rectangle.html#coords.setter
  Function
  Method
  PUBLIC
  Sets the coordinates of the corners.
- igraph.drawing.utils.Rectangle._left
  igraph.drawing.utils.Rectangle.html#_left
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.utils.Rectangle._top
  igraph.drawing.utils.Rectangle.html#_top
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.utils.Rectangle._right
  igraph.drawing.utils.Rectangle.html#_right
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.utils.Rectangle._bottom
  igraph.drawing.utils.Rectangle.html#_bottom
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.utils.Rectangle.width
  igraph.drawing.utils.Rectangle.html#width
  Attribute
  Instance Variable
  PUBLIC
  The width of the rectangle
- igraph.drawing.utils.Rectangle.width.setter
  igraph.drawing.utils.Rectangle.html#width.setter
  Function
  Method
  PUBLIC
  Sets the width of the rectangle by adjusting the right edge.
- igraph.drawing.utils.Rectangle.height
  igraph.drawing.utils.Rectangle.html#height
  Attribute
  Instance Variable
  PUBLIC
  The height of the rectangle
- igraph.drawing.utils.Rectangle.height.setter
  igraph.drawing.utils.Rectangle.html#height.setter
  Function
  Method
  PUBLIC
  Sets the height of the rectangle by adjusting the bottom edge.
- igraph.drawing.utils.Rectangle.left
  igraph.drawing.utils.Rectangle.html#left
  Attribute
  Property
  PUBLIC
  The X coordinate of the left side of the box
- igraph.drawing.utils.Rectangle.left.setter
  igraph.drawing.utils.Rectangle.html#left.setter
  Function
  Method
  PUBLIC
  Sets the X coordinate of the left side of the box
- igraph.drawing.utils.Rectangle.right
  igraph.drawing.utils.Rectangle.html#right
  Attribute
  Property
  PUBLIC
  The X coordinate of the right side of the box
- igraph.drawing.utils.Rectangle.right.setter
  igraph.drawing.utils.Rectangle.html#right.setter
  Function
  Method
  PUBLIC
  Sets the X coordinate of the right side of the box
- igraph.drawing.utils.Rectangle.top
  igraph.drawing.utils.Rectangle.html#top
  Attribute
  Property
  PUBLIC
  The Y coordinate of the top edge of the box
- igraph.drawing.utils.Rectangle.top.setter
  igraph.drawing.utils.Rectangle.html#top.setter
  Function
  Method
  PUBLIC
  Sets the Y coordinate of the top edge of the box
- igraph.drawing.utils.Rectangle.bottom
  igraph.drawing.utils.Rectangle.html#bottom
  Attribute
  Property
  PUBLIC
  The Y coordinate of the bottom edge of the box
- igraph.drawing.utils.Rectangle.bottom.setter
  igraph.drawing.utils.Rectangle.html#bottom.setter
  Function
  Method
  PUBLIC
  Sets the Y coordinate of the bottom edge of the box
- igraph.drawing.utils.Rectangle.midx
  igraph.drawing.utils.Rectangle.html#midx
  Attribute
  Property
  PUBLIC
  The X coordinate of the center of the box
- igraph.drawing.utils.Rectangle.midx.setter
  igraph.drawing.utils.Rectangle.html#midx.setter
  Function
  Method
  PUBLIC
  Moves the center of the box to the given X coordinate
- igraph.drawing.utils.Rectangle.midy
  igraph.drawing.utils.Rectangle.html#midy
  Attribute
  Property
  PUBLIC
  The Y coordinate of the center of the box
- igraph.drawing.utils.Rectangle.midy.setter
  igraph.drawing.utils.Rectangle.html#midy.setter
  Function
  Method
  PUBLIC
  Moves the center of the box to the given Y coordinate
- igraph.drawing.utils.Rectangle.shape
  igraph.drawing.utils.Rectangle.html#shape
  Attribute
  Property
  PUBLIC
  The shape of the rectangle (width, height)
- igraph.drawing.utils.Rectangle.shape.setter
  igraph.drawing.utils.Rectangle.html#shape.setter
  Function
  Method
  PUBLIC
  Sets the shape of the rectangle (width, height).
- igraph.drawing.utils.Rectangle.contract
  igraph.drawing.utils.Rectangle.html#contract
  Function
  Method
  PUBLIC
  Contracts the rectangle by the given margins.
- igraph.drawing.utils.Rectangle.expand
  igraph.drawing.utils.Rectangle.html#expand
  Function
  Method
  PUBLIC
  Expands the rectangle by the given margins.
- igraph.drawing.utils.Rectangle.isdisjoint
  igraph.drawing.utils.Rectangle.html#isdisjoint
  Function
  Method
  PUBLIC
  Returns `True` if the two rectangles have no intersection.
- igraph.drawing.utils.Rectangle.isempty
  igraph.drawing.utils.Rectangle.html#isempty
  Function
  Method
  PUBLIC
  Returns `True` if the rectangle is empty (i.e. it has zero width and height).
- igraph.drawing.utils.Rectangle.intersection
  igraph.drawing.utils.Rectangle.html#intersection
  Function
  Method
  PUBLIC
  Returns the intersection of this rectangle with another.
- igraph.drawing.utils.Rectangle.translate
  igraph.drawing.utils.Rectangle.html#translate
  Function
  Method
  PUBLIC
  Translates the rectangle in-place.
- igraph.drawing.utils.Rectangle.union
  igraph.drawing.utils.Rectangle.html#union
  Function
  Method
  PUBLIC
  Returns the union of this rectangle with another.
- igraph.drawing.utils.Rectangle.__ior__
  igraph.drawing.utils.Rectangle.html#__ior__
  Function
  Method
  PUBLIC
  Expands this rectangle to include itself and another completely while still being as small as possible.
- igraph.drawing.utils.Rectangle.__repr__
  igraph.drawing.utils.Rectangle.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.utils.Rectangle.__eq__
  igraph.drawing.utils.Rectangle.html#__eq__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.utils.Rectangle.__ne__
  igraph.drawing.utils.Rectangle.html#__ne__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.utils.Rectangle.__bool__
  igraph.drawing.utils.Rectangle.html#__bool__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.utils.Rectangle.__hash__
  igraph.drawing.utils.Rectangle.html#__hash__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.utils.BoundingBox
  igraph.drawing.utils.BoundingBox.html
  Class
  Class
  PUBLIC
  Class representing a bounding box (a rectangular area) that encloses some objects.
- igraph.drawing.utils.BoundingBox.__ior__
  igraph.drawing.utils.BoundingBox.html#__ior__
  Function
  Method
  PUBLIC
  Replaces this bounding box with the union of itself and another.
- igraph.drawing.utils.BoundingBox._left
  igraph.drawing.utils.BoundingBox.html#_left
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.utils.BoundingBox._top
  igraph.drawing.utils.BoundingBox.html#_top
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.utils.BoundingBox._right
  igraph.drawing.utils.BoundingBox.html#_right
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.utils.BoundingBox._bottom
  igraph.drawing.utils.BoundingBox.html#_bottom
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.utils.BoundingBox.__or__
  igraph.drawing.utils.BoundingBox.html#__or__
  Function
  Method
  PUBLIC
  Takes the union of this bounding box with another.
- igraph.drawing.utils.FakeModule
  igraph.drawing.utils.FakeModule.html
  Class
  Class
  PUBLIC
  Fake module that raises an exception for everything
- igraph.drawing.utils.FakeModule.__init__
  igraph.drawing.utils.FakeModule.html#__init__
  Function
  Method
  PUBLIC
  Constructor.
- igraph.drawing.utils.FakeModule._message
  igraph.drawing.utils.FakeModule.html#_message
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.utils.FakeModule.__getattr__
  igraph.drawing.utils.FakeModule.html#__getattr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.utils.FakeModule.__call__
  igraph.drawing.utils.FakeModule.html#__call__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.utils.FakeModule.__setattr__
  igraph.drawing.utils.FakeModule.html#__setattr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.utils.Point
  igraph.drawing.utils.Point.html
  Class
  Class
  PUBLIC
  Class representing a point on the 2D plane.
- igraph.drawing.utils.Point.__add__
  igraph.drawing.utils.Point.html#__add__
  Function
  Method
  PUBLIC
  Adds the coordinates of a point to another one
- igraph.drawing.utils.Point.__sub__
  igraph.drawing.utils.Point.html#__sub__
  Function
  Method
  PUBLIC
  Subtracts the coordinates of a point to another one
- igraph.drawing.utils.Point.__mul__
  igraph.drawing.utils.Point.html#__mul__
  Function
  Method
  PUBLIC
  Multiplies the coordinates by a scalar
- igraph.drawing.utils.Point.__div__
  igraph.drawing.utils.Point.html#__div__
  Function
  Method
  PUBLIC
  Divides the coordinates by a scalar
- igraph.drawing.utils.Point.as_polar
  igraph.drawing.utils.Point.html#as_polar
  Function
  Method
  PUBLIC
  Returns the polar coordinate representation of the point.
- igraph.drawing.utils.Point.distance
  igraph.drawing.utils.Point.html#distance
  Function
  Method
  PUBLIC
  Returns the distance of the point from another one.
- igraph.drawing.utils.Point.interpolate
  igraph.drawing.utils.Point.html#interpolate
  Function
  Method
  PUBLIC
  Linearly interpolates between the coordinates of this point and another one.
- igraph.drawing.utils.Point.length
  igraph.drawing.utils.Point.html#length
  Function
  Method
  PUBLIC
  Returns the length of the vector pointing from the origin to this point.
- igraph.drawing.utils.Point.normalized
  igraph.drawing.utils.Point.html#normalized
  Function
  Method
  PUBLIC
  Normalizes the coordinates of the point s.t. its length will be 1 after normalization. Returns the normalized point.
- igraph.drawing.utils.Point.sq_length
  igraph.drawing.utils.Point.html#sq_length
  Function
  Method
  PUBLIC
  Returns the squared length of the vector pointing from the origin to this point.
- igraph.drawing.utils.Point.towards
  igraph.drawing.utils.Point.html#towards
  Function
  Method
  PUBLIC
  Returns the point that is at a given distance from this point towards another one.
- igraph.drawing.utils.Point.FromPolar
  igraph.drawing.utils.Point.html#FromPolar
  Function
  Class Method
  PUBLIC
  Constructs a point from polar coordinates.
- igraph.drawing.utils.calculate_corner_radii
  igraph.drawing.utils.html#calculate_corner_radii
  Function
  Function
  PUBLIC
  Given a list of points and a desired corner radius, returns a list containing proposed corner radii for each of the points such that it is ensured that the corner radius at a point is never larger than half of the minimum distance between the point and its neighbors.
- igraph.drawing.utils.euclidean_distance
  igraph.drawing.utils.html#euclidean_distance
  Function
  Function
  PUBLIC
  Computes the Euclidean distance between points (x1,y1) and (x2,y2).
- igraph.drawing.utils.evaluate_cubic_bezier
  igraph.drawing.utils.html#evaluate_cubic_bezier
  Function
  Function
  PUBLIC
  Evaluates the Bezier curve from point (x0,y0) to (x3,y3) via control points (x1,y1) and (x2,y2) at t. t is typically in the range [0; 1] such that 0 returns (x0, y0) and 1 returns (x3, y3).
- igraph.drawing.utils.get_bezier_control_points_for_curved_edge
  igraph.drawing.utils.html#get_bezier_control_points_for_curved_edge
  Function
  Function
  PUBLIC
  Helper function that calculates the Bezier control points for a curved edge that goes from (x1, y1) to (x2, y2).
- igraph.drawing.utils.intersect_bezier_curve_and_circle
  igraph.drawing.utils.html#intersect_bezier_curve_and_circle
  Function
  Function
  PUBLIC
  Binary search solver for finding the intersection of a Bezier curve and a circle centered at the curve's end point.
- igraph.drawing.utils.str_to_orientation
  igraph.drawing.utils.html#str_to_orientation
  Function
  Function
  PUBLIC
  Tries to interpret a string as an orientation value.
- igraph.drawing.utils.autocurve
  igraph.drawing.utils.html#autocurve
  Function
  Function
  PUBLIC
  Calculates curvature values for each of the edges in the graph to make sure that multiple edges are shown properly on a graph plot.
- igraph.drawing.text.TextAlignment
  igraph.drawing.text.TextAlignment.html
  Class
  Class
  PUBLIC
  Text alignment constants.
- igraph.drawing.text.TextAlignment.LEFT
  igraph.drawing.text.TextAlignment.html#LEFT
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.drawing.text.TextAlignment.CENTER
  igraph.drawing.text.TextAlignment.html#CENTER
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.drawing.text.TextAlignment.RIGHT
  igraph.drawing.text.TextAlignment.html#RIGHT
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.drawing.text.TextAlignment.TOP
  igraph.drawing.text.TextAlignment.html#TOP
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.drawing.text.TextAlignment.BOTTOM
  igraph.drawing.text.TextAlignment.html#BOTTOM
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.drawing.baseclasses.AbstractDrawer
  igraph.drawing.baseclasses.AbstractDrawer.html
  Class
  Class
  PUBLIC
  Abstract class that serves as a base class for anything that draws an igraph object.
- igraph.drawing.baseclasses.AbstractDrawer.draw
  igraph.drawing.baseclasses.AbstractDrawer.html#draw
  Function
  Method
  PUBLIC
  Abstract method, must be implemented in derived classes.
- igraph.drawing.baseclasses.AbstractXMLRPCDrawer
  igraph.drawing.baseclasses.AbstractXMLRPCDrawer.html
  Class
  Class
  PUBLIC
  Abstract drawer that uses a remote service via XML-RPC to draw something on a remote display.
- igraph.drawing.baseclasses.AbstractXMLRPCDrawer.__init__
  igraph.drawing.baseclasses.AbstractXMLRPCDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs an abstract drawer using the XML-RPC service at the given URL.
- igraph.drawing.baseclasses.AbstractXMLRPCDrawer.server
  igraph.drawing.baseclasses.AbstractXMLRPCDrawer.html#server
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.baseclasses.AbstractXMLRPCDrawer.service
  igraph.drawing.baseclasses.AbstractXMLRPCDrawer.html#service
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.baseclasses.AbstractXMLRPCDrawer._resolve_hostname
  igraph.drawing.baseclasses.AbstractXMLRPCDrawer.html#_resolve_hostname
  Function
  Static Method
  PRIVATE
  Parses the given URL, resolves the hostname to an IP address and returns a new URL with the resolved IP address. This speeds up things big time on Mac OS X where an IP lookup would be performed for every XML-RPC call otherwise.
- igraph.drawing.baseclasses.AbstractEdgeDrawer
  igraph.drawing.baseclasses.AbstractEdgeDrawer.html
  Class
  Class
  PUBLIC
  Abstract edge drawer object from which all concrete edge drawer implementations are derived.
- igraph.drawing.baseclasses.AbstractEdgeDrawer._curvature_to_float
  igraph.drawing.baseclasses.AbstractEdgeDrawer.html#_curvature_to_float
  Function
  Static Method
  PRIVATE
  Converts values given to the 'curved' edge style argument in plotting calls to floating point values.
- igraph.drawing.baseclasses.AbstractEdgeDrawer.draw_directed_edge
  igraph.drawing.baseclasses.AbstractEdgeDrawer.html#draw_directed_edge
  Function
  Method
  PUBLIC
  Draws a directed edge.
- igraph.drawing.baseclasses.AbstractEdgeDrawer.draw_undirected_edge
  igraph.drawing.baseclasses.AbstractEdgeDrawer.html#draw_undirected_edge
  Function
  Method
  PUBLIC
  Draws an undirected edge.
- igraph.drawing.baseclasses.AbstractEdgeDrawer.get_label_position
  igraph.drawing.baseclasses.AbstractEdgeDrawer.html#get_label_position
  Function
  Method
  PUBLIC
  Returns the position where the label of an edge should be drawn. the default implementation returns the midpoint of the edge and an alignment that tries to avoid overlapping the label with the edge.
- igraph.drawing.baseclasses.AbstractEdgeDrawer.get_label_rotation
  igraph.drawing.baseclasses.AbstractEdgeDrawer.html#get_label_rotation
  Function
  Method
  PUBLIC
  Get the rotation angle of the label to align with the edge.
- igraph.drawing.baseclasses.AbstractVertexDrawer
  igraph.drawing.baseclasses.AbstractVertexDrawer.html
  Class
  Class
  PUBLIC
  Abstract vertex drawer object from which all concrete vertex drawer implementations are derived.
- igraph.drawing.baseclasses.AbstractVertexDrawer.__init__
  igraph.drawing.baseclasses.AbstractVertexDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the vertex drawer and associates it to the given palette.
- igraph.drawing.baseclasses.AbstractVertexDrawer.layout
  igraph.drawing.baseclasses.AbstractVertexDrawer.html#layout
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.baseclasses.AbstractVertexDrawer.palette
  igraph.drawing.baseclasses.AbstractVertexDrawer.html#palette
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.baseclasses.AbstractVertexDrawer.draw
  igraph.drawing.baseclasses.AbstractVertexDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws the given vertex.
- igraph.drawing.baseclasses.AbstractGraphDrawer
  igraph.drawing.baseclasses.AbstractGraphDrawer.html
  Class
  Class
  PUBLIC
  Abstract class that serves as a base class for anything that draws an igraph.Graph.
- igraph.drawing.baseclasses.AbstractGraphDrawer.draw
  igraph.drawing.baseclasses.AbstractGraphDrawer.html#draw
  Function
  Method
  PUBLIC
  Abstract method, must be implemented in derived classes.
- igraph.drawing.baseclasses.AbstractGraphDrawer.ensure_layout
  igraph.drawing.baseclasses.AbstractGraphDrawer.html#ensure_layout
  Function
  Static Method
  PUBLIC
  Helper method that ensures that layout is an instance of `Layout`. If it is not, the method will try to convert it to a `Layout` according to the following rules:
- igraph.drawing.baseclasses.AbstractGraphDrawer._determine_edge_order
  igraph.drawing.baseclasses.AbstractGraphDrawer.html#_determine_edge_order
  Function
  Static Method
  PRIVATE
  Returns the order in which the edge of the given graph have to be drawn, assuming that the relevant keyword arguments (`edge_order` and `edge_order_by`) are given in `kwds` as a dictionary. If neither `edge_order`...
- igraph.drawing.baseclasses.AbstractGraphDrawer._determine_vertex_order
  igraph.drawing.baseclasses.AbstractGraphDrawer.html#_determine_vertex_order
  Function
  Static Method
  PRIVATE
  Returns the order in which the vertices of the given graph have to be drawn, assuming that the relevant keyword arguments (`vertex_order` and `vertex_order_by`) are given in `kwds` as a dictionary. If neither ...
- igraph.drawing.cairo.base.AbstractCairoDrawer
  igraph.drawing.cairo.base.AbstractCairoDrawer.html
  Class
  Class
  PUBLIC
  Abstract class that serves as a base class for anything that draws on a Cairo context within a given bounding box.
- igraph.drawing.cairo.base.AbstractCairoDrawer._bbox
  igraph.drawing.cairo.base.AbstractCairoDrawer.html#_bbox
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.base.AbstractCairoDrawer.__init__
  igraph.drawing.cairo.base.AbstractCairoDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the drawer and associates it to the given Cairo context and the given `BoundingBox`.
- igraph.drawing.cairo.base.AbstractCairoDrawer.context
  igraph.drawing.cairo.base.AbstractCairoDrawer.html#context
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.base.AbstractCairoDrawer.bbox 0
  igraph.drawing.cairo.base.AbstractCairoDrawer.html#bbox%200
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.base.AbstractCairoDrawer.bbox
  igraph.drawing.cairo.base.AbstractCairoDrawer.html#bbox
  Attribute
  Property
  PUBLIC
  The bounding box of the drawing area where this drawer will draw.
- igraph.drawing.cairo.base.AbstractCairoDrawer.bbox.setter
  igraph.drawing.cairo.base.AbstractCairoDrawer.html#bbox.setter
  Function
  Method
  PUBLIC
  Sets the bounding box of the drawing area where this drawer will draw.
- igraph.drawing.cairo.base.AbstractCairoDrawer._mark_point
  igraph.drawing.cairo.base.AbstractCairoDrawer.html#_mark_point
  Function
  Method
  PRIVATE
  Marks the given point with a small circle on the canvas. Used primarily for debugging purposes.
- igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer
  igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer.html
  Class
  Class
  PUBLIC
  Default Cairo drawer object for dendrograms.
- igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer.__init__
  igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the drawer and associates it to the given palette.
- igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer.palette
  igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer.html#palette
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer._item_box_size
  igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer.html#_item_box_size
  Function
  Static Method
  PRIVATE
  Calculates the amount of space needed for drawing an individual vertex at the bottom of the dendrogram.
- igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer._plot_item
  igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer.html#_plot_item
  Function
  Method
  PRIVATE
  Plots a dendrogram item to the given Cairo context
- igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer.draw
  igraph.drawing.cairo.dendrogram.CairoDendrogramDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws the given Dendrogram in a Cairo context.
- igraph.drawing.matplotlib.utils.find_matplotlib
  igraph.drawing.matplotlib.utils.html#find_matplotlib
  Function
  Function
  PUBLIC
  Tries to import the `matplotlib` Python module if it is installed. Returns a fake module if everything fails.
- igraph.drawing.matplotlib.dendrogram.mpl
  igraph.drawing.matplotlib.dendrogram.html#mpl
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.dendrogram._
  igraph.drawing.matplotlib.dendrogram.html#_
  Attribute
  Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.dendrogram.MatplotlibDendrogramDrawer
  igraph.drawing.matplotlib.dendrogram.MatplotlibDendrogramDrawer.html
  Class
  Class
  PUBLIC
  Matplotlib drawer object for dendrograms.
- igraph.drawing.matplotlib.dendrogram.MatplotlibDendrogramDrawer.__init__
  igraph.drawing.matplotlib.dendrogram.MatplotlibDendrogramDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the drawer and associates it to the given Axes.
- igraph.drawing.matplotlib.dendrogram.MatplotlibDendrogramDrawer.context
  igraph.drawing.matplotlib.dendrogram.MatplotlibDendrogramDrawer.html#context
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.dendrogram.MatplotlibDendrogramDrawer._plot_item
  igraph.drawing.matplotlib.dendrogram.MatplotlibDendrogramDrawer.html#_plot_item
  Function
  Method
  PRIVATE
  Plots a dendrogram item to the given Cairo context
- igraph.drawing.matplotlib.dendrogram.MatplotlibDendrogramDrawer.draw
  igraph.drawing.matplotlib.dendrogram.MatplotlibDendrogramDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws the given Dendrogram in a matplotlib Axes.
- igraph.statistics.FittedPowerLaw
  igraph.statistics.FittedPowerLaw.html
  Class
  Class
  PUBLIC
  Result of fitting a power-law to a vector of samples
- igraph.statistics.FittedPowerLaw.__init__
  igraph.statistics.FittedPowerLaw.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.statistics.FittedPowerLaw.continuous
  igraph.statistics.FittedPowerLaw.html#continuous
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.statistics.FittedPowerLaw.xmin
  igraph.statistics.FittedPowerLaw.html#xmin
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.statistics.FittedPowerLaw.alpha
  igraph.statistics.FittedPowerLaw.html#alpha
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.statistics.FittedPowerLaw.L
  igraph.statistics.FittedPowerLaw.html#L
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.statistics.FittedPowerLaw.D
  igraph.statistics.FittedPowerLaw.html#D
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.statistics.FittedPowerLaw.p
  igraph.statistics.FittedPowerLaw.html#p
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.statistics.FittedPowerLaw.__repr__
  igraph.statistics.FittedPowerLaw.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.statistics.FittedPowerLaw.__str__
  igraph.statistics.FittedPowerLaw.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.statistics.FittedPowerLaw.summary
  igraph.statistics.FittedPowerLaw.html#summary
  Function
  Method
  PUBLIC
  Returns the summary of the power law fit.
- igraph.statistics.Histogram
  igraph.statistics.Histogram.html
  Class
  Class
  PUBLIC
  Generic histogram class for real numbers
- igraph.statistics.Histogram.__init__
  igraph.statistics.Histogram.html#__init__
  Function
  Method
  PUBLIC
  Initializes the histogram with the given data set.
- igraph.statistics.Histogram._bin_width
  igraph.statistics.Histogram.html#_bin_width
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.statistics.Histogram._bins
  igraph.statistics.Histogram.html#_bins
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.statistics.Histogram._min
  igraph.statistics.Histogram.html#_min
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.statistics.Histogram._max
  igraph.statistics.Histogram.html#_max
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.statistics.Histogram._running_mean
  igraph.statistics.Histogram.html#_running_mean
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.statistics.Histogram._get_bin
  igraph.statistics.Histogram.html#_get_bin
  Function
  Method
  PRIVATE
  Returns the bin index corresponding to the given number.
- igraph.statistics.Histogram.n
  igraph.statistics.Histogram.html#n
  Attribute
  Property
  PUBLIC
  Returns the number of elements in the histogram
- igraph.statistics.Histogram.mean
  igraph.statistics.Histogram.html#mean
  Attribute
  Property
  PUBLIC
  Returns the mean of the elements in the histogram
- igraph.statistics.Histogram.sd
  igraph.statistics.Histogram.html#sd
  Attribute
  Property
  PUBLIC
  Returns the standard deviation of the elements in the histogram
- igraph.statistics.Histogram.var
  igraph.statistics.Histogram.html#var
  Attribute
  Property
  PUBLIC
  Returns the variance of the elements in the histogram
- igraph.statistics.Histogram.add
  igraph.statistics.Histogram.html#add
  Function
  Method
  PUBLIC
  Adds a single number to the histogram.
- igraph.statistics.Histogram.add_many
  igraph.statistics.Histogram.html#add_many
  Function
  Method
  PUBLIC
  Adds a single number or the elements of an iterable to the histogram.
- igraph.statistics.Histogram.clear
  igraph.statistics.Histogram.html#clear
  Function
  Method
  PUBLIC
  Clears the collected data
- igraph.statistics.Histogram.bins
  igraph.statistics.Histogram.html#bins
  Function
  Method
  PUBLIC
  Generator returning the bins of the histogram in increasing order
- igraph.statistics.Histogram.__plot__
  igraph.statistics.Histogram.html#__plot__
  Function
  Method
  PUBLIC
  Plotting support
- igraph.statistics.Histogram.to_string
  igraph.statistics.Histogram.html#to_string
  Function
  Method
  PUBLIC
  Returns the string representation of the histogram.
- igraph.statistics.Histogram.__str__
  igraph.statistics.Histogram.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.statistics.RunningMean
  igraph.statistics.RunningMean.html
  Class
  Class
  PUBLIC
  Running mean calculator.
- igraph.statistics.RunningMean.__init__
  igraph.statistics.RunningMean.html#__init__
  Function
  Method
  PUBLIC
  RunningMean(items=None, n=0.0, mean=0.0, sd=0.0)
- igraph.statistics.RunningMean.add
  igraph.statistics.RunningMean.html#add
  Function
  Method
  PUBLIC
  RunningMean.add(value, repeat=1)
- igraph.statistics.RunningMean._sd
  igraph.statistics.RunningMean.html#_sd
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.statistics.RunningMean.add_many
  igraph.statistics.RunningMean.html#add_many
  Function
  Method
  PUBLIC
  RunningMean.add(values)
- igraph.statistics.RunningMean.clear
  igraph.statistics.RunningMean.html#clear
  Function
  Method
  PUBLIC
  Resets the running mean calculator.
- igraph.statistics.RunningMean._nitems
  igraph.statistics.RunningMean.html#_nitems
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.statistics.RunningMean._mean
  igraph.statistics.RunningMean.html#_mean
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.statistics.RunningMean._sqdiff
  igraph.statistics.RunningMean.html#_sqdiff
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.statistics.RunningMean.result
  igraph.statistics.RunningMean.html#result
  Attribute
  Property
  PUBLIC
  Returns the current mean and standard deviation as a tuple
- igraph.statistics.RunningMean.mean
  igraph.statistics.RunningMean.html#mean
  Attribute
  Property
  PUBLIC
  Returns the current mean
- igraph.statistics.RunningMean.sd
  igraph.statistics.RunningMean.html#sd
  Attribute
  Property
  PUBLIC
  Returns the current standard deviation
- igraph.statistics.RunningMean.var
  igraph.statistics.RunningMean.html#var
  Attribute
  Property
  PUBLIC
  Returns the current variation
- igraph.statistics.RunningMean.__repr__
  igraph.statistics.RunningMean.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.statistics.RunningMean.__str__
  igraph.statistics.RunningMean.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.statistics.RunningMean.__float__
  igraph.statistics.RunningMean.html#__float__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.statistics.RunningMean.__int__
  igraph.statistics.RunningMean.html#__int__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.statistics.RunningMean.__complex__
  igraph.statistics.RunningMean.html#__complex__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.statistics.RunningMean.__len__
  igraph.statistics.RunningMean.html#__len__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.statistics.mean
  igraph.statistics.html#mean
  Function
  Function
  PUBLIC
  Returns the mean of an iterable.
- igraph.statistics.median
  igraph.statistics.html#median
  Function
  Function
  PUBLIC
  Returns the median of an unsorted or sorted numeric vector.
- igraph.statistics.percentile
  igraph.statistics.html#percentile
  Function
  Function
  PUBLIC
  Returns the pth percentile of an unsorted or sorted numeric vector.
- igraph.statistics.power_law_fit
  igraph.statistics.html#power_law_fit
  Function
  Function
  PUBLIC
  Fitting a power-law distribution to empirical data
- igraph.statistics.quantile
  igraph.statistics.html#quantile
  Function
  Function
  PUBLIC
  Returns the qth quantile of an unsorted or sorted numeric vector.
- igraph.statistics.sd
  igraph.statistics.html#sd
  Function
  Function
  PUBLIC
  Returns the standard deviation of an iterable.
- igraph.statistics.var
  igraph.statistics.html#var
  Function
  Function
  PUBLIC
  Returns the variance of an iterable.
- igraph.summary.FakeWrapper
  igraph.summary.FakeWrapper.html
  Class
  Class
  PUBLIC
  Object whose interface is compatible with `textwrap.TextWrapper` but does no wrapping.
- igraph.summary.FakeWrapper.__init__
  igraph.summary.FakeWrapper.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.summary.FakeWrapper.fill
  igraph.summary.FakeWrapper.html#fill
  Function
  Method
  PUBLIC
  Undocumented
- igraph.summary.FakeWrapper.wrap
  igraph.summary.FakeWrapper.html#wrap
  Function
  Method
  PUBLIC
  Undocumented
- igraph.summary._get_wrapper_for_width
  igraph.summary.html#_get_wrapper_for_width
  Function
  Function
  PRIVATE
  Returns a text wrapper that wraps text for the given width.
- igraph.summary.GraphSummary
  igraph.summary.GraphSummary.html
  Class
  Class
  PUBLIC
  Summary representation of a graph.
- igraph.summary.GraphSummary.__init__
  igraph.summary.GraphSummary.html#__init__
  Function
  Method
  PUBLIC
  Constructs a summary representation of a graph.
- igraph.summary.GraphSummary._graph
  igraph.summary.GraphSummary.html#_graph
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.summary.GraphSummary.edge_list_format
  igraph.summary.GraphSummary.html#edge_list_format
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.summary.GraphSummary.max_rows
  igraph.summary.GraphSummary.html#max_rows
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.summary.GraphSummary.print_graph_attributes
  igraph.summary.GraphSummary.html#print_graph_attributes
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.summary.GraphSummary.print_vertex_attributes
  igraph.summary.GraphSummary.html#print_vertex_attributes
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.summary.GraphSummary.print_edge_attributes
  igraph.summary.GraphSummary.html#print_edge_attributes
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.summary.GraphSummary.verbosity
  igraph.summary.GraphSummary.html#verbosity
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.summary.GraphSummary.width
  igraph.summary.GraphSummary.html#width
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.summary.GraphSummary.wrapper
  igraph.summary.GraphSummary.html#wrapper
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.summary.GraphSummary._edges_header
  igraph.summary.GraphSummary.html#_edges_header
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.summary.GraphSummary._arrow
  igraph.summary.GraphSummary.html#_arrow
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.summary.GraphSummary._arrow_format
  igraph.summary.GraphSummary.html#_arrow_format
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.summary.GraphSummary._construct_edgelist_adjlist
  igraph.summary.GraphSummary.html#_construct_edgelist_adjlist
  Function
  Method
  PRIVATE
  Constructs the part in the summary that prints the edge list in an adjacency list format.
- igraph.summary.GraphSummary._construct_edgelist_compressed
  igraph.summary.GraphSummary.html#_construct_edgelist_compressed
  Function
  Method
  PRIVATE
  Constructs the part in the summary that prints the edge list in a compressed format suitable for graphs with mostly small degrees.
- igraph.summary.GraphSummary._construct_edgelist_edgelist
  igraph.summary.GraphSummary.html#_construct_edgelist_edgelist
  Function
  Method
  PRIVATE
  Constructs the part in the summary that prints the edge list in a full edge list format.
- igraph.summary.GraphSummary._construct_graph_attributes
  igraph.summary.GraphSummary.html#_construct_graph_attributes
  Function
  Method
  PRIVATE
  Constructs the part in the summary that lists the graph attributes.
- igraph.summary.GraphSummary._construct_vertex_attributes
  igraph.summary.GraphSummary.html#_construct_vertex_attributes
  Function
  Method
  PRIVATE
  Constructs the part in the summary that lists the vertex attributes.
- igraph.summary.GraphSummary._construct_header
  igraph.summary.GraphSummary.html#_construct_header
  Function
  Method
  PRIVATE
  Constructs the header part of the summary.
- igraph.summary.GraphSummary._edge_attribute_iterator
  igraph.summary.GraphSummary.html#_edge_attribute_iterator
  Function
  Method
  PRIVATE
  Returns an iterator that yields the rows of the edge attribute table in the summary. `attribute_order` must be a list containing the names of the attributes to be presented in this table.
- igraph.summary.GraphSummary._infer_column_alignment
  igraph.summary.GraphSummary.html#_infer_column_alignment
  Function
  Method
  PRIVATE
  Infers the preferred alignment for the given vertex and edge attributes in the tables by peeking into the attribute values of the first 100 vertices or edges. Numeric attributes will be aligned right, everything else will be aligned left.
- igraph.summary.GraphSummary._new_table
  igraph.summary.GraphSummary.html#_new_table
  Function
  Method
  PRIVATE
  Constructs a new table to pretty-print vertex and edge attributes
- igraph.summary.GraphSummary._vertex_attribute_iterator
  igraph.summary.GraphSummary.html#_vertex_attribute_iterator
  Function
  Method
  PRIVATE
  Returns an iterator that yields the rows of the vertex attribute table in the summary. `attribute_order` must be a list containing the names of the attributes to be presented in this table.
- igraph.summary.GraphSummary.__str__
  igraph.summary.GraphSummary.html#__str__
  Function
  Method
  PUBLIC
  Returns the summary representation as a string.
- igraph.summary.summary
  igraph.summary.html#summary
  Function
  Function
  PUBLIC
  Prints a summary of object o to a given stream
- igraph.clustering._handle_mark_groups_arg_for_clustering
  igraph.clustering.html#_handle_mark_groups_arg_for_clustering
  Function
  Function
  PRIVATE
  Handles the mark_groups=... keyword argument in plotting methods of clusterings.
- igraph.clustering._prepare_community_comparison
  igraph.clustering.html#_prepare_community_comparison
  Function
  Function
  PRIVATE
  Auxiliary method that takes two community structures either as membership lists or instances of `Clustering`, and returns a tuple whose two elements are membership lists.
- igraph.clustering._biconnected_components
  igraph.clustering.html#_biconnected_components
  Function
  Function
  PRIVATE
  Calculates the biconnected components of the graph.
- igraph.clustering._cohesive_blocks
  igraph.clustering.html#_cohesive_blocks
  Function
  Function
  PRIVATE
  Calculates the cohesive block structure of the graph.
- igraph.clustering._connected_components
  igraph.clustering.html#_connected_components
  Function
  Function
  PRIVATE
  Calculates the (strong or weak) connected components for a given graph.
- igraph.clustering._clusters
  igraph.clustering.html#_clusters
  Function
  Function
  PRIVATE
  Deprecated alias to `Graph.connected_components()`.
- igraph.community._community_fastgreedy
  igraph.community.html#_community_fastgreedy
  Function
  Function
  PRIVATE
  Community structure based on the greedy optimization of modularity.
- igraph.community._community_infomap
  igraph.community.html#_community_infomap
  Function
  Function
  PRIVATE
  Finds the community structure of the network according to the Infomap method of Martin Rosvall and Carl T. Bergstrom.
- igraph.community._community_leading_eigenvector
  igraph.community.html#_community_leading_eigenvector
  Function
  Function
  PRIVATE
  Newman's leading eigenvector method for detecting community structure.
- igraph.community._community_label_propagation
  igraph.community.html#_community_label_propagation
  Function
  Function
  PRIVATE
  Finds the community structure of the graph according to the label propagation method of Raghavan et al.
- igraph.community._community_multilevel
  igraph.community.html#_community_multilevel
  Function
  Function
  PRIVATE
  Community structure based on the multilevel algorithm of Blondel et al.
- igraph.community._community_optimal_modularity
  igraph.community.html#_community_optimal_modularity
  Function
  Function
  PRIVATE
  Calculates the optimal modularity score of the graph and the corresponding community structure.
- igraph.community._community_edge_betweenness
  igraph.community.html#_community_edge_betweenness
  Function
  Function
  PRIVATE
  Community structure based on the betweenness of the edges in the network.
- igraph.community._community_spinglass
  igraph.community.html#_community_spinglass
  Function
  Function
  PRIVATE
  Finds the community structure of the graph according to the spinglass community detection method of Reichardt & Bornholdt.
- igraph.community._community_walktrap
  igraph.community.html#_community_walktrap
  Function
  Function
  PRIVATE
  Community detection algorithm of Latapy & Pons, based on random walks.
- igraph.community._k_core
  igraph.community.html#_k_core
  Function
  Function
  PRIVATE
  Returns some k-cores of the graph.
- igraph.community._community_leiden
  igraph.community.html#_community_leiden
  Function
  Function
  PRIVATE
  Finds the community structure of the graph using the Leiden algorithm of Traag, van Eck & Waltman.
- igraph.community._modularity
  igraph.community.html#_modularity
  Function
  Function
  PRIVATE
  Calculates the modularity score of the graph with respect to a given clustering.
- igraph.community._optimal_cluster_count_from_merges_and_modularity
  igraph.community.html#_optimal_cluster_count_from_merges_and_modularity
  Function
  Function
  PRIVATE
  Helper function to find the optimal cluster count for a hierarchical clustering of a graph, given the merge matrix and the list of modularity values after each merge.
- igraph.Clustering
  igraph.Clustering.html
  Class
  Class
  PUBLIC
  Class representing a clustering of an arbitrary ordered set.
- igraph.Clustering.__init__
  igraph.Clustering.html#__init__
  Function
  Method
  PUBLIC
  Constructor.
- igraph.Clustering._membership
  igraph.Clustering.html#_membership
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Clustering._len
  igraph.Clustering.html#_len
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Clustering.__getitem__
  igraph.Clustering.html#__getitem__
  Function
  Method
  PUBLIC
  Returns the members of the specified cluster.
- igraph.Clustering.__iter__
  igraph.Clustering.html#__iter__
  Function
  Method
  PUBLIC
  Iterates over the clusters in this clustering.
- igraph.Clustering.__len__
  igraph.Clustering.html#__len__
  Function
  Method
  PUBLIC
  Returns the number of clusters.
- igraph.Clustering.__str__
  igraph.Clustering.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.Clustering.as_cover
  igraph.Clustering.html#as_cover
  Function
  Method
  PUBLIC
  Returns a `Cover` that contains the same clusters as this clustering.
- igraph.Clustering.compare_to
  igraph.Clustering.html#compare_to
  Function
  Method
  PUBLIC
  Compares this clustering to another one using some similarity or distance metric.
- igraph.Clustering.membership
  igraph.Clustering.html#membership
  Attribute
  Property
  PUBLIC
  Returns the membership vector.
- igraph.Clustering.n
  igraph.Clustering.html#n
  Attribute
  Property
  PUBLIC
  Returns the number of elements covered by this clustering.
- igraph.Clustering.size
  igraph.Clustering.html#size
  Function
  Method
  PUBLIC
  Returns the size of a given cluster.
- igraph.Clustering.sizes
  igraph.Clustering.html#sizes
  Function
  Method
  PUBLIC
  Returns the size of given clusters.
- igraph.Clustering.size_histogram
  igraph.Clustering.html#size_histogram
  Function
  Method
  PUBLIC
  Returns the histogram of cluster sizes.
- igraph.Clustering.summary
  igraph.Clustering.html#summary
  Function
  Method
  PUBLIC
  Returns the summary of the clustering.
- igraph.Clustering._formatted_cluster_iterator
  igraph.Clustering.html#_formatted_cluster_iterator
  Function
  Method
  PRIVATE
  Iterates over the clusters and formats them into a string to be presented in the summary.
- igraph.VertexClustering
  igraph.VertexClustering.html
  Class
  Class
  PUBLIC
  The clustering of the vertex set of a graph.
- igraph.VertexClustering._default_palette
  igraph.VertexClustering.html#_default_palette
  Attribute
  Class Variable
  PRIVATE
  Undocumented
- igraph.VertexClustering.__init__
  igraph.VertexClustering.html#__init__
  Function
  Method
  PUBLIC
  Creates a clustering object for a given graph.
- igraph.VertexClustering._graph
  igraph.VertexClustering.html#_graph
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.VertexClustering._modularity
  igraph.VertexClustering.html#_modularity
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.VertexClustering._modularity_dirty
  igraph.VertexClustering.html#_modularity_dirty
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.VertexClustering._modularity_params
  igraph.VertexClustering.html#_modularity_params
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.VertexClustering.FromAttribute
  igraph.VertexClustering.html#FromAttribute
  Function
  Class Method
  PUBLIC
  Creates a vertex clustering based on the value of a vertex attribute.
- igraph.VertexClustering.as_cover
  igraph.VertexClustering.html#as_cover
  Function
  Method
  PUBLIC
  Returns a `VertexCover` that contains the same clusters as this clustering.
- igraph.VertexClustering.cluster_graph
  igraph.VertexClustering.html#cluster_graph
  Function
  Method
  PUBLIC
  Returns a graph where each cluster is contracted into a single vertex.
- igraph.VertexClustering.crossing
  igraph.VertexClustering.html#crossing
  Function
  Method
  PUBLIC
  Returns a boolean vector where element i is `True` iff edge i lies between clusters, `False` otherwise.
- igraph.VertexClustering.modularity
  igraph.VertexClustering.html#modularity
  Attribute
  Property
  PUBLIC
  Returns the modularity score
- igraph.VertexClustering.graph
  igraph.VertexClustering.html#graph
  Attribute
  Property
  PUBLIC
  Returns the graph belonging to this object
- igraph.VertexClustering.recalculate_modularity
  igraph.VertexClustering.html#recalculate_modularity
  Function
  Method
  PUBLIC
  Recalculates the stored modularity value.
- igraph.VertexClustering._recalculate_modularity_safe
  igraph.VertexClustering.html#_recalculate_modularity_safe
  Function
  Method
  PRIVATE
  Recalculates the stored modularity value and swallows all exceptions raised by the modularity function (if any).
- igraph.VertexClustering.subgraph
  igraph.VertexClustering.html#subgraph
  Function
  Method
  PUBLIC
  Get the subgraph belonging to a given cluster.
- igraph.VertexClustering.subgraphs
  igraph.VertexClustering.html#subgraphs
  Function
  Method
  PUBLIC
  Gets all the subgraphs belonging to each of the clusters.
- igraph.VertexClustering.giant
  igraph.VertexClustering.html#giant
  Function
  Method
  PUBLIC
  Returns the largest cluster of the clustered graph.
- igraph.VertexClustering.__plot__
  igraph.VertexClustering.html#__plot__
  Function
  Method
  PUBLIC
  Plots the clustering to the given Cairo context or matplotlib Axes.
- igraph.VertexClustering._formatted_cluster_iterator
  igraph.VertexClustering.html#_formatted_cluster_iterator
  Function
  Method
  PRIVATE
  Iterates over the clusters and formats them into a string to be presented in the summary.
- igraph.Dendrogram
  igraph.Dendrogram.html
  Class
  Class
  PUBLIC
  The hierarchical clustering (dendrogram) of some dataset.
- igraph.Dendrogram.__init__
  igraph.Dendrogram.html#__init__
  Function
  Method
  PUBLIC
  Creates a hierarchical clustering.
- igraph.Dendrogram._merges
  igraph.Dendrogram.html#_merges
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Dendrogram._nmerges
  igraph.Dendrogram.html#_nmerges
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Dendrogram._nitems
  igraph.Dendrogram.html#_nitems
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Dendrogram._names
  igraph.Dendrogram.html#_names
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Dendrogram._convert_matrix_to_tuple_repr
  igraph.Dendrogram.html#_convert_matrix_to_tuple_repr
  Function
  Static Method
  PRIVATE
  Converts the matrix representation of a clustering to a tuple representation.
- igraph.Dendrogram._traverse_inorder
  igraph.Dendrogram.html#_traverse_inorder
  Function
  Method
  PRIVATE
  Conducts an inorder traversal of the merge tree.
- igraph.Dendrogram.__str__
  igraph.Dendrogram.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.Dendrogram.format
  igraph.Dendrogram.html#format
  Function
  Method
  PUBLIC
  Formats the dendrogram in a foreign format.
- igraph.Dendrogram.summary
  igraph.Dendrogram.html#summary
  Function
  Method
  PUBLIC
  Returns the summary of the dendrogram.
- igraph.Dendrogram.__plot__
  igraph.Dendrogram.html#__plot__
  Function
  Method
  PUBLIC
  Draws the dendrogram on the given Cairo context or matplotlib Axes.
- igraph.Dendrogram.merges
  igraph.Dendrogram.html#merges
  Attribute
  Property
  PUBLIC
  Returns the performed merges in matrix format
- igraph.Dendrogram.names
  igraph.Dendrogram.html#names
  Attribute
  Property
  PUBLIC
  Returns the names of the nodes in the dendrogram
- igraph.Dendrogram.names.setter
  igraph.Dendrogram.html#names.setter
  Function
  Method
  PUBLIC
  Sets the names of the nodes in the dendrogram
- igraph.VertexDendrogram
  igraph.VertexDendrogram.html
  Class
  Class
  PUBLIC
  The dendrogram resulting from the hierarchical clustering of the vertex set of a graph.
- igraph.VertexDendrogram.__init__
  igraph.VertexDendrogram.html#__init__
  Function
  Method
  PUBLIC
  Creates a dendrogram object for a given graph.
- igraph.VertexDendrogram._graph
  igraph.VertexDendrogram.html#_graph
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.VertexDendrogram._optimal_count
  igraph.VertexDendrogram.html#_optimal_count
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.VertexDendrogram._modularity_params
  igraph.VertexDendrogram.html#_modularity_params
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.VertexDendrogram.as_clustering
  igraph.VertexDendrogram.html#as_clustering
  Function
  Method
  PUBLIC
  Cuts the dendrogram at the given level and returns a corresponding `VertexClustering` object.
- igraph.VertexDendrogram.optimal_count
  igraph.VertexDendrogram.html#optimal_count
  Attribute
  Property
  PUBLIC
  Returns the optimal number of clusters for this dendrogram.
- igraph.VertexDendrogram.optimal_count.setter
  igraph.VertexDendrogram.html#optimal_count.setter
  Function
  Method
  PUBLIC
  Undocumented
- igraph.VertexDendrogram.__plot__
  igraph.VertexDendrogram.html#__plot__
  Function
  Method
  PUBLIC
  Draws the vertex dendrogram on the given Cairo context or matplotlib Axes
- igraph.VertexDendrogram._names
  igraph.VertexDendrogram.html#_names
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Cover
  igraph.Cover.html
  Class
  Class
  PUBLIC
  Class representing a cover of an arbitrary ordered set.
- igraph.Cover.__init__
  igraph.Cover.html#__init__
  Function
  Method
  PUBLIC
  Constructs a cover with the given clusters.
- igraph.Cover._clusters
  igraph.Cover.html#_clusters
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Cover._n
  igraph.Cover.html#_n
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Cover.__getitem__
  igraph.Cover.html#__getitem__
  Function
  Method
  PUBLIC
  Returns the cluster with the given index.
- igraph.Cover.__iter__
  igraph.Cover.html#__iter__
  Function
  Method
  PUBLIC
  Iterates over the clusters in this cover.
- igraph.Cover.__len__
  igraph.Cover.html#__len__
  Function
  Method
  PUBLIC
  Returns the number of clusters in this cover.
- igraph.Cover.__str__
  igraph.Cover.html#__str__
  Function
  Method
  PUBLIC
  Returns a string representation of the cover.
- igraph.Cover.membership
  igraph.Cover.html#membership
  Attribute
  Property
  PUBLIC
  Returns the membership vector of this cover.
- igraph.Cover.n
  igraph.Cover.html#n
  Attribute
  Property
  PUBLIC
  Returns the number of elements in the set covered by this cover.
- igraph.Cover.size
  igraph.Cover.html#size
  Function
  Method
  PUBLIC
  Returns the size of a given cluster.
- igraph.Cover.sizes
  igraph.Cover.html#sizes
  Function
  Method
  PUBLIC
  Returns the size of given clusters.
- igraph.Cover.size_histogram
  igraph.Cover.html#size_histogram
  Function
  Method
  PUBLIC
  Returns the histogram of cluster sizes.
- igraph.Cover.summary
  igraph.Cover.html#summary
  Function
  Method
  PUBLIC
  Returns the summary of the cover.
- igraph.Cover._formatted_cluster_iterator
  igraph.Cover.html#_formatted_cluster_iterator
  Function
  Method
  PRIVATE
  Iterates over the clusters and formats them into a string to be presented in the summary.
- igraph.VertexCover
  igraph.VertexCover.html
  Class
  Class
  PUBLIC
  The cover of the vertex set of a graph.
- igraph.VertexCover.__init__
  igraph.VertexCover.html#__init__
  Function
  Method
  PUBLIC
  Creates a cover object for a given graph.
- igraph.VertexCover._graph
  igraph.VertexCover.html#_graph
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.VertexCover.crossing
  igraph.VertexCover.html#crossing
  Function
  Method
  PUBLIC
  Returns a boolean vector where element i is `True` iff edge i lies between clusters, `False` otherwise.
- igraph.VertexCover.graph
  igraph.VertexCover.html#graph
  Attribute
  Property
  PUBLIC
  Returns the graph belonging to this object
- igraph.VertexCover.subgraph
  igraph.VertexCover.html#subgraph
  Function
  Method
  PUBLIC
  Get the subgraph belonging to a given cluster.
- igraph.VertexCover.subgraphs
  igraph.VertexCover.html#subgraphs
  Function
  Method
  PUBLIC
  Gets all the subgraphs belonging to each of the clusters.
- igraph.VertexCover.__plot__
  igraph.VertexCover.html#__plot__
  Function
  Method
  PUBLIC
  Plots the cover to the given Cairo context or matplotlib Axes.
- igraph.VertexCover._formatted_cluster_iterator
  igraph.VertexCover.html#_formatted_cluster_iterator
  Function
  Method
  PRIVATE
  Iterates over the clusters and formats them into a string to be presented in the summary.
- igraph.VertexCover._resolve_names_in_clusters
  igraph.VertexCover.html#_resolve_names_in_clusters
  Function
  Static Method
  PRIVATE
  Undocumented
- igraph.CohesiveBlocks
  igraph.CohesiveBlocks.html
  Class
  Class
  PUBLIC
  The cohesive block structure of a graph.
- igraph.CohesiveBlocks.__init__
  igraph.CohesiveBlocks.html#__init__
  Function
  Method
  PUBLIC
  Constructs a new cohesive block structure for the given graph.
- igraph.CohesiveBlocks._cohesion
  igraph.CohesiveBlocks.html#_cohesion
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.CohesiveBlocks._parent
  igraph.CohesiveBlocks.html#_parent
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.CohesiveBlocks.cohesion
  igraph.CohesiveBlocks.html#cohesion
  Function
  Method
  PUBLIC
  Returns the cohesion of the group with the given index.
- igraph.CohesiveBlocks.cohesions
  igraph.CohesiveBlocks.html#cohesions
  Function
  Method
  PUBLIC
  Returns the list of cohesion values for each group.
- igraph.CohesiveBlocks.hierarchy
  igraph.CohesiveBlocks.html#hierarchy
  Function
  Method
  PUBLIC
  Returns a new graph that describes the hierarchical relationships between the groups.
- igraph.CohesiveBlocks.max_cohesion
  igraph.CohesiveBlocks.html#max_cohesion
  Function
  Method
  PUBLIC
  Finds the maximum cohesion score among all the groups that contain the given vertex.
- igraph.CohesiveBlocks.max_cohesions
  igraph.CohesiveBlocks.html#max_cohesions
  Function
  Method
  PUBLIC
  For each vertex in the graph, returns the maximum cohesion score among all the groups that contain the vertex.
- igraph.CohesiveBlocks.parent
  igraph.CohesiveBlocks.html#parent
  Function
  Method
  PUBLIC
  Returns the parent group index of the group with the given index or `None` if the given group is the root.
- igraph.CohesiveBlocks.parents
  igraph.CohesiveBlocks.html#parents
  Function
  Method
  PUBLIC
  Returns the list of parent group indices for each group or `None` if the given group is the root.
- igraph.CohesiveBlocks.__plot__
  igraph.CohesiveBlocks.html#__plot__
  Function
  Method
  PUBLIC
  Plots the cohesive block structure to the given Cairo context or matplotlib Axes.
- igraph.compare_communities
  index.html#compare_communities
  Function
  Function
  PUBLIC
  Compares two community structures using various distance measures.
- igraph.split_join_distance
  index.html#split_join_distance
  Function
  Function
  PUBLIC
  Calculates the split-join distance between two community structures.
- igraph.cut._all_st_cuts
  igraph.cut.html#_all_st_cuts
  Function
  Function
  PRIVATE
  Returns all the cuts between the source and target vertices in a directed graph.
- igraph.cut._all_st_mincuts
  igraph.cut.html#_all_st_mincuts
  Function
  Function
  PRIVATE
  Returns all the mincuts between the source and target vertices in a directed graph.
- igraph.cut._gomory_hu_tree
  igraph.cut.html#_gomory_hu_tree
  Function
  Function
  PRIVATE
  Calculates the Gomory-Hu tree of an undirected graph with optional edge capacities.
- igraph.cut._maxflow
  igraph.cut.html#_maxflow
  Function
  Function
  PRIVATE
  Returns a maximum flow between the given source and target vertices in a graph.
- igraph.cut._mincut
  igraph.cut.html#_mincut
  Function
  Function
  PRIVATE
  Calculates the minimum cut between the given source and target vertices or within the whole graph.
- igraph.cut._st_mincut
  igraph.cut.html#_st_mincut
  Function
  Function
  PRIVATE
  Calculates the minimum cut between the source and target vertices in a graph.
- igraph.Cut
  igraph.Cut.html
  Class
  Class
  PUBLIC
  A cut of a given graph.
- igraph.Cut.__init__
  igraph.Cut.html#__init__
  Function
  Method
  PUBLIC
  Initializes the cut.
- igraph.Cut._value
  igraph.Cut.html#_value
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Cut._partition
  igraph.Cut.html#_partition
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Cut._cut
  igraph.Cut.html#_cut
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Cut.__repr__
  igraph.Cut.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.Cut.__str__
  igraph.Cut.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.Cut.es
  igraph.Cut.html#es
  Attribute
  Property
  PUBLIC
  Returns an edge selector restricted to the cut
- igraph.Cut.partition
  igraph.Cut.html#partition
  Attribute
  Property
  PUBLIC
  Returns the vertex IDs partitioned according to the cut
- igraph.Cut.cut
  igraph.Cut.html#cut
  Attribute
  Property
  PUBLIC
  Returns the edge IDs in the cut
- igraph.Cut.value
  igraph.Cut.html#value
  Attribute
  Property
  PUBLIC
  Returns the sum of edge capacities in the cut
- igraph.Flow
  igraph.Flow.html
  Class
  Class
  PUBLIC
  A flow of a given graph.
- igraph.Flow.__init__
  igraph.Flow.html#__init__
  Function
  Method
  PUBLIC
  Initializes the flow.
- igraph.Flow._flow
  igraph.Flow.html#_flow
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Flow.__repr__
  igraph.Flow.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.Flow.__str__
  igraph.Flow.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.Flow.flow
  igraph.Flow.html#flow
  Attribute
  Property
  PUBLIC
  Returns the flow values for each edge.
- igraph.Configuration
  igraph.Configuration.html
  Class
  Class
  PUBLIC
  Class representing igraph configuration details.
- igraph.Configuration.Types
  igraph.Configuration.Types.html
  Class
  Class
  PUBLIC
  Static class for the implementation of custom getter/setter functions for configuration keys
- igraph.Configuration.Types.setboolean
  igraph.Configuration.Types.html#setboolean
  Function
  Static Method
  PUBLIC
  Sets a boolean value in the given configuration object.
- igraph.Configuration.Types.setint
  igraph.Configuration.Types.html#setint
  Function
  Static Method
  PUBLIC
  Sets an integer value in the given configuration object.
- igraph.Configuration.Types.setfloat
  igraph.Configuration.Types.html#setfloat
  Function
  Static Method
  PUBLIC
  Sets a float value in the given configuration object.
- igraph.Configuration._types
  igraph.Configuration.html#_types
  Attribute
  Class Variable
  PRIVATE
  Undocumented
- igraph.Configuration._sections
  igraph.Configuration.html#_sections
  Attribute
  Class Variable
  PRIVATE
  Undocumented
- igraph.Configuration._definitions
  igraph.Configuration.html#_definitions
  Attribute
  Class Variable
  PRIVATE
  Undocumented
- igraph.Configuration._instance
  igraph.Configuration.html#_instance
  Attribute
  Class Variable
  PRIVATE
  Undocumented
- igraph.Configuration._filename
  igraph.Configuration.html#_filename
  Attribute
  Instance Variable
  PRIVATE
  Name of the file that the configuration was loaded from, or ``None`` if not known.
- igraph.Configuration.__init__
  igraph.Configuration.html#__init__
  Function
  Method
  PUBLIC
  Creates a new configuration instance.
- igraph.Configuration._config
  igraph.Configuration.html#_config
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Configuration.filename
  igraph.Configuration.html#filename
  Attribute
  Property
  PUBLIC
  Returns the filename associated to the object.
- igraph.Configuration._get
  igraph.Configuration.html#_get
  Function
  Method
  PRIVATE
  Internal function that returns the value of a given key in a given section.
- igraph.Configuration._item_to_section_key
  igraph.Configuration.html#_item_to_section_key
  Function
  Static Method
  PRIVATE
  Converts an item description to a section-key pair.
- igraph.Configuration.__contains__
  igraph.Configuration.html#__contains__
  Function
  Method
  PUBLIC
  Checks whether the given configuration item is set.
- igraph.Configuration.__getitem__
  igraph.Configuration.html#__getitem__
  Function
  Method
  PUBLIC
  Returns the given configuration item.
- igraph.Configuration.__setitem__
  igraph.Configuration.html#__setitem__
  Function
  Method
  PUBLIC
  Sets the given configuration item.
- igraph.Configuration.__delitem__
  igraph.Configuration.html#__delitem__
  Function
  Method
  PUBLIC
  Deletes the given item from the configuration.
- igraph.Configuration.has_key
  igraph.Configuration.html#has_key
  Function
  Method
  PUBLIC
  Checks if the configuration has a given key.
- igraph.Configuration.load
  igraph.Configuration.html#load
  Function
  Method
  PUBLIC
  Loads the configuration from the given file.
- igraph.Configuration.save
  igraph.Configuration.html#save
  Function
  Method
  PUBLIC
  Saves the configuration.
- igraph.Configuration.instance
  igraph.Configuration.html#instance
  Function
  Class Method
  PUBLIC
  Returns the single instance of the configuration object.
- igraph.drawing.cairo.utils.find_cairo
  igraph.drawing.cairo.utils.html#find_cairo
  Function
  Function
  PUBLIC
  Tries to import the `cairo` Python module if it is installed, also trying `cairocffi` (a drop-in replacement of `cairo`). Returns a fake module if everything fails.
- igraph.drawing.plotly.utils.find_plotly
  igraph.drawing.plotly.utils.html#find_plotly
  Function
  Function
  PUBLIC
  Tries to import the `plotly` Python module if it is installed. Returns a fake module if everything fails.
- igraph.drawing.plotly.utils.format_path_step
  igraph.drawing.plotly.utils.html#format_path_step
  Function
  Function
  PUBLIC
  Format step in SVG path for plotly
- igraph.drawing.plotly.utils.format_arc
  igraph.drawing.plotly.utils.html#format_arc
  Function
  Function
  PUBLIC
  Approximation of an SVG-style arc
- igraph.drawing.plotly.utils.format_rgba
  igraph.drawing.plotly.utils.html#format_rgba
  Function
  Function
  PUBLIC
  Format colors in a way understood by plotly
- igraph.drawing.cairo.plot.cairo
  igraph.drawing.cairo.plot.html#cairo
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.plot.CairoPlot
  igraph.drawing.cairo.plot.CairoPlot.html
  Class
  Class
  PUBLIC
  Class representing an arbitrary plot that uses the Cairo plotting backend.
- igraph.drawing.cairo.plot.CairoPlot.__init__
  igraph.drawing.cairo.plot.CairoPlot.html#__init__
  Function
  Method
  PUBLIC
  Creates a new plot.
- igraph.drawing.cairo.plot.CairoPlot._filename
  igraph.drawing.cairo.plot.CairoPlot.html#_filename
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.plot.CairoPlot._need_tmpfile
  igraph.drawing.cairo.plot.CairoPlot.html#_need_tmpfile
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.plot.CairoPlot.bbox
  igraph.drawing.cairo.plot.CairoPlot.html#bbox
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.plot.CairoPlot._palette
  igraph.drawing.cairo.plot.CairoPlot.html#_palette
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.plot.CairoPlot._surface
  igraph.drawing.cairo.plot.CairoPlot.html#_surface
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.plot.CairoPlot._ctx
  igraph.drawing.cairo.plot.CairoPlot.html#_ctx
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.plot.CairoPlot._objects
  igraph.drawing.cairo.plot.CairoPlot.html#_objects
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.plot.CairoPlot._is_dirty
  igraph.drawing.cairo.plot.CairoPlot.html#_is_dirty
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.plot.CairoPlot.add
  igraph.drawing.cairo.plot.CairoPlot.html#add
  Function
  Method
  PUBLIC
  Adds an object to the plot.
- igraph.drawing.cairo.plot.CairoPlot.background 0
  igraph.drawing.cairo.plot.CairoPlot.html#background%200
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.plot.CairoPlot.background
  igraph.drawing.cairo.plot.CairoPlot.html#background
  Attribute
  Property
  PUBLIC
  Returns the background color of the plot. `None` means a transparent background.
- igraph.drawing.cairo.plot.CairoPlot.background.setter
  igraph.drawing.cairo.plot.CairoPlot.html#background.setter
  Function
  Method
  PUBLIC
  Sets the background color of the plot. `None` means a transparent background. You can use any color specification here that is understood by the `get` method of the current palette or by `igraph.drawing.colors.color_name_to_rgb`...
- igraph.drawing.cairo.plot.CairoPlot._background
  igraph.drawing.cairo.plot.CairoPlot.html#_background
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.plot.CairoPlot.remove
  igraph.drawing.cairo.plot.CairoPlot.html#remove
  Function
  Method
  PUBLIC
  Removes an object from the plot.
- igraph.drawing.cairo.plot.CairoPlot.mark_dirty
  igraph.drawing.cairo.plot.CairoPlot.html#mark_dirty
  Function
  Method
  PUBLIC
  Marks the plot as dirty (should be redrawn)
- igraph.drawing.cairo.plot.CairoPlot.redraw
  igraph.drawing.cairo.plot.CairoPlot.html#redraw
  Function
  Method
  PUBLIC
  Redraws the plot
- igraph.drawing.cairo.plot.CairoPlot.save
  igraph.drawing.cairo.plot.CairoPlot.html#save
  Function
  Method
  PUBLIC
  Saves the plot.
- igraph.drawing.cairo.plot.CairoPlot._repr_svg_
  igraph.drawing.cairo.plot.CairoPlot.html#_repr_svg_
  Function
  Method
  PRIVATE
  Returns an SVG representation of this plot as a string.
- igraph.drawing.cairo.plot.CairoPlot.bounding_box
  igraph.drawing.cairo.plot.CairoPlot.html#bounding_box
  Attribute
  Property
  PUBLIC
  Returns the bounding box of the Cairo surface as a `BoundingBox` object
- igraph.drawing.cairo.plot.CairoPlot.height
  igraph.drawing.cairo.plot.CairoPlot.html#height
  Attribute
  Property
  PUBLIC
  Returns the height of the Cairo surface on which the plot is drawn
- igraph.drawing.cairo.plot.CairoPlot.surface
  igraph.drawing.cairo.plot.CairoPlot.html#surface
  Attribute
  Property
  PUBLIC
  Returns the Cairo surface on which the plot is drawn
- igraph.drawing.cairo.plot.CairoPlot.width
  igraph.drawing.cairo.plot.CairoPlot.html#width
  Attribute
  Property
  PUBLIC
  Returns the width of the Cairo surface on which the plot is drawn
- igraph.drawing.metamagic.AttributeSpecification
  igraph.drawing.metamagic.AttributeSpecification.html
  Class
  Class
  PUBLIC
  Class that describes how the value of a given attribute should be retrieved.
- igraph.drawing.metamagic.AttributeSpecification.__slots__
  igraph.drawing.metamagic.AttributeSpecification.html#__slots__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.metamagic.AttributeSpecification.__init__
  igraph.drawing.metamagic.AttributeSpecification.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.metamagic.AttributeSpecification.name
  igraph.drawing.metamagic.AttributeSpecification.html#name
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.metamagic.AttributeSpecification.default
  igraph.drawing.metamagic.AttributeSpecification.html#default
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.metamagic.AttributeSpecification.alt_name
  igraph.drawing.metamagic.AttributeSpecification.html#alt_name
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.metamagic.AttributeSpecification.transform
  igraph.drawing.metamagic.AttributeSpecification.html#transform
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.metamagic.AttributeSpecification.func
  igraph.drawing.metamagic.AttributeSpecification.html#func
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.metamagic.AttributeSpecification.accessor
  igraph.drawing.metamagic.AttributeSpecification.html#accessor
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.metamagic.AttributeCollectorMeta
  igraph.drawing.metamagic.AttributeCollectorMeta.html
  Class
  Class
  PUBLIC
  Metaclass for attribute collector classes
- igraph.drawing.metamagic.AttributeCollectorMeta.__new__
  igraph.drawing.metamagic.AttributeCollectorMeta.html#__new__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.metamagic.AttributeCollectorMeta.record_generator
  igraph.drawing.metamagic.AttributeCollectorMeta.html#record_generator
  Function
  Class Method
  PUBLIC
  Generates a simple class that has the given slots and nothing else
- igraph.drawing.metamagic.AttributeCollectorBase
  igraph.drawing.metamagic.AttributeCollectorBase.html
  Class
  Class
  PUBLIC
  Base class for attribute collector subclasses. Classes that inherit this class may use a declarative syntax to specify which vertex or edge attributes they intend to collect. See `AttributeCollectorMeta`...
- igraph.drawing.metamagic.AttributeCollectorBase.__init__
  igraph.drawing.metamagic.AttributeCollectorBase.html#__init__
  Function
  Method
  PUBLIC
  Constructs a new attribute collector that uses the given vertex/edge sequence and the given dict as data sources.
- igraph.drawing.metamagic.AttributeCollectorBase._cache
  igraph.drawing.metamagic.AttributeCollectorBase.html#_cache
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.metamagic.AttributeCollectorBase.seq
  igraph.drawing.metamagic.AttributeCollectorBase.html#seq
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.metamagic.AttributeCollectorBase.kwds
  igraph.drawing.metamagic.AttributeCollectorBase.html#kwds
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.metamagic.AttributeCollectorBase._collect_attributes
  igraph.drawing.metamagic.AttributeCollectorBase.html#_collect_attributes
  Function
  Method
  PRIVATE
  Collects graph visualization attributes from various sources.
- igraph.drawing.metamagic.AttributeCollectorBase.__getitem__
  igraph.drawing.metamagic.AttributeCollectorBase.html#__getitem__
  Function
  Method
  PUBLIC
  Returns the collected attributes of the vertex/edge with the given index.
- igraph.drawing.metamagic.AttributeCollectorBase.__len__
  igraph.drawing.metamagic.AttributeCollectorBase.html#__len__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.cairo.edge.cairo
  igraph.drawing.cairo.edge.html#cairo
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer
  igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.html
  Class
  Class
  PUBLIC
  Cairo-specific abstract edge drawer object.
- igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.__init__
  igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the edge drawer.
- igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.context
  igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.html#context
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.palette
  igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.html#palette
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.VisualEdgeBuilder
  igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.html#VisualEdgeBuilder
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer._construct_visual_edge_builder
  igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.html#_construct_visual_edge_builder
  Function
  Method
  PRIVATE
  Construct the visual edge builder that will collect the visual attributes of an edge when it is being drawn.
- igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.draw_loop_edge
  igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.html#draw_loop_edge
  Function
  Method
  PUBLIC
  Draws a loop edge.
- igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.draw_undirected_edge
  igraph.drawing.cairo.edge.AbstractCairoEdgeDrawer.html#draw_undirected_edge
  Function
  Method
  PUBLIC
  Draws an undirected edge.
- igraph.drawing.cairo.edge.CairoArrowEdgeDrawer
  igraph.drawing.cairo.edge.CairoArrowEdgeDrawer.html
  Class
  Class
  PUBLIC
  Edge drawer implementation that draws undirected edges as straight lines and directed edges as arrows.
- igraph.drawing.cairo.edge.CairoArrowEdgeDrawer.draw_directed_edge
  igraph.drawing.cairo.edge.CairoArrowEdgeDrawer.html#draw_directed_edge
  Function
  Method
  PUBLIC
  Draws a directed edge.
- igraph.drawing.cairo.edge.TaperedEdgeDrawer
  igraph.drawing.cairo.edge.TaperedEdgeDrawer.html
  Class
  Class
  PUBLIC
  Edge drawer implementation that draws undirected edges as straight lines and directed edges as tapered lines that are wider at the source and narrow at the destination.
- igraph.drawing.cairo.edge.TaperedEdgeDrawer.draw_directed_edge
  igraph.drawing.cairo.edge.TaperedEdgeDrawer.html#draw_directed_edge
  Function
  Method
  PUBLIC
  Draws a directed edge.
- igraph.drawing.cairo.edge.AlphaVaryingEdgeDrawer
  igraph.drawing.cairo.edge.AlphaVaryingEdgeDrawer.html
  Class
  Class
  PUBLIC
  Edge drawer implementation that draws undirected edges as straight lines and directed edges by varying the alpha value of the specified edge color between the source and the destination.
- igraph.drawing.cairo.edge.AlphaVaryingEdgeDrawer.__init__
  igraph.drawing.cairo.edge.AlphaVaryingEdgeDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the edge drawer.
- igraph.drawing.cairo.edge.AlphaVaryingEdgeDrawer.alpha_at_src
  igraph.drawing.cairo.edge.AlphaVaryingEdgeDrawer.html#alpha_at_src
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.edge.AlphaVaryingEdgeDrawer.alpha_at_dest
  igraph.drawing.cairo.edge.AlphaVaryingEdgeDrawer.html#alpha_at_dest
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.edge.AlphaVaryingEdgeDrawer.draw_directed_edge
  igraph.drawing.cairo.edge.AlphaVaryingEdgeDrawer.html#draw_directed_edge
  Function
  Method
  PUBLIC
  Draws a directed edge.
- igraph.drawing.cairo.edge.LightToDarkEdgeDrawer
  igraph.drawing.cairo.edge.LightToDarkEdgeDrawer.html
  Class
  Class
  PUBLIC
  Edge drawer implementation that draws undirected edges as straight lines and directed edges by using an alpha value of zero (total transparency) at the source and an alpha value of one (full opacity) at the destination...
- igraph.drawing.cairo.edge.LightToDarkEdgeDrawer.__init__
  igraph.drawing.cairo.edge.LightToDarkEdgeDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the edge drawer.
- igraph.drawing.cairo.edge.DarkToLightEdgeDrawer
  igraph.drawing.cairo.edge.DarkToLightEdgeDrawer.html
  Class
  Class
  PUBLIC
  Edge drawer implementation that draws undirected edges as straight lines and directed edges by using an alpha value of one (full opacity) at the source and an alpha value of zero (total transparency) at the destination...
- igraph.drawing.cairo.edge.DarkToLightEdgeDrawer.__init__
  igraph.drawing.cairo.edge.DarkToLightEdgeDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the edge drawer.
- igraph.drawing.cairo.polygon.CairoPolygonDrawer
  igraph.drawing.cairo.polygon.CairoPolygonDrawer.html
  Class
  Class
  PUBLIC
  Class that is used to draw polygons in Cairo.
- igraph.drawing.cairo.polygon.CairoPolygonDrawer.__init__
  igraph.drawing.cairo.polygon.CairoPolygonDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs a new polygon drawer that draws on the given Cairo context.
- igraph.drawing.cairo.polygon.CairoPolygonDrawer.draw_path
  igraph.drawing.cairo.polygon.CairoPolygonDrawer.html#draw_path
  Function
  Method
  PUBLIC
  Sets up a Cairo path for the outline of a polygon on the given Cairo context.
- igraph.drawing.cairo.polygon.CairoPolygonDrawer.draw
  igraph.drawing.cairo.polygon.CairoPolygonDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws the polygon using the current stroke of the Cairo context.
- igraph.drawing.cairo.text.CairoTextDrawer
  igraph.drawing.cairo.text.CairoTextDrawer.html
  Class
  Class
  PUBLIC
  Class that draws text on a Cairo context.
- igraph.drawing.cairo.text.CairoTextDrawer.LEFT
  igraph.drawing.cairo.text.CairoTextDrawer.html#LEFT
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.text.CairoTextDrawer.CENTER
  igraph.drawing.cairo.text.CairoTextDrawer.html#CENTER
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.text.CairoTextDrawer.RIGHT
  igraph.drawing.cairo.text.CairoTextDrawer.html#RIGHT
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.text.CairoTextDrawer.TOP
  igraph.drawing.cairo.text.CairoTextDrawer.html#TOP
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.text.CairoTextDrawer.BOTTOM
  igraph.drawing.cairo.text.CairoTextDrawer.html#BOTTOM
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.text.CairoTextDrawer.__init__
  igraph.drawing.cairo.text.CairoTextDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs a new instance that will draw the given `text` on the given Cairo `context`.
- igraph.drawing.cairo.text.CairoTextDrawer.halign
  igraph.drawing.cairo.text.CairoTextDrawer.html#halign
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.text.CairoTextDrawer.valign
  igraph.drawing.cairo.text.CairoTextDrawer.html#valign
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.text.CairoTextDrawer.draw
  igraph.drawing.cairo.text.CairoTextDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws the text in the current bounding box of the drawer.
- igraph.drawing.cairo.text.CairoTextDrawer.get_text_layout
  igraph.drawing.cairo.text.CairoTextDrawer.html#get_text_layout
  Function
  Method
  PUBLIC
  Calculates the layout of the current text. `x` and `y` denote the coordinates where the drawing should start. If they are both `None`, the current position of the context will be used.
- igraph.drawing.cairo.text.CairoTextDrawer.draw_at
  igraph.drawing.cairo.text.CairoTextDrawer.html#draw_at
  Function
  Method
  PUBLIC
  Draws the text by setting up an appropriate path on the Cairo context and filling it. `x` and `y` denote the coordinates where the drawing should start. If they are both `None`, the current position of the context will be used.
- igraph.drawing.cairo.text.CairoTextDrawer._iterlines
  igraph.drawing.cairo.text.CairoTextDrawer.html#_iterlines
  Function
  Method
  PRIVATE
  Iterates over the label line by line and returns a tuple containing the folloing for each line: the line itself, the width of the line and the X-bearing of the line.
- igraph.drawing.cairo.text.CairoTextDrawer._iterlines_wrapped
  igraph.drawing.cairo.text.CairoTextDrawer.html#_iterlines_wrapped
  Function
  Method
  PRIVATE
  Iterates over the label line by line and returns a tuple containing the folloing for each line: the line itself, the width of the line and the X-bearing of the line.
- igraph.drawing.cairo.text.CairoTextDrawer.text 0
  igraph.drawing.cairo.text.CairoTextDrawer.html#text%200
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.text.CairoTextDrawer.text
  igraph.drawing.cairo.text.CairoTextDrawer.html#text
  Attribute
  Property
  PUBLIC
  Returns the text to be drawn.
- igraph.drawing.cairo.text.CairoTextDrawer.text.setter
  igraph.drawing.cairo.text.CairoTextDrawer.html#text.setter
  Function
  Method
  PUBLIC
  Sets the text that will be drawn.
- igraph.drawing.cairo.text.CairoTextDrawer._text
  igraph.drawing.cairo.text.CairoTextDrawer.html#_text
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.text.CairoTextDrawer.text_extents
  igraph.drawing.cairo.text.CairoTextDrawer.html#text_extents
  Function
  Method
  PUBLIC
  Returns the X-bearing, Y-bearing, width, height, X-advance and Y-advance of the text.
- igraph.drawing.cairo.text.test
  igraph.drawing.cairo.text.html#test
  Function
  Function
  PUBLIC
  Testing routine for `CairoTextDrawer`
- igraph.drawing.shapes.mpl
  igraph.drawing.shapes.html#mpl
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.shapes.plt
  igraph.drawing.shapes.html#plt
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.shapes.ShapeDrawer
  igraph.drawing.shapes.ShapeDrawer.html
  Class
  Class
  PUBLIC
  Static class, the ancestor of all vertex shape drawer classes.
- igraph.drawing.shapes.ShapeDrawer.draw_path
  igraph.drawing.shapes.ShapeDrawer.html#draw_path
  Function
  Static Method
  PUBLIC
  Draws the path of the shape on the given Cairo context, without stroking or filling it.
- igraph.drawing.shapes.ShapeDrawer.intersection_point
  igraph.drawing.shapes.ShapeDrawer.html#intersection_point
  Function
  Static Method
  PUBLIC
  Determines where the shape centered at (center_x, center_y) intersects with a line drawn from (source_x, source_y) to (center_x, center_y).
- igraph.drawing.shapes.NullDrawer
  igraph.drawing.shapes.NullDrawer.html
  Class
  Class
  PUBLIC
  Static drawer class which draws nothing.
- igraph.drawing.shapes.NullDrawer.names
  igraph.drawing.shapes.NullDrawer.html#names
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.shapes.NullDrawer.draw_path
  igraph.drawing.shapes.NullDrawer.html#draw_path
  Function
  Static Method
  PUBLIC
  Draws nothing.
- igraph.drawing.shapes.RectangleDrawer
  igraph.drawing.shapes.RectangleDrawer.html
  Class
  Class
  PUBLIC
  Static class which draws rectangular vertices
- igraph.drawing.shapes.RectangleDrawer.names
  igraph.drawing.shapes.RectangleDrawer.html#names
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.shapes.RectangleDrawer.draw_path
  igraph.drawing.shapes.RectangleDrawer.html#draw_path
  Function
  Static Method
  PUBLIC
  Draws a rectangle-shaped path on the Cairo context without stroking or filling it.
- igraph.drawing.shapes.RectangleDrawer.intersection_point
  igraph.drawing.shapes.RectangleDrawer.html#intersection_point
  Function
  Static Method
  PUBLIC
  Determines where the rectangle centered at (center_x, center_y) having the given width and height intersects with a line drawn from (source_x, source_y) to (center_x, center_y).
- igraph.drawing.shapes.CircleDrawer
  igraph.drawing.shapes.CircleDrawer.html
  Class
  Class
  PUBLIC
  Static class which draws circular vertices
- igraph.drawing.shapes.CircleDrawer.names
  igraph.drawing.shapes.CircleDrawer.html#names
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.shapes.CircleDrawer.draw_path
  igraph.drawing.shapes.CircleDrawer.html#draw_path
  Function
  Static Method
  PUBLIC
  Draws a circular path on the Cairo context without stroking or filling it.
- igraph.drawing.shapes.CircleDrawer.intersection_point
  igraph.drawing.shapes.CircleDrawer.html#intersection_point
  Function
  Static Method
  PUBLIC
  Determines where the circle centered at (center_x, center_y) intersects with a line drawn from (source_x, source_y) to (center_x, center_y).
- igraph.drawing.shapes.UpTriangleDrawer
  igraph.drawing.shapes.UpTriangleDrawer.html
  Class
  Class
  PUBLIC
  Static class which draws upright triangles
- igraph.drawing.shapes.UpTriangleDrawer.names
  igraph.drawing.shapes.UpTriangleDrawer.html#names
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.shapes.UpTriangleDrawer.draw_path
  igraph.drawing.shapes.UpTriangleDrawer.html#draw_path
  Function
  Static Method
  PUBLIC
  Draws an upright triangle on the Cairo context without stroking or filling it.
- igraph.drawing.shapes.UpTriangleDrawer.intersection_point
  igraph.drawing.shapes.UpTriangleDrawer.html#intersection_point
  Function
  Static Method
  PUBLIC
  Determines where the triangle centered at (center_x, center_y) intersects with a line drawn from (source_x, source_y) to (center_x, center_y).
- igraph.drawing.shapes.DownTriangleDrawer
  igraph.drawing.shapes.DownTriangleDrawer.html
  Class
  Class
  PUBLIC
  Static class which draws triangles pointing down
- igraph.drawing.shapes.DownTriangleDrawer.names
  igraph.drawing.shapes.DownTriangleDrawer.html#names
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.shapes.DownTriangleDrawer.draw_path
  igraph.drawing.shapes.DownTriangleDrawer.html#draw_path
  Function
  Static Method
  PUBLIC
  Draws a triangle on the Cairo context without stroking or filling it.
- igraph.drawing.shapes.DownTriangleDrawer.intersection_point
  igraph.drawing.shapes.DownTriangleDrawer.html#intersection_point
  Function
  Static Method
  PUBLIC
  Determines where the triangle centered at (center_x, center_y) intersects with a line drawn from (source_x, source_y) to (center_x, center_y).
- igraph.drawing.shapes.DiamondDrawer
  igraph.drawing.shapes.DiamondDrawer.html
  Class
  Class
  PUBLIC
  Static class which draws diamonds (i.e. rhombuses)
- igraph.drawing.shapes.DiamondDrawer.names
  igraph.drawing.shapes.DiamondDrawer.html#names
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.shapes.DiamondDrawer.draw_path
  igraph.drawing.shapes.DiamondDrawer.html#draw_path
  Function
  Static Method
  PUBLIC
  Draws a rhombus on the Cairo context without stroking or filling it.
- igraph.drawing.shapes.DiamondDrawer.intersection_point
  igraph.drawing.shapes.DiamondDrawer.html#intersection_point
  Function
  Static Method
  PUBLIC
  Determines where the rhombus centered at (center_x, center_y) intersects with a line drawn from (source_x, source_y) to (center_x, center_y).
- igraph.drawing.shapes.ShapeDrawerDirectory
  igraph.drawing.shapes.ShapeDrawerDirectory.html
  Class
  Class
  PUBLIC
  Static class that resolves shape names to their corresponding shape drawer classes.
- igraph.drawing.shapes.ShapeDrawerDirectory.known_shapes
  igraph.drawing.shapes.ShapeDrawerDirectory.html#known_shapes
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.shapes.ShapeDrawerDirectory.register
  igraph.drawing.shapes.ShapeDrawerDirectory.html#register
  Function
  Class Method
  PUBLIC
  Registers the given shape drawer class under the given names.
- igraph.drawing.shapes.ShapeDrawerDirectory.register_namespace
  igraph.drawing.shapes.ShapeDrawerDirectory.html#register_namespace
  Function
  Class Method
  PUBLIC
  Registers all `ShapeDrawer` classes in the given namespace
- igraph.drawing.shapes.ShapeDrawerDirectory.resolve
  igraph.drawing.shapes.ShapeDrawerDirectory.html#resolve
  Function
  Class Method
  PUBLIC
  Given a shape name, returns the corresponding shape drawer class
- igraph.drawing.shapes.ShapeDrawerDirectory.resolve_default
  igraph.drawing.shapes.ShapeDrawerDirectory.html#resolve_default
  Function
  Class Method
  PUBLIC
  Given a shape name, returns the corresponding shape drawer class or the given default shape drawer if the shape name is unknown.
- igraph.drawing.cairo.vertex.AbstractCairoVertexDrawer
  igraph.drawing.cairo.vertex.AbstractCairoVertexDrawer.html
  Class
  Class
  PUBLIC
  Abstract base class for vertex drawers that draw on a Cairo canvas.
- igraph.drawing.cairo.vertex.AbstractCairoVertexDrawer.__init__
  igraph.drawing.cairo.vertex.AbstractCairoVertexDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the vertex drawer and associates it to the given Cairo context and the given `BoundingBox`.
- igraph.drawing.cairo.vertex.CairoVertexDrawer
  igraph.drawing.cairo.vertex.CairoVertexDrawer.html
  Class
  Class
  PUBLIC
  The default vertex drawer implementation of igraph.
- igraph.drawing.cairo.vertex.CairoVertexDrawer.__init__
  igraph.drawing.cairo.vertex.CairoVertexDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the vertex drawer and associates it to the given Cairo context and the given `BoundingBox`.
- igraph.drawing.cairo.vertex.CairoVertexDrawer.VisualVertexBuilder
  igraph.drawing.cairo.vertex.CairoVertexDrawer.html#VisualVertexBuilder
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.vertex.CairoVertexDrawer._construct_visual_vertex_builder
  igraph.drawing.cairo.vertex.CairoVertexDrawer.html#_construct_visual_vertex_builder
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.cairo.vertex.CairoVertexDrawer.draw
  igraph.drawing.cairo.vertex.CairoVertexDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws the given vertex.
- igraph.drawing.cairo.graph.cairo
  igraph.drawing.cairo.graph.html#cairo
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.graph.AbstractCairoGraphDrawer
  igraph.drawing.cairo.graph.AbstractCairoGraphDrawer.html
  Class
  Class
  PUBLIC
  Abstract base class for graph drawers that draw on a Cairo canvas.
- igraph.drawing.cairo.graph.AbstractCairoGraphDrawer.__init__
  igraph.drawing.cairo.graph.AbstractCairoGraphDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the graph drawer and associates it to the given Cairo context and the given `BoundingBox`.
- igraph.drawing.cairo.graph.CairoGraphDrawer
  igraph.drawing.cairo.graph.CairoGraphDrawer.html
  Class
  Class
  PUBLIC
  Class implementing the default visualisation of a graph.
- igraph.drawing.cairo.graph.CairoGraphDrawer.__init__
  igraph.drawing.cairo.graph.CairoGraphDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the graph drawer and associates it to the given Cairo context and the given `BoundingBox`.
- igraph.drawing.cairo.graph.CairoGraphDrawer.vertex_drawer_factory
  igraph.drawing.cairo.graph.CairoGraphDrawer.html#vertex_drawer_factory
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.graph.CairoGraphDrawer.edge_drawer_factory
  igraph.drawing.cairo.graph.CairoGraphDrawer.html#edge_drawer_factory
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.graph.CairoGraphDrawer.label_drawer_factory
  igraph.drawing.cairo.graph.CairoGraphDrawer.html#label_drawer_factory
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.graph.CairoGraphDrawer.draw
  igraph.drawing.cairo.graph.CairoGraphDrawer.html#draw
  Function
  Method
  PUBLIC
  Abstract method, must be implemented in derived classes.
- igraph.drawing.cairo.graph.CairoGraphDrawer.bbox
  igraph.drawing.cairo.graph.CairoGraphDrawer.html#bbox
  Attribute
  Instance Variable
  PUBLIC
  The bounding box of the drawing area where this drawer will draw.
- igraph.drawing.cairo.matrix.CairoMatrixDrawer
  igraph.drawing.cairo.matrix.CairoMatrixDrawer.html
  Class
  Class
  PUBLIC
  Default Cairo drawer object for matrices.
- igraph.drawing.cairo.matrix.CairoMatrixDrawer.__init__
  igraph.drawing.cairo.matrix.CairoMatrixDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the vertex drawer and associates it to the given palette.
- igraph.drawing.cairo.matrix.CairoMatrixDrawer.draw
  igraph.drawing.cairo.matrix.CairoMatrixDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws the given Matrix in a Cairo context.
- igraph.drawing.cairo.matrix.CairoMatrixDrawer.bbox
  igraph.drawing.cairo.matrix.CairoMatrixDrawer.html#bbox
  Attribute
  Instance Variable
  PUBLIC
  The bounding box of the drawing area where this drawer will draw.
- igraph.drawing.cairo.histogram.CairoHistogramDrawer
  igraph.drawing.cairo.histogram.CairoHistogramDrawer.html
  Class
  Class
  PUBLIC
  Default Cairo drawer object for histograms
- igraph.drawing.cairo.histogram.CairoHistogramDrawer.__init__
  igraph.drawing.cairo.histogram.CairoHistogramDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the vertex drawer and associates it to the given palette.
- igraph.drawing.cairo.histogram.CairoHistogramDrawer.draw
  igraph.drawing.cairo.histogram.CairoHistogramDrawer.html#draw
  Function
  Method
  PUBLIC
  TODO
- igraph.drawing.cairo.histogram.CairoHistogramDrawer.bbox
  igraph.drawing.cairo.histogram.CairoHistogramDrawer.html#bbox
  Attribute
  Instance Variable
  PUBLIC
  The bounding box of the drawing area where this drawer will draw.
- igraph.drawing.cairo.palette.CairoPaletteDrawer
  igraph.drawing.cairo.palette.CairoPaletteDrawer.html
  Class
  Class
  PUBLIC
  Default Cairo drawer object for palettes
- igraph.drawing.cairo.palette.CairoPaletteDrawer.__init__
  igraph.drawing.cairo.palette.CairoPaletteDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the vertex drawer and associates it to the given palette.
- igraph.drawing.cairo.palette.CairoPaletteDrawer.draw
  igraph.drawing.cairo.palette.CairoPaletteDrawer.html#draw
  Function
  Method
  PUBLIC
  TODO
- igraph.drawing.cairo.palette.CairoPaletteDrawer.bbox
  igraph.drawing.cairo.palette.CairoPaletteDrawer.html#bbox
  Attribute
  Instance Variable
  PUBLIC
  The bounding box of the drawing area where this drawer will draw.
- igraph.drawing.matplotlib.edge.mpl
  igraph.drawing.matplotlib.edge.html#mpl
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.edge.plt
  igraph.drawing.matplotlib.edge.html#plt
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer
  igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.html
  Class
  Class
  PUBLIC
  Matplotlib-specific abstract edge drawer object.
- igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.__init__
  igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the edge drawer.
- igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.context
  igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.html#context
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.palette
  igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.html#palette
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.VisualEdgeBuilder
  igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.html#VisualEdgeBuilder
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer._construct_visual_edge_builder
  igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.html#_construct_visual_edge_builder
  Function
  Method
  PRIVATE
  Construct the visual edge builder that will collect the visual attributes of an edge when it is being drawn.
- igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.build_patch
  igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.html#build_patch
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.draw_directed_edge
  igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.html#draw_directed_edge
  Function
  Method
  PUBLIC
  Draws a directed edge.
- igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.draw_undirected_edge
  igraph.drawing.matplotlib.edge.MatplotlibEdgeDrawer.html#draw_undirected_edge
  Function
  Method
  PUBLIC
  Draws an undirected edge.
- igraph.drawing.matplotlib.edge.EdgeCollection
  igraph.drawing.matplotlib.edge.EdgeCollection.html
  Class
  Class
  PUBLIC
  No class docstring; 0/1 property, 0/7 instance variable, 8/15 methods, 1/2 static method documented
- igraph.drawing.matplotlib.edge.EdgeCollection.__init__
  igraph.drawing.matplotlib.edge.EdgeCollection.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._visual_vertices
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_visual_vertices
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._directed
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_directed
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._arrow_sizes
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_arrow_sizes
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._arrow_widths
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_arrow_widths
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._loop_sizes
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_loop_sizes
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._curved
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_curved
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._get_edge_vertex_sizes
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_get_edge_vertex_sizes
  Function
  Static Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._compute_edge_angles
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_compute_edge_angles
  Function
  Static Method
  PRIVATE
  Compute edge angles for both starting and ending vertices.
- igraph.drawing.matplotlib.edge.EdgeCollection._compute_paths
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_compute_paths
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._compute_path_loop
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_compute_path_loop
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._compute_path_undirected
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_compute_path_undirected
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._compute_path_directed
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_compute_path_directed
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection.draw
  igraph.drawing.matplotlib.edge.EdgeCollection.html#draw
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection._paths
  igraph.drawing.matplotlib.edge.EdgeCollection.html#_paths
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection.get_arrow_sizes
  igraph.drawing.matplotlib.edge.EdgeCollection.html#get_arrow_sizes
  Function
  Method
  PUBLIC
  Same as get_arrow_size.
- igraph.drawing.matplotlib.edge.EdgeCollection.get_arrow_size
  igraph.drawing.matplotlib.edge.EdgeCollection.html#get_arrow_size
  Function
  Method
  PUBLIC
  Get arrow sizes for the edges (directed only).
- igraph.drawing.matplotlib.edge.EdgeCollection.set_arrow_size
  igraph.drawing.matplotlib.edge.EdgeCollection.html#set_arrow_size
  Function
  Method
  PUBLIC
  Set arrow sizes.
- igraph.drawing.matplotlib.edge.EdgeCollection.set_arrow_sizes
  igraph.drawing.matplotlib.edge.EdgeCollection.html#set_arrow_sizes
  Function
  Method
  PUBLIC
  Same as set_arrow_size
- igraph.drawing.matplotlib.edge.EdgeCollection.get_arrow_widths
  igraph.drawing.matplotlib.edge.EdgeCollection.html#get_arrow_widths
  Function
  Method
  PUBLIC
  Same as get_arrow_width.
- igraph.drawing.matplotlib.edge.EdgeCollection.get_arrow_width
  igraph.drawing.matplotlib.edge.EdgeCollection.html#get_arrow_width
  Function
  Method
  PUBLIC
  Get arrow widths for the edges (directed only).
- igraph.drawing.matplotlib.edge.EdgeCollection.set_arrow_width
  igraph.drawing.matplotlib.edge.EdgeCollection.html#set_arrow_width
  Function
  Method
  PUBLIC
  Set arrow widths.
- igraph.drawing.matplotlib.edge.EdgeCollection.set_arrow_widths
  igraph.drawing.matplotlib.edge.EdgeCollection.html#set_arrow_widths
  Function
  Method
  PUBLIC
  Same as set_arrow_width
- igraph.drawing.matplotlib.edge.EdgeCollection.stale 0
  igraph.drawing.matplotlib.edge.EdgeCollection.html#stale%200
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection.stale
  igraph.drawing.matplotlib.edge.EdgeCollection.html#stale
  Attribute
  Property
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.edge.EdgeCollection.stale.setter
  igraph.drawing.matplotlib.edge.EdgeCollection.html#stale.setter
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.polygon.mpl
  igraph.drawing.matplotlib.polygon.html#mpl
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.polygon.plt
  igraph.drawing.matplotlib.polygon.html#plt
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.polygon.HullCollection
  igraph.drawing.matplotlib.polygon.HullCollection.html
  Class
  Class
  PUBLIC
  Collection for hulls connecting vertex covers/clusters.
- igraph.drawing.matplotlib.polygon.HullCollection.__init__
  igraph.drawing.matplotlib.polygon.HullCollection.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.polygon.HullCollection._corner_radii
  igraph.drawing.matplotlib.polygon.HullCollection.html#_corner_radii
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.polygon.HullCollection._paths_original
  igraph.drawing.matplotlib.polygon.HullCollection.html#_paths_original
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.polygon.HullCollection._update_paths
  igraph.drawing.matplotlib.polygon.HullCollection.html#_update_paths
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.polygon.HullCollection._round_corners
  igraph.drawing.matplotlib.polygon.HullCollection.html#_round_corners
  Function
  Static Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.polygon.HullCollection._expand_path
  igraph.drawing.matplotlib.polygon.HullCollection.html#_expand_path
  Function
  Static Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.polygon.HullCollection._compute_path_with_corner_radius
  igraph.drawing.matplotlib.polygon.HullCollection.html#_compute_path_with_corner_radius
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.polygon.HullCollection.draw
  igraph.drawing.matplotlib.polygon.HullCollection.html#draw
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.vertex.mpl
  igraph.drawing.matplotlib.vertex.html#mpl
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.vertex._
  igraph.drawing.matplotlib.vertex.html#_
  Attribute
  Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer
  igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer.html
  Class
  Class
  PUBLIC
  Matplotlib backend-specific vertex drawer.
- igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer.__init__
  igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the vertex drawer and associates it to the given palette.
- igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer.context
  igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer.html#context
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer.VisualVertexBuilder
  igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer.html#VisualVertexBuilder
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer._construct_visual_vertex_builder
  igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer.html#_construct_visual_vertex_builder
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer.draw
  igraph.drawing.matplotlib.vertex.MatplotlibVertexDrawer.html#draw
  Function
  Method
  PUBLIC
  Build the Artist for a vertex and return it.
- igraph.drawing.matplotlib.vertex.VertexCollection
  igraph.drawing.matplotlib.vertex.VertexCollection.html
  Class
  Class
  PUBLIC
  Collection of vertex patches for plotting.
- igraph.drawing.matplotlib.vertex.VertexCollection.__init__
  igraph.drawing.matplotlib.vertex.VertexCollection.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.vertex.VertexCollection._stale_size
  igraph.drawing.matplotlib.vertex.VertexCollection.html#_stale_size
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.vertex.VertexCollection.get_sizes
  igraph.drawing.matplotlib.vertex.VertexCollection.html#get_sizes
  Function
  Method
  PUBLIC
  Same as get_size.
- igraph.drawing.matplotlib.vertex.VertexCollection.get_size
  igraph.drawing.matplotlib.vertex.VertexCollection.html#get_size
  Function
  Method
  PUBLIC
  Get vertex sizes.
- igraph.drawing.matplotlib.vertex.VertexCollection.set_size
  igraph.drawing.matplotlib.vertex.VertexCollection.html#set_size
  Function
  Method
  PUBLIC
  Set vertex sizes.
- igraph.drawing.matplotlib.vertex.VertexCollection.set_sizes
  igraph.drawing.matplotlib.vertex.VertexCollection.html#set_sizes
  Function
  Method
  PUBLIC
  Same as set_size.
- igraph.drawing.matplotlib.vertex.VertexCollection.stale 0
  igraph.drawing.matplotlib.vertex.VertexCollection.html#stale%200
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.vertex.VertexCollection.stale
  igraph.drawing.matplotlib.vertex.VertexCollection.html#stale
  Attribute
  Property
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.vertex.VertexCollection.stale.setter
  igraph.drawing.matplotlib.vertex.VertexCollection.html#stale.setter
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph.mpl
  igraph.drawing.matplotlib.graph.html#mpl
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph.plt
  igraph.drawing.matplotlib.graph.html#plt
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph._stale_wrapper
  igraph.drawing.matplotlib.graph.html#_stale_wrapper
  Function
  Function
  PRIVATE
  Decorator to manage artist state.
- igraph.drawing.matplotlib.graph._forwarder
  igraph.drawing.matplotlib.graph.html#_forwarder
  Function
  Function
  PRIVATE
  Decorator to forward specific methods to Artist children.
- igraph.drawing.matplotlib.graph._additional_set_methods
  igraph.drawing.matplotlib.graph.html#_additional_set_methods
  Function
  Function
  PRIVATE
  Decorator to add specific set methods for children properties.
- igraph.drawing.matplotlib.graph.GraphArtist
  igraph.drawing.matplotlib.graph.GraphArtist.html
  Class
  Class
  PUBLIC
  Artist for an igraph.Graph object.
- igraph.drawing.matplotlib.graph.GraphArtist.__init__
  igraph.drawing.matplotlib.graph.GraphArtist.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist.graph
  igraph.drawing.matplotlib.graph.GraphArtist.html#graph
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._vertex_drawer_factory
  igraph.drawing.matplotlib.graph.GraphArtist.html#_vertex_drawer_factory
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._edge_drawer_factory
  igraph.drawing.matplotlib.graph.GraphArtist.html#_edge_drawer_factory
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist.kwds
  igraph.drawing.matplotlib.graph.GraphArtist.html#kwds
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._kwds_post_update
  igraph.drawing.matplotlib.graph.GraphArtist.html#_kwds_post_update
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist.stale
  igraph.drawing.matplotlib.graph.GraphArtist.html#stale
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._clear_state
  igraph.drawing.matplotlib.graph.GraphArtist.html#_clear_state
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._vertices
  igraph.drawing.matplotlib.graph.GraphArtist.html#_vertices
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._edges
  igraph.drawing.matplotlib.graph.GraphArtist.html#_edges
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._vertex_labels
  igraph.drawing.matplotlib.graph.GraphArtist.html#_vertex_labels
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._edge_labels
  igraph.drawing.matplotlib.graph.GraphArtist.html#_edge_labels
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._groups
  igraph.drawing.matplotlib.graph.GraphArtist.html#_groups
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._legend_info
  igraph.drawing.matplotlib.graph.GraphArtist.html#_legend_info
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist.get_children
  igraph.drawing.matplotlib.graph.GraphArtist.html#get_children
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._set_edge_curve
  igraph.drawing.matplotlib.graph.GraphArtist.html#_set_edge_curve
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist.get_vertices
  igraph.drawing.matplotlib.graph.GraphArtist.html#get_vertices
  Function
  Method
  PUBLIC
  Get VertexCollection artist.
- igraph.drawing.matplotlib.graph.GraphArtist.get_edges
  igraph.drawing.matplotlib.graph.GraphArtist.html#get_edges
  Function
  Method
  PUBLIC
  Get EdgeCollection artist.
- igraph.drawing.matplotlib.graph.GraphArtist.get_groups
  igraph.drawing.matplotlib.graph.GraphArtist.html#get_groups
  Function
  Method
  PUBLIC
  Get HullCollection group/cluster/cover artists.
- igraph.drawing.matplotlib.graph.GraphArtist.get_vertex_labels
  igraph.drawing.matplotlib.graph.GraphArtist.html#get_vertex_labels
  Function
  Method
  PUBLIC
  Get list of vertex label artists.
- igraph.drawing.matplotlib.graph.GraphArtist.get_edge_labels
  igraph.drawing.matplotlib.graph.GraphArtist.html#get_edge_labels
  Function
  Method
  PUBLIC
  Get list of edge label artists.
- igraph.drawing.matplotlib.graph.GraphArtist.get_datalim
  igraph.drawing.matplotlib.graph.GraphArtist.html#get_datalim
  Function
  Method
  PUBLIC
  Get limits on x/y axes based on the graph layout data.
- igraph.drawing.matplotlib.graph.GraphArtist._draw_vertex_labels
  igraph.drawing.matplotlib.graph.GraphArtist.html#_draw_vertex_labels
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._draw_edge_labels
  igraph.drawing.matplotlib.graph.GraphArtist.html#_draw_edge_labels
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._draw_groups
  igraph.drawing.matplotlib.graph.GraphArtist.html#_draw_groups
  Function
  Method
  PRIVATE
  Draw the highlighted vertex groups, if requested
- igraph.drawing.matplotlib.graph.GraphArtist.legend_info
  igraph.drawing.matplotlib.graph.GraphArtist.html#legend_info
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._draw_vertices
  igraph.drawing.matplotlib.graph.GraphArtist.html#_draw_vertices
  Function
  Method
  PRIVATE
  Draw the vertices
- igraph.drawing.matplotlib.graph.GraphArtist._draw_edges
  igraph.drawing.matplotlib.graph.GraphArtist.html#_draw_edges
  Function
  Method
  PRIVATE
  Draw the edges
- igraph.drawing.matplotlib.graph.GraphArtist._reprocess
  igraph.drawing.matplotlib.graph.GraphArtist.html#_reprocess
  Function
  Method
  PRIVATE
  Prepare artist and children for the actual drawing.
- igraph.drawing.matplotlib.graph.GraphArtist._vertex_drawer
  igraph.drawing.matplotlib.graph.GraphArtist.html#_vertex_drawer
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._edge_drawer
  igraph.drawing.matplotlib.graph.GraphArtist.html#_edge_drawer
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._vertex_builder
  igraph.drawing.matplotlib.graph.GraphArtist.html#_vertex_builder
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._edge_builder
  igraph.drawing.matplotlib.graph.GraphArtist.html#_edge_builder
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._vertex_order
  igraph.drawing.matplotlib.graph.GraphArtist.html#_vertex_order
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist._edge_order
  igraph.drawing.matplotlib.graph.GraphArtist.html#_edge_order
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.GraphArtist.draw
  igraph.drawing.matplotlib.graph.GraphArtist.html#draw
  Function
  Method
  PUBLIC
  Draw each of the children, with some buffering mechanism.
- igraph.drawing.matplotlib.graph.GraphArtist.set
  igraph.drawing.matplotlib.graph.GraphArtist.html#set
  Function
  Method
  PUBLIC
  Set multiple parameters at once.
- igraph.drawing.matplotlib.graph.GraphArtist.contains
  igraph.drawing.matplotlib.graph.GraphArtist.html#contains
  Function
  Method
  PUBLIC
  Track 'contains' event for mouse interactions.
- igraph.drawing.matplotlib.graph.GraphArtist.pick
  igraph.drawing.matplotlib.graph.GraphArtist.html#pick
  Function
  Method
  PUBLIC
  Track 'pick' event for mouse interactions.
- igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer
  igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.html
  Class
  Class
  PUBLIC
  Graph drawer that uses a pyplot.Axes as context
- igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer._shape_dict
  igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.html#_shape_dict
  Attribute
  Class Variable
  PRIVATE
  Undocumented
- igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.__init__
  igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the graph drawer and associates it with the mpl Axes
- igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.ax
  igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.html#ax
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.vertex_drawer_factory
  igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.html#vertex_drawer_factory
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.edge_drawer_factory
  igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.html#edge_drawer_factory
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.draw
  igraph.drawing.matplotlib.graph.MatplotlibGraphDrawer.html#draw
  Function
  Method
  PUBLIC
  Abstract method, must be implemented in derived classes.
- igraph.drawing.matplotlib.matrix.MatplotlibMatrixDrawer
  igraph.drawing.matplotlib.matrix.MatplotlibMatrixDrawer.html
  Class
  Class
  PUBLIC
  Matplotlib drawer object for matrices.
- igraph.drawing.matplotlib.matrix.MatplotlibMatrixDrawer.__init__
  igraph.drawing.matplotlib.matrix.MatplotlibMatrixDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the drawer and associates it to the given Axes.
- igraph.drawing.matplotlib.matrix.MatplotlibMatrixDrawer.context
  igraph.drawing.matplotlib.matrix.MatplotlibMatrixDrawer.html#context
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.matrix.MatplotlibMatrixDrawer.draw
  igraph.drawing.matplotlib.matrix.MatplotlibMatrixDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws the given Matrix in a matplotlib Axes.
- igraph.drawing.matplotlib.histogram.MatplotlibHistogramDrawer
  igraph.drawing.matplotlib.histogram.MatplotlibHistogramDrawer.html
  Class
  Class
  PUBLIC
  Matplotlib drawer object for matrices.
- igraph.drawing.matplotlib.histogram.MatplotlibHistogramDrawer.__init__
  igraph.drawing.matplotlib.histogram.MatplotlibHistogramDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the drawer and associates it to the given Axes.
- igraph.drawing.matplotlib.histogram.MatplotlibHistogramDrawer.context
  igraph.drawing.matplotlib.histogram.MatplotlibHistogramDrawer.html#context
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.histogram.MatplotlibHistogramDrawer.draw
  igraph.drawing.matplotlib.histogram.MatplotlibHistogramDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws the given Matrix in a matplotlib Axes.
- igraph.drawing.matplotlib.palette.MatplotlibPaletteDrawer
  igraph.drawing.matplotlib.palette.MatplotlibPaletteDrawer.html
  Class
  Class
  PUBLIC
  Matplotlib drawer object for matrices.
- igraph.drawing.matplotlib.palette.MatplotlibPaletteDrawer.__init__
  igraph.drawing.matplotlib.palette.MatplotlibPaletteDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the drawer and associates it to the given Axes.
- igraph.drawing.matplotlib.palette.MatplotlibPaletteDrawer.context
  igraph.drawing.matplotlib.palette.MatplotlibPaletteDrawer.html#context
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.matplotlib.palette.MatplotlibPaletteDrawer.draw
  igraph.drawing.matplotlib.palette.MatplotlibPaletteDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws the given Matrix in a matplotlib Axes.
- igraph.drawing.plotly.edge.plotly
  igraph.drawing.plotly.edge.html#plotly
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.edge.PlotlyEdgeDrawer
  igraph.drawing.plotly.edge.PlotlyEdgeDrawer.html
  Class
  Class
  PUBLIC
  Matplotlib-specific abstract edge drawer object.
- igraph.drawing.plotly.edge.PlotlyEdgeDrawer.__init__
  igraph.drawing.plotly.edge.PlotlyEdgeDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the edge drawer.
- igraph.drawing.plotly.edge.PlotlyEdgeDrawer.context
  igraph.drawing.plotly.edge.PlotlyEdgeDrawer.html#context
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.edge.PlotlyEdgeDrawer.palette
  igraph.drawing.plotly.edge.PlotlyEdgeDrawer.html#palette
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.edge.PlotlyEdgeDrawer.VisualEdgeBuilder
  igraph.drawing.plotly.edge.PlotlyEdgeDrawer.html#VisualEdgeBuilder
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.edge.PlotlyEdgeDrawer._construct_visual_edge_builder
  igraph.drawing.plotly.edge.PlotlyEdgeDrawer.html#_construct_visual_edge_builder
  Function
  Method
  PRIVATE
  Construct the visual edge builder that will collect the visual attributes of an edge when it is being drawn.
- igraph.drawing.plotly.edge.PlotlyEdgeDrawer.draw_directed_edge
  igraph.drawing.plotly.edge.PlotlyEdgeDrawer.html#draw_directed_edge
  Function
  Method
  PUBLIC
  Draws a directed edge.
- igraph.drawing.plotly.edge.PlotlyEdgeDrawer.draw_loop_edge
  igraph.drawing.plotly.edge.PlotlyEdgeDrawer.html#draw_loop_edge
  Function
  Method
  PUBLIC
  Draws a loop edge.
- igraph.drawing.plotly.edge.PlotlyEdgeDrawer.draw_undirected_edge
  igraph.drawing.plotly.edge.PlotlyEdgeDrawer.html#draw_undirected_edge
  Function
  Method
  PUBLIC
  Draws an undirected edge.
- igraph.drawing.plotly.polygon.plotly
  igraph.drawing.plotly.polygon.html#plotly
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.polygon.PlotlyPolygonDrawer
  igraph.drawing.plotly.polygon.PlotlyPolygonDrawer.html
  Class
  Class
  PUBLIC
  Class that is used to draw polygons in matplotlib.
- igraph.drawing.plotly.polygon.PlotlyPolygonDrawer.__init__
  igraph.drawing.plotly.polygon.PlotlyPolygonDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs a new polygon drawer that draws on the given Matplotlib axes.
- igraph.drawing.plotly.polygon.PlotlyPolygonDrawer.context
  igraph.drawing.plotly.polygon.PlotlyPolygonDrawer.html#context
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.polygon.PlotlyPolygonDrawer.draw
  igraph.drawing.plotly.polygon.PlotlyPolygonDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws a polygon to the associated axes.
- igraph.drawing.plotly.vertex.plotly
  igraph.drawing.plotly.vertex.html#plotly
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.vertex.PlotlyVerticesDrawer
  igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.html
  Class
  Class
  PUBLIC
  Plotly backend-specific vertex drawer.
- igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.__init__
  igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the vertex drawer and associates it to the given palette.
- igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.fig
  igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.html#fig
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.VisualVertexBuilder
  igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.html#VisualVertexBuilder
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.vertex.PlotlyVerticesDrawer._construct_visual_vertex_builder
  igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.html#_construct_visual_vertex_builder
  Function
  Method
  PRIVATE
  Undocumented
- igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.draw
  igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws the given vertex.
- igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.draw_label
  igraph.drawing.plotly.vertex.PlotlyVerticesDrawer.html#draw_label
  Function
  Method
  PUBLIC
  Undocumented
- igraph.drawing.plotly.graph.plotly
  igraph.drawing.plotly.graph.html#plotly
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.graph.PlotlyGraphDrawer
  igraph.drawing.plotly.graph.PlotlyGraphDrawer.html
  Class
  Class
  PUBLIC
  Graph drawer that uses a pyplot.Axes as context
- igraph.drawing.plotly.graph.PlotlyGraphDrawer._shape_dict
  igraph.drawing.plotly.graph.PlotlyGraphDrawer.html#_shape_dict
  Attribute
  Class Variable
  PRIVATE
  Undocumented
- igraph.drawing.plotly.graph.PlotlyGraphDrawer.__init__
  igraph.drawing.plotly.graph.PlotlyGraphDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs the graph drawer and associates it with the plotly Figure
- igraph.drawing.plotly.graph.PlotlyGraphDrawer.fig
  igraph.drawing.plotly.graph.PlotlyGraphDrawer.html#fig
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.graph.PlotlyGraphDrawer.vertex_drawer_factory
  igraph.drawing.plotly.graph.PlotlyGraphDrawer.html#vertex_drawer_factory
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.graph.PlotlyGraphDrawer.edge_drawer_factory
  igraph.drawing.plotly.graph.PlotlyGraphDrawer.html#edge_drawer_factory
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.plotly.graph.PlotlyGraphDrawer.draw
  igraph.drawing.plotly.graph.PlotlyGraphDrawer.html#draw
  Function
  Method
  PUBLIC
  Abstract method, must be implemented in derived classes.
- igraph.drawing.DrawerDirectory
  igraph.drawing.DrawerDirectory.html
  Class
  Class
  PUBLIC
  Static class that finds the object/backend drawer
- igraph.drawing.DrawerDirectory.valid_backends
  igraph.drawing.DrawerDirectory.html#valid_backends
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.DrawerDirectory.valid_objects
  igraph.drawing.DrawerDirectory.html#valid_objects
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.DrawerDirectory.known_drawers
  igraph.drawing.DrawerDirectory.html#known_drawers
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.drawing.DrawerDirectory.resolve
  igraph.drawing.DrawerDirectory.html#resolve
  Function
  Class Method
  PUBLIC
  Given a shape name, returns the corresponding shape drawer class
- igraph.drawing.plot
  igraph.drawing.html#plot
  Function
  Function
  PUBLIC
  Plots the given object to the given target.
- igraph.drawing.graph.CytoscapeGraphDrawer
  igraph.drawing.graph.CytoscapeGraphDrawer.html
  Class
  Class
  PUBLIC
  Graph drawer that sends/receives graphs to/from Cytoscape using CytoscapeRPC.
- igraph.drawing.graph.CytoscapeGraphDrawer.__init__
  igraph.drawing.graph.CytoscapeGraphDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs a Cytoscape graph drawer using the XML-RPC interface of Cytoscape at the given URL.
- igraph.drawing.graph.CytoscapeGraphDrawer.network_id
  igraph.drawing.graph.CytoscapeGraphDrawer.html#network_id
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.graph.CytoscapeGraphDrawer.draw
  igraph.drawing.graph.CytoscapeGraphDrawer.html#draw
  Function
  Method
  PUBLIC
  Sends the given graph to Cytoscape as a new network.
- igraph.drawing.graph.CytoscapeGraphDrawer.fetch
  igraph.drawing.graph.CytoscapeGraphDrawer.html#fetch
  Function
  Method
  PUBLIC
  Fetches the network with the given name from Cytoscape.
- igraph.drawing.graph.CytoscapeGraphDrawer.infer_cytoscape_type
  igraph.drawing.graph.CytoscapeGraphDrawer.html#infer_cytoscape_type
  Function
  Static Method
  PUBLIC
  Returns a Cytoscape type that can be used to represent all the values in `values` and an appropriately converted copy of `values` that is suitable for an XML-RPC call. Note that the string type in Cytoscape is used as a catch-all type; if no other type fits, attribute values will be converted to string and then posted to Cytoscape.
- igraph.drawing.graph.GephiGraphStreamingDrawer
  igraph.drawing.graph.GephiGraphStreamingDrawer.html
  Class
  Class
  PUBLIC
  Graph drawer that sends a graph to a file-like object (e.g., socket, URL connection, file) using the Gephi graph streaming format.
- igraph.drawing.graph.GephiGraphStreamingDrawer.__init__
  igraph.drawing.graph.GephiGraphStreamingDrawer.html#__init__
  Function
  Method
  PUBLIC
  Constructs a Gephi graph streaming drawer that will post graphs to the given Gephi connection. If `conn` is `None`, the remaining arguments of the constructor are forwarded intact to the constructor of `GephiConnection`...
- igraph.drawing.graph.GephiGraphStreamingDrawer.connection
  igraph.drawing.graph.GephiGraphStreamingDrawer.html#connection
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.graph.GephiGraphStreamingDrawer.streamer
  igraph.drawing.graph.GephiGraphStreamingDrawer.html#streamer
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.graph.GephiGraphStreamingDrawer.draw
  igraph.drawing.graph.GephiGraphStreamingDrawer.html#draw
  Function
  Method
  PUBLIC
  Draws (i.e. sends) the given graph to the destination of the drawer using the Gephi graph streaming API.
- igraph.drawing.graph.__plot__
  igraph.drawing.graph.html#__plot__
  Function
  Function
  PUBLIC
  Plots the graph to the given Cairo context or matplotlib Axes.
- igraph.DyadCensus
  igraph.DyadCensus.html
  Class
  Class
  PUBLIC
  Dyad census of a graph.
- igraph.DyadCensus._remap
  igraph.DyadCensus.html#_remap
  Attribute
  Class Variable
  PRIVATE
  Undocumented
- igraph.DyadCensus.__getitem__
  igraph.DyadCensus.html#__getitem__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.DyadCensus.__getattr__
  igraph.DyadCensus.html#__getattr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.DyadCensus.__repr__
  igraph.DyadCensus.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.DyadCensus.__str__
  igraph.DyadCensus.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.DyadCensus.as_dict
  igraph.DyadCensus.html#as_dict
  Function
  Method
  PUBLIC
  Converts the dyad census to a dict using the known dyad names.
- igraph.TriadCensus
  igraph.TriadCensus.html
  Class
  Class
  PUBLIC
  Triad census of a graph.
- igraph.TriadCensus._remap
  igraph.TriadCensus.html#_remap
  Attribute
  Class Variable
  PRIVATE
  Undocumented
- igraph.TriadCensus.__getitem__
  igraph.TriadCensus.html#__getitem__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.TriadCensus.__getattr__
  igraph.TriadCensus.html#__getattr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.TriadCensus.__repr__
  igraph.TriadCensus.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.TriadCensus.__str__
  igraph.TriadCensus.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.UniqueIdGenerator
  igraph.UniqueIdGenerator.html
  Class
  Class
  PUBLIC
  A dictionary-like class that can be used to assign unique IDs to names (say, vertex names).
- igraph.UniqueIdGenerator.__init__
  igraph.UniqueIdGenerator.html#__init__
  Function
  Method
  PUBLIC
  Creates a new unique ID generator. `id_generator` specifies how do we assign new IDs to elements that do not have an ID yet. If it is `None`, elements will be assigned integer identifiers starting from 0. ...
- igraph.UniqueIdGenerator._generator
  igraph.UniqueIdGenerator.html#_generator
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.UniqueIdGenerator._ids
  igraph.UniqueIdGenerator.html#_ids
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.UniqueIdGenerator.__contains__
  igraph.UniqueIdGenerator.html#__contains__
  Function
  Method
  PUBLIC
  Checks whether `item` already has an ID or not.
- igraph.UniqueIdGenerator.__getitem__
  igraph.UniqueIdGenerator.html#__getitem__
  Function
  Method
  PUBLIC
  Retrieves the ID corresponding to `item`. Generates a new ID for `item` if it is the first time we request an ID for it.
- igraph.UniqueIdGenerator.__setitem__
  igraph.UniqueIdGenerator.html#__setitem__
  Function
  Method
  PUBLIC
  Overrides the ID for `item`.
- igraph.UniqueIdGenerator.__len__
  igraph.UniqueIdGenerator.html#__len__
  Function
  Method
  PUBLIC
  Returns the number of items.
- igraph.UniqueIdGenerator.reverse_dict
  igraph.UniqueIdGenerator.html#reverse_dict
  Function
  Method
  PUBLIC
  Returns the reverse mapping, i.e., the one that maps from generated IDs to their corresponding objects
- igraph.UniqueIdGenerator.values
  igraph.UniqueIdGenerator.html#values
  Function
  Method
  PUBLIC
  Returns the values stored so far. If the generator generates items according to the standard sorting order, the values returned will be exactly in the order they were added. This holds for integer IDs for instance (but for many other ID generators as well).
- igraph.formula.generate_edges
  igraph.formula.html#generate_edges
  Function
  Function
  PUBLIC
  Parses an edge specification from the head of the given formula part and yields the following:
- igraph.formula.construct_graph_from_formula
  igraph.formula.html#construct_graph_from_formula
  Function
  Function
  PUBLIC
  Graph.Formula(formula = None, attr = "name", simplify = True)
- igraph.io._format_mapping
  igraph.io.html#_format_mapping
  Attribute
  Variable
  PRIVATE
  Undocumented
- igraph.io.files._identify_format
  igraph.io.files.html#_identify_format
  Function
  Function
  PRIVATE
  _identify_format(filename)
- igraph.io.files._construct_graph_from_adjacency_file
  igraph.io.files.html#_construct_graph_from_adjacency_file
  Function
  Function
  PRIVATE
  Constructs a graph based on an adjacency matrix from the given file.
- igraph.io.files._construct_graph_from_dimacs_file
  igraph.io.files.html#_construct_graph_from_dimacs_file
  Function
  Function
  PRIVATE
  Reads a graph from a file conforming to the DIMACS minimum-cost flow file format.
- igraph.io.files._construct_graph_from_graphmlz_file
  igraph.io.files.html#_construct_graph_from_graphmlz_file
  Function
  Function
  PRIVATE
  Reads a graph from a zipped GraphML file.
- igraph.io.files._construct_graph_from_pickle_file
  igraph.io.files.html#_construct_graph_from_pickle_file
  Function
  Function
  PRIVATE
  Reads a graph from Python pickled format
- igraph.io.files._construct_graph_from_picklez_file
  igraph.io.files.html#_construct_graph_from_picklez_file
  Function
  Function
  PRIVATE
  Reads a graph from compressed Python pickled format, uncompressing it on-the-fly.
- igraph.io.files._construct_graph_from_file
  igraph.io.files.html#_construct_graph_from_file
  Function
  Function
  PRIVATE
  Unified reading function for graphs.
- igraph.io.files._write_graph_to_adjacency_file
  igraph.io.files.html#_write_graph_to_adjacency_file
  Function
  Function
  PRIVATE
  Writes the adjacency matrix of the graph to the given file
- igraph.io.files._write_graph_to_dimacs_file
  igraph.io.files.html#_write_graph_to_dimacs_file
  Function
  Function
  PRIVATE
  Writes the graph in DIMACS format to the given file.
- igraph.io.files._write_graph_to_graphmlz_file
  igraph.io.files.html#_write_graph_to_graphmlz_file
  Function
  Function
  PRIVATE
  Writes the graph to a zipped GraphML file.
- igraph.io.files._write_graph_to_pickle_file
  igraph.io.files.html#_write_graph_to_pickle_file
  Function
  Function
  PRIVATE
  Saves the graph in Python pickled format
- igraph.io.files._write_graph_to_picklez_file
  igraph.io.files.html#_write_graph_to_picklez_file
  Function
  Function
  PRIVATE
  Saves the graph in Python pickled format, compressed with gzip.
- igraph.io.files._write_graph_to_file
  igraph.io.files.html#_write_graph_to_file
  Function
  Function
  PRIVATE
  Unified writing function for graphs.
- igraph.io.objects._construct_graph_from_dict_list
  igraph.io.objects.html#_construct_graph_from_dict_list
  Function
  Function
  PRIVATE
  Constructs a graph from a list-of-dictionaries representation.
- igraph.io.objects._construct_graph_from_tuple_list
  igraph.io.objects.html#_construct_graph_from_tuple_list
  Function
  Function
  PRIVATE
  Constructs a graph from a list-of-tuples representation.
- igraph.io.objects._construct_graph_from_list_dict
  igraph.io.objects.html#_construct_graph_from_list_dict
  Function
  Function
  PRIVATE
  Constructs a graph from a dict-of-lists representation.
- igraph.io.objects._construct_graph_from_dict_dict
  igraph.io.objects.html#_construct_graph_from_dict_dict
  Function
  Function
  PRIVATE
  Constructs a graph from a dict-of-dicts representation.
- igraph.io.objects._construct_graph_from_dataframe
  igraph.io.objects.html#_construct_graph_from_dataframe
  Function
  Function
  PRIVATE
  Generates a graph from one or two dataframes.
- igraph.io.objects._export_graph_to_dict_list
  igraph.io.objects.html#_export_graph_to_dict_list
  Function
  Function
  PRIVATE
  Export graph as two lists of dictionaries, for vertices and edges.
- igraph.io.objects._export_graph_to_tuple_list
  igraph.io.objects.html#_export_graph_to_tuple_list
  Function
  Function
  PRIVATE
  Export graph to a list of edge tuples
- igraph.io.objects._export_graph_to_list_dict
  igraph.io.objects.html#_export_graph_to_list_dict
  Function
  Function
  PRIVATE
  Export graph to a dictionary of lists (or other sequences).
- igraph.io.objects._export_graph_to_dict_dict
  igraph.io.objects.html#_export_graph_to_dict_dict
  Function
  Function
  PRIVATE
  Export graph to dictionary of dicts of edge attributes
- igraph.io.objects._export_vertex_dataframe
  igraph.io.objects.html#_export_vertex_dataframe
  Function
  Function
  PRIVATE
  Export vertices with attributes to pandas.DataFrame
- igraph.io.objects._export_edge_dataframe
  igraph.io.objects.html#_export_edge_dataframe
  Function
  Function
  PRIVATE
  Export edges with attributes to pandas.DataFrame
- igraph.sparse_matrix._SUPPORTED_MODES
  igraph.sparse_matrix.html#_SUPPORTED_MODES
  Attribute
  Constant
  PRIVATE
  Undocumented
- igraph.sparse_matrix._convert_mode_argument
  igraph.sparse_matrix.html#_convert_mode_argument
  Function
  Function
  PRIVATE
  Undocumented
- igraph.sparse_matrix._maybe_halve_diagonal
  igraph.sparse_matrix.html#_maybe_halve_diagonal
  Function
  Function
  PRIVATE
  Halves all items in the diagonal of the given SciPy sparse matrix in coo mode if and only if the given condition is True.
- igraph.sparse_matrix._graph_from_sparse_matrix
  igraph.sparse_matrix.html#_graph_from_sparse_matrix
  Function
  Function
  PRIVATE
  Construct graph from sparse matrix, unweighted.
- igraph.sparse_matrix._graph_from_weighted_sparse_matrix
  igraph.sparse_matrix.html#_graph_from_weighted_sparse_matrix
  Function
  Function
  PRIVATE
  Construct graph from sparse matrix, weighted
- igraph.io.adjacency._construct_graph_from_adjacency
  igraph.io.adjacency.html#_construct_graph_from_adjacency
  Function
  Function
  PRIVATE
  Generates a graph from its adjacency matrix.
- igraph.io.adjacency._construct_graph_from_weighted_adjacency
  igraph.io.adjacency.html#_construct_graph_from_weighted_adjacency
  Function
  Function
  PRIVATE
  Generates a graph from its weighted adjacency matrix.
- igraph.io.libraries._export_graph_to_networkx
  igraph.io.libraries.html#_export_graph_to_networkx
  Function
  Function
  PRIVATE
  Converts the graph to networkx format.
- igraph.io.libraries._construct_graph_from_networkx
  igraph.io.libraries.html#_construct_graph_from_networkx
  Function
  Function
  PRIVATE
  Converts the graph from networkx
- igraph.io.libraries._export_graph_to_graph_tool
  igraph.io.libraries.html#_export_graph_to_graph_tool
  Function
  Function
  PRIVATE
  Converts the graph to graph-tool
- igraph.io.libraries._construct_graph_from_graph_tool
  igraph.io.libraries.html#_construct_graph_from_graph_tool
  Function
  Function
  PRIVATE
  Converts the graph from graph-tool
- igraph.io.random._construct_random_geometric_graph
  igraph.io.random.html#_construct_random_geometric_graph
  Function
  Function
  PRIVATE
  Generates a random geometric graph.
- igraph.io.bipartite._construct_bipartite_graph_from_adjacency
  igraph.io.bipartite.html#_construct_bipartite_graph_from_adjacency
  Function
  Function
  PRIVATE
  Creates a bipartite graph from a bipartite adjacency matrix.
- igraph.io.bipartite._construct_bipartite_graph
  igraph.io.bipartite.html#_construct_bipartite_graph
  Function
  Function
  PRIVATE
  Creates a bipartite graph with the given vertex types and edges. This is similar to the default constructor of the graph, the only difference is that it checks whether all the edges go between the two vertex classes and it assigns the type vector to a ...
- igraph.io.bipartite._construct_full_bipartite_graph
  igraph.io.bipartite.html#_construct_full_bipartite_graph
  Function
  Function
  PRIVATE
  Generates a full bipartite graph (directed or undirected, with or without loops).
- igraph.io.bipartite._construct_random_bipartite_graph
  igraph.io.bipartite.html#_construct_random_bipartite_graph
  Function
  Function
  PRIVATE
  Generates a random bipartite graph with the given number of vertices and edges (if m is given), or with the given number of vertices and the given connection probability (if p is given).
- igraph.io.images._write_graph_to_svg
  igraph.io.images.html#_write_graph_to_svg
  Function
  Function
  PRIVATE
  Saves the graph as an SVG (Scalable Vector Graphics) file
- igraph.layout.Layout
  igraph.layout.Layout.html
  Class
  Class
  PUBLIC
  Represents the layout of a graph.
- igraph.layout.Layout.__init__
  igraph.layout.Layout.html#__init__
  Function
  Method
  PUBLIC
  Constructor.
- igraph.layout.Layout._coords
  igraph.layout.Layout.html#_coords
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.layout.Layout._dim
  igraph.layout.Layout.html#_dim
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.layout.Layout.__len__
  igraph.layout.Layout.html#__len__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.layout.Layout.__getitem__
  igraph.layout.Layout.html#__getitem__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.layout.Layout.__setitem__
  igraph.layout.Layout.html#__setitem__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.layout.Layout.__delitem__
  igraph.layout.Layout.html#__delitem__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.layout.Layout.__copy__
  igraph.layout.Layout.html#__copy__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.layout.Layout.__repr__
  igraph.layout.Layout.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.layout.Layout.dim
  igraph.layout.Layout.html#dim
  Attribute
  Property
  PUBLIC
  Returns the number of dimensions
- igraph.layout.Layout.coords
  igraph.layout.Layout.html#coords
  Attribute
  Property
  PUBLIC
  The coordinates as a list of lists
- igraph.layout.Layout.append
  igraph.layout.Layout.html#append
  Function
  Method
  PUBLIC
  Appends a new point to the layout
- igraph.layout.Layout.mirror
  igraph.layout.Layout.html#mirror
  Function
  Method
  PUBLIC
  Mirrors the layout along the given dimension(s)
- igraph.layout.Layout.rotate
  igraph.layout.Layout.html#rotate
  Function
  Method
  PUBLIC
  Rotates the layout by the given degrees on the plane defined by the given two dimensions.
- igraph.layout.Layout.scale
  igraph.layout.Layout.html#scale
  Function
  Method
  PUBLIC
  Scales the layout.
- igraph.layout.Layout.translate
  igraph.layout.Layout.html#translate
  Function
  Method
  PUBLIC
  Translates the layout.
- igraph.layout.Layout.to_radial
  igraph.layout.Layout.html#to_radial
  Function
  Method
  PUBLIC
  Converts a planar layout to a radial one
- igraph.layout.Layout.transform
  igraph.layout.Layout.html#transform
  Function
  Method
  PUBLIC
  Performs an arbitrary transformation on the layout
- igraph.layout.Layout.centroid
  igraph.layout.Layout.html#centroid
  Function
  Method
  PUBLIC
  Returns the centroid of the layout.
- igraph.layout.Layout.boundaries
  igraph.layout.Layout.html#boundaries
  Function
  Method
  PUBLIC
  Returns the boundaries of the layout.
- igraph.layout.Layout.bounding_box
  igraph.layout.Layout.html#bounding_box
  Function
  Method
  PUBLIC
  Returns the bounding box of the layout.
- igraph.layout.Layout.center
  igraph.layout.Layout.html#center
  Function
  Method
  PUBLIC
  Centers the layout around the given point.
- igraph.layout.Layout.copy
  igraph.layout.Layout.html#copy
  Function
  Method
  PUBLIC
  Creates an exact copy of the layout.
- igraph.layout.Layout.fit_into
  igraph.layout.Layout.html#fit_into
  Function
  Method
  PUBLIC
  Fits the layout into the given bounding box.
- igraph.layout._layout
  igraph.layout.html#_layout
  Function
  Function
  PRIVATE
  Returns the layout of the graph according to a layout algorithm.
- igraph.layout._layout_auto
  igraph.layout.html#_layout_auto
  Function
  Function
  PRIVATE
  Chooses and runs a suitable layout function based on simple topological properties of the graph.
- igraph.layout._layout_sugiyama
  igraph.layout.html#_layout_sugiyama
  Function
  Function
  PRIVATE
  Places the vertices using a layered Sugiyama layout.
- igraph.layout._layout_method_wrapper
  igraph.layout.html#_layout_method_wrapper
  Function
  Function
  PRIVATE
  Wraps an existing layout method to ensure that it returns a Layout instead of a list of lists.
- igraph.layout._3d_version_for
  igraph.layout.html#_3d_version_for
  Function
  Function
  PRIVATE
  Creates an alias for the 3D version of the given layout algoritm.
- igraph.layout._layout_mapping
  igraph.layout.html#_layout_mapping
  Attribute
  Variable
  PRIVATE
  Undocumented
- igraph.Matching
  igraph.Matching.html
  Class
  Class
  PUBLIC
  A matching of vertices in a graph.
- igraph.Matching.__init__
  igraph.Matching.html#__init__
  Function
  Method
  PUBLIC
  Initializes the matching.
- igraph.Matching._graph
  igraph.Matching.html#_graph
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Matching._matching
  igraph.Matching.html#_matching
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Matching._num_matched
  igraph.Matching.html#_num_matched
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Matching._types
  igraph.Matching.html#_types
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.Matching.types
  igraph.Matching.html#types
  Attribute
  Property
  PUBLIC
  Returns the type vector if the graph is bipartite.
- igraph.Matching.matching
  igraph.Matching.html#matching
  Attribute
  Property
  PUBLIC
  Returns the matching vector where element i contains the ID of the vertex that vertex i is matched to.
- igraph.Matching.__len__
  igraph.Matching.html#__len__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.Matching.__repr__
  igraph.Matching.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.Matching.__str__
  igraph.Matching.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.Matching.edges
  igraph.Matching.html#edges
  Function
  Method
  PUBLIC
  Returns an edge sequence that contains the edges in the matching.
- igraph.Matching.graph
  igraph.Matching.html#graph
  Attribute
  Property
  PUBLIC
  Returns the graph corresponding to the matching.
- igraph.Matching.is_maximal
  igraph.Matching.html#is_maximal
  Function
  Method
  PUBLIC
  Returns whether the matching is maximal.
- igraph.Matching.is_matched
  igraph.Matching.html#is_matched
  Function
  Method
  PUBLIC
  Returns whether the given vertex is matched to another one.
- igraph.Matching.match_of
  igraph.Matching.html#match_of
  Function
  Method
  PUBLIC
  Returns the vertex a given vertex is matched to.
- igraph.Matching.matching.setter
  igraph.Matching.html#matching.setter
  Function
  Method
  PUBLIC
  Sets the matching vector.
- igraph.Matching.types.setter
  igraph.Matching.html#types.setter
  Function
  Method
  PUBLIC
  Undocumented
- igraph.operators.functions.name_set
  igraph.operators.functions.html#name_set
  Function
  Function
  PUBLIC
  Converts a list of names to a set of names while checking for duplicates.
- igraph.operators.functions.disjoint_union
  igraph.operators.functions.html#disjoint_union
  Function
  Function
  PUBLIC
  Graph disjoint union.
- igraph.operators.functions.union
  igraph.operators.functions.html#union
  Function
  Function
  PUBLIC
  Graph union.
- igraph.operators.functions.intersection
  igraph.operators.functions.html#intersection
  Function
  Function
  PUBLIC
  Graph intersection.
- igraph.operators.methods._disjoint_union
  igraph.operators.methods.html#_disjoint_union
  Function
  Function
  PRIVATE
  Creates the disjoint union of two (or more) graphs.
- igraph.operators.methods._union
  igraph.operators.methods.html#_union
  Function
  Function
  PRIVATE
  Creates the union of two (or more) graphs.
- igraph.operators.methods._intersection
  igraph.operators.methods.html#_intersection
  Function
  Function
  PRIVATE
  Creates the intersection of two (or more) graphs.
- igraph.operators.methods.__iadd__
  igraph.operators.methods.html#__iadd__
  Function
  Function
  PUBLIC
  In-place addition (disjoint union).
- igraph.operators.methods.__add__
  igraph.operators.methods.html#__add__
  Function
  Function
  PUBLIC
  Copies the graph and extends the copy depending on the type of the other object given.
- igraph.operators.methods.__and__
  igraph.operators.methods.html#__and__
  Function
  Function
  PUBLIC
  Graph intersection operator.
- igraph.operators.methods.__isub__
  igraph.operators.methods.html#__isub__
  Function
  Function
  PUBLIC
  In-place subtraction (difference).
- igraph.operators.methods.__sub__
  igraph.operators.methods.html#__sub__
  Function
  Function
  PUBLIC
  Removes the given object(s) from the graph
- igraph.operators.methods.__mul__
  igraph.operators.methods.html#__mul__
  Function
  Function
  PUBLIC
  Copies exact replicas of the original graph an arbitrary number of times.
- igraph.operators.methods.__or__
  igraph.operators.methods.html#__or__
  Function
  Function
  PUBLIC
  Graph union operator.
- igraph.operators.operator_method_registry
  igraph.operators.html#operator_method_registry
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.EdgeSeq
  igraph.EdgeSeq.html
  Class
  Class
  PUBLIC
  Class representing a sequence of edges in the graph.
- igraph.EdgeSeq.attributes
  igraph.EdgeSeq.html#attributes
  Function
  Method
  PUBLIC
  Returns the list of all the edge attributes in the graph associated to this edge sequence.
- igraph.EdgeSeq.find
  igraph.EdgeSeq.html#find
  Function
  Method
  PUBLIC
  Returns the first edge of the edge sequence that matches some criteria.
- igraph.EdgeSeq.select
  igraph.EdgeSeq.html#select
  Function
  Method
  PUBLIC
  Selects a subset of the edge sequence based on some criteria
- igraph.EdgeSeq.__call__
  igraph.EdgeSeq.html#__call__
  Function
  Method
  PUBLIC
  Shorthand notation to select()
- igraph.VertexSeq
  igraph.VertexSeq.html
  Class
  Class
  PUBLIC
  Class representing a sequence of vertices in the graph.
- igraph.VertexSeq.attributes
  igraph.VertexSeq.html#attributes
  Function
  Method
  PUBLIC
  Returns the list of all the vertex attributes in the graph associated to this vertex sequence.
- igraph.VertexSeq.find
  igraph.VertexSeq.html#find
  Function
  Method
  PUBLIC
  Returns the first vertex of the vertex sequence that matches some criteria.
- igraph.VertexSeq.select
  igraph.VertexSeq.html#select
  Function
  Method
  PUBLIC
  Selects a subset of the vertex sequence based on some criteria
- igraph.VertexSeq.__call__
  igraph.VertexSeq.html#__call__
  Function
  Method
  PUBLIC
  Shorthand notation to select()
- igraph.structural._indegree
  igraph.structural.html#_indegree
  Function
  Function
  PRIVATE
  Returns the in-degrees in a list.
- igraph.structural._outdegree
  igraph.structural.html#_outdegree
  Function
  Function
  PRIVATE
  Returns the out-degrees in a list.
- igraph.structural._degree_distribution
  igraph.structural.html#_degree_distribution
  Function
  Function
  PRIVATE
  Calculates the degree distribution of the graph.
- igraph.structural._pagerank
  igraph.structural.html#_pagerank
  Function
  Function
  PRIVATE
  Calculates the PageRank values of a graph.
- igraph.structural._shortest_paths
  igraph.structural.html#_shortest_paths
  Function
  Function
  PRIVATE
  Deprecated alias to `Graph.distances()`.
- igraph.__version__
  index.html#__version__
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.__version_info__
  index.html#__version_info__
  Attribute
  Variable
  PUBLIC
  Undocumented
- igraph.Graph
  igraph.Graph.html
  Class
  Class
  PUBLIC
  Generic graph.
- igraph.Graph.__init__
  igraph.Graph.html#__init__
  Function
  Method
  PUBLIC
  __init__(n=0, edges=None, directed=False, graph_attrs=None, vertex_attrs=None, edge_attrs=None)
- igraph.Graph.from_networkx
  igraph.Graph.html#from_networkx
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.from_graph_tool
  igraph.Graph.html#from_graph_tool
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.Read_GraphMLz
  igraph.Graph.html#Read_GraphMLz
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.Read_Pickle
  igraph.Graph.html#Read_Pickle
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.Read_Picklez
  igraph.Graph.html#Read_Picklez
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.Read_Adjacency
  igraph.Graph.html#Read_Adjacency
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.Read
  igraph.Graph.html#Read
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.DictList
  igraph.Graph.html#DictList
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.TupleList
  igraph.Graph.html#TupleList
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.ListDict
  igraph.Graph.html#ListDict
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.DictDict
  igraph.Graph.html#DictDict
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.Weighted_Adjacency
  igraph.Graph.html#Weighted_Adjacency
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.DataFrame
  igraph.Graph.html#DataFrame
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.Bipartite
  igraph.Graph.html#Bipartite
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.Biadjacency
  igraph.Graph.html#Biadjacency
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.Full_Bipartite
  igraph.Graph.html#Full_Bipartite
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.Random_Bipartite
  igraph.Graph.html#Random_Bipartite
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.GRG
  igraph.Graph.html#GRG
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.Graph.Formula
  igraph.Graph.html#Formula
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.__str__
  igraph.Graph.html#__str__
  Function
  Method
  PUBLIC
  Returns a string representation of the graph.
- igraph.Graph.summary
  igraph.Graph.html#summary
  Function
  Method
  PUBLIC
  Returns the summary of the graph.
- igraph.Graph.is_named
  igraph.Graph.html#is_named
  Function
  Method
  PUBLIC
  Returns whether the graph is named.
- igraph.Graph.is_weighted
  igraph.Graph.html#is_weighted
  Function
  Method
  PUBLIC
  Returns whether the graph is weighted.
- igraph.Graph.vs
  igraph.Graph.html#vs
  Attribute
  Property
  PUBLIC
  The vertex sequence of the graph
- igraph.Graph.es
  igraph.Graph.html#es
  Attribute
  Property
  PUBLIC
  The edge sequence of the graph
- igraph.Graph.__iadd__
  igraph.Graph.html#__iadd__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.__add__
  igraph.Graph.html#__add__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.__and__
  igraph.Graph.html#__and__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.__isub__
  igraph.Graph.html#__isub__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.__sub__
  igraph.Graph.html#__sub__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.__mul__
  igraph.Graph.html#__mul__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.__or__
  igraph.Graph.html#__or__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.disjoint_union
  igraph.Graph.html#disjoint_union
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.union
  igraph.Graph.html#union
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.intersection
  igraph.Graph.html#intersection
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.get_all_simple_paths
  igraph.Graph.html#get_all_simple_paths
  Function
  Method
  PUBLIC
  Calculates all the simple paths from a given node to some other nodes (or all of them) in a graph.
- igraph.Graph.path_length_hist
  igraph.Graph.html#path_length_hist
  Function
  Method
  PUBLIC
  Returns the path length histogram of the graph
- igraph.Graph.dfs
  igraph.Graph.html#dfs
  Function
  Method
  PUBLIC
  Conducts a depth first search (DFS) on the graph.
- igraph.Graph.spanning_tree
  igraph.Graph.html#spanning_tree
  Function
  Method
  PUBLIC
  Calculates a minimum spanning tree for a graph.
- igraph.Graph.dyad_census
  igraph.Graph.html#dyad_census
  Function
  Method
  PUBLIC
  Calculates the dyad census of the graph.
- igraph.Graph.triad_census
  igraph.Graph.html#triad_census
  Function
  Method
  PUBLIC
  Calculates the triad census of the graph.
- igraph.Graph.transitivity_avglocal_undirected
  igraph.Graph.html#transitivity_avglocal_undirected
  Function
  Method
  PUBLIC
  Calculates the average of the vertex transitivities of the graph.
- igraph.Graph._as_parameter_
  igraph.Graph.html#_as_parameter_
  Attribute
  Property
  PRIVATE
  Undocumented
- igraph.Graph.__bool__
  igraph.Graph.html#__bool__
  Function
  Method
  PUBLIC
  Returns True if the graph has at least one vertex, False otherwise.
- igraph.Graph.__coerce__
  igraph.Graph.html#__coerce__
  Function
  Method
  PUBLIC
  Coercion rules.
- igraph.Graph._reconstruct
  igraph.Graph.html#_reconstruct
  Function
  Class Method
  PRIVATE
  Reconstructs a Graph object from Python's pickled format.
- igraph.Graph.__reduce__
  igraph.Graph.html#__reduce__
  Function
  Method
  PUBLIC
  Support for pickling.
- igraph.Graph.__iter__
  igraph.Graph.html#__iter__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.__hash__
  igraph.Graph.html#__hash__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- igraph.Graph.Incidence
  igraph.Graph.html#Incidence
  Function
  Class Method
  PUBLIC
  Deprecated alias to `Graph.Biadjacency()`.
- igraph.Graph.get_incidence
  igraph.Graph.html#get_incidence
  Function
  Method
  PUBLIC
  Deprecated alias to `Graph.get_biadjacency()`.
- igraph.get_include
  index.html#get_include
  Function
  Function
  PUBLIC
  Returns the folder that contains the C API headers of the Python interface of igraph.
- igraph.read
  index.html#read
  Function
  Function
  PUBLIC
  Loads a graph from the given filename.
- igraph.write
  index.html#write
  Function
  Function
  PUBLIC
  Saves a graph to the given file.
- igraph.config
  index.html#config
  Attribute
  Variable
  PUBLIC
  The main configuration object of igraph. Use this object to modify igraph's behaviour, typically when used in interactive mode.
- igraph.app.shell.TerminalController
  igraph.app.shell.TerminalController.html
  Class
  Class
  PUBLIC
  A class that can be used to portably generate formatted output to a terminal.
- igraph.app.shell.TerminalController.BOL
  igraph.app.shell.TerminalController.html#BOL
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.UP
  igraph.app.shell.TerminalController.html#UP
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.DOWN
  igraph.app.shell.TerminalController.html#DOWN
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.LEFT
  igraph.app.shell.TerminalController.html#LEFT
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.RIGHT
  igraph.app.shell.TerminalController.html#RIGHT
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.CLEAR_SCREEN
  igraph.app.shell.TerminalController.html#CLEAR_SCREEN
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.CLEAR_EOL
  igraph.app.shell.TerminalController.html#CLEAR_EOL
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.CLEAR_BOL
  igraph.app.shell.TerminalController.html#CLEAR_BOL
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.CLEAR_EOS
  igraph.app.shell.TerminalController.html#CLEAR_EOS
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BOLD
  igraph.app.shell.TerminalController.html#BOLD
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BLINK
  igraph.app.shell.TerminalController.html#BLINK
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.DIM
  igraph.app.shell.TerminalController.html#DIM
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.REVERSE
  igraph.app.shell.TerminalController.html#REVERSE
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.NORMAL
  igraph.app.shell.TerminalController.html#NORMAL
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.HIDE_CURSOR
  igraph.app.shell.TerminalController.html#HIDE_CURSOR
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.SHOW_CURSOR
  igraph.app.shell.TerminalController.html#SHOW_CURSOR
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BLACK
  igraph.app.shell.TerminalController.html#BLACK
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BLUE
  igraph.app.shell.TerminalController.html#BLUE
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.GREEN
  igraph.app.shell.TerminalController.html#GREEN
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.CYAN
  igraph.app.shell.TerminalController.html#CYAN
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.RED
  igraph.app.shell.TerminalController.html#RED
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.MAGENTA
  igraph.app.shell.TerminalController.html#MAGENTA
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.YELLOW
  igraph.app.shell.TerminalController.html#YELLOW
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.WHITE
  igraph.app.shell.TerminalController.html#WHITE
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BG_BLACK
  igraph.app.shell.TerminalController.html#BG_BLACK
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BG_BLUE
  igraph.app.shell.TerminalController.html#BG_BLUE
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BG_GREEN
  igraph.app.shell.TerminalController.html#BG_GREEN
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BG_CYAN
  igraph.app.shell.TerminalController.html#BG_CYAN
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BG_RED
  igraph.app.shell.TerminalController.html#BG_RED
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BG_MAGENTA
  igraph.app.shell.TerminalController.html#BG_MAGENTA
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BG_YELLOW
  igraph.app.shell.TerminalController.html#BG_YELLOW
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.BG_WHITE
  igraph.app.shell.TerminalController.html#BG_WHITE
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController._STRING_CAPABILITIES
  igraph.app.shell.TerminalController.html#_STRING_CAPABILITIES
  Attribute
  Constant
  PRIVATE
  Undocumented
- igraph.app.shell.TerminalController._COLORS
  igraph.app.shell.TerminalController.html#_COLORS
  Attribute
  Constant
  PRIVATE
  Undocumented
- igraph.app.shell.TerminalController._ANSICOLORS
  igraph.app.shell.TerminalController.html#_ANSICOLORS
  Attribute
  Constant
  PRIVATE
  Undocumented
- igraph.app.shell.TerminalController.__init__
  igraph.app.shell.TerminalController.html#__init__
  Function
  Method
  PUBLIC
  Create a `TerminalController` and initialize its attributes with appropriate values for the current terminal. `term_stream` is the stream that will be used for terminal output; if this stream is not a tty, then the terminal is assumed to be a dumb terminal (i...
- igraph.app.shell.TerminalController.COLS
  igraph.app.shell.TerminalController.html#COLS
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController.LINES
  igraph.app.shell.TerminalController.html#LINES
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.app.shell.TerminalController._tigetstr
  igraph.app.shell.TerminalController.html#_tigetstr
  Function
  Static Method
  PRIVATE
  Rewrites string capabilities to remove "delays" which are not required for modern terminals
- igraph.app.shell.TerminalController._tparm
  igraph.app.shell.TerminalController.html#_tparm
  Function
  Static Method
  PRIVATE
  Undocumented
- igraph.app.shell.TerminalController.render
  igraph.app.shell.TerminalController.html#render
  Function
  Method
  PUBLIC
  Replace each $-substitutions in the given template string with the corresponding terminal control string (if it's defined) or '' (if it's not).
- igraph.app.shell.TerminalController._render_sub
  igraph.app.shell.TerminalController.html#_render_sub
  Function
  Method
  PRIVATE
  Helper function for `render`
- igraph.app.shell.ProgressBar
  igraph.app.shell.ProgressBar.html
  Class
  Class
  PUBLIC
  A 2-line progress bar.
- igraph.app.shell.ProgressBar.BAR
  igraph.app.shell.ProgressBar.html#BAR
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.ProgressBar.HEADER
  igraph.app.shell.ProgressBar.html#HEADER
  Attribute
  Constant
  PUBLIC
  Undocumented
- igraph.app.shell.ProgressBar.__init__
  igraph.app.shell.ProgressBar.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.app.shell.ProgressBar.term
  igraph.app.shell.ProgressBar.html#term
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.app.shell.ProgressBar.width
  igraph.app.shell.ProgressBar.html#width
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.app.shell.ProgressBar.progress_bar
  igraph.app.shell.ProgressBar.html#progress_bar
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.app.shell.ProgressBar.header
  igraph.app.shell.ProgressBar.html#header
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.app.shell.ProgressBar.cleared
  igraph.app.shell.ProgressBar.html#cleared
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.app.shell.ProgressBar.last_percent
  igraph.app.shell.ProgressBar.html#last_percent
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.app.shell.ProgressBar.last_message
  igraph.app.shell.ProgressBar.html#last_message
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.app.shell.ProgressBar.update
  igraph.app.shell.ProgressBar.html#update
  Function
  Method
  PUBLIC
  Updates the progress bar.
- igraph.app.shell.ProgressBar.update_message
  igraph.app.shell.ProgressBar.html#update_message
  Function
  Method
  PUBLIC
  Updates the message of the progress bar.
- igraph.app.shell.ProgressBar.clear
  igraph.app.shell.ProgressBar.html#clear
  Function
  Method
  PUBLIC
  Clears the progress bar (i.e. removes it from the screen)
- igraph.app.shell.Shell
  igraph.app.shell.Shell.html
  Class
  Class
  PUBLIC
  Superclass of the embeddable shells supported by igraph
- igraph.app.shell.Shell.__call__
  igraph.app.shell.Shell.html#__call__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.app.shell.Shell.supports_progress_bar
  igraph.app.shell.Shell.html#supports_progress_bar
  Function
  Method
  PUBLIC
  Checks whether the shell supports progress bars.
- igraph.app.shell.Shell.supports_status_messages
  igraph.app.shell.Shell.html#supports_status_messages
  Function
  Method
  PUBLIC
  Checks whether the shell supports status messages.
- igraph.app.shell.Shell.get_progress_handler
  igraph.app.shell.Shell.html#get_progress_handler
  Function
  Method
  PUBLIC
  Returns the progress handler (if exists) or None (if not).
- igraph.app.shell.Shell.get_status_handler
  igraph.app.shell.Shell.html#get_status_handler
  Function
  Method
  PUBLIC
  Returns the status handler (if exists) or None (if not).
- igraph.app.shell.IDLEShell
  igraph.app.shell.IDLEShell.html
  Class
  Class
  PUBLIC
  IDLE embedded shell interface.
- igraph.app.shell.IDLEShell.__init__
  igraph.app.shell.IDLEShell.html#__init__
  Function
  Method
  PUBLIC
  Constructor.
- igraph.app.shell.IDLEShell._shell
  igraph.app.shell.IDLEShell.html#_shell
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.app.shell.IDLEShell._root
  igraph.app.shell.IDLEShell.html#_root
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.app.shell.IDLEShell.__call__
  igraph.app.shell.IDLEShell.html#__call__
  Function
  Method
  PUBLIC
  Starts the shell
- igraph.app.shell.ConsoleProgressBarMixin
  igraph.app.shell.ConsoleProgressBarMixin.html
  Class
  Class
  PUBLIC
  Mixin class for console shells that support a progress bar.
- igraph.app.shell.ConsoleProgressBarMixin.__init__
  igraph.app.shell.ConsoleProgressBarMixin.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.app.shell.ConsoleProgressBarMixin._disable_handlers
  igraph.app.shell.ConsoleProgressBarMixin.html#_disable_handlers
  Function
  Method
  PRIVATE
  Disables the status and progress handlers if the terminal is not capable enough.
- igraph.app.shell.ConsoleProgressBarMixin._progress_handler
  igraph.app.shell.ConsoleProgressBarMixin.html#_progress_handler
  Function
  Class Method
  PRIVATE
  Progress bar handler, called when `igraph` reports the progress of an operation
- igraph.app.shell.ConsoleProgressBarMixin._status_handler
  igraph.app.shell.ConsoleProgressBarMixin.html#_status_handler
  Function
  Class Method
  PRIVATE
  Status message handler, called when `igraph` sends a status message to be displayed.
- igraph.app.shell.IPythonShell
  igraph.app.shell.IPythonShell.html
  Class
  Class
  PUBLIC
  IPython embedded shell interface.
- igraph.app.shell.IPythonShell.__init__
  igraph.app.shell.IPythonShell.html#__init__
  Function
  Method
  PUBLIC
  Constructor.
- igraph.app.shell.IPythonShell.ipython_version
  igraph.app.shell.IPythonShell.html#ipython_version
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.app.shell.IPythonShell._shell
  igraph.app.shell.IPythonShell.html#_shell
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.app.shell.IPythonShell.__call__
  igraph.app.shell.IPythonShell.html#__call__
  Function
  Method
  PUBLIC
  Starts the embedded shell.
- igraph.app.shell.ClassicPythonShell
  igraph.app.shell.ClassicPythonShell.html
  Class
  Class
  PUBLIC
  Classic Python shell interface.
- igraph.app.shell.ClassicPythonShell.__init__
  igraph.app.shell.ClassicPythonShell.html#__init__
  Function
  Method
  PUBLIC
  Constructor.
- igraph.app.shell.ClassicPythonShell._shell
  igraph.app.shell.ClassicPythonShell.html#_shell
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.app.shell.ClassicPythonShell.__call__
  igraph.app.shell.ClassicPythonShell.html#__call__
  Function
  Method
  PUBLIC
  Starts the embedded shell.
- igraph.app.shell.main
  igraph.app.shell.html#main
  Function
  Function
  PUBLIC
  The main entry point for igraph when invoked from the command line shell
- igraph.drawing.cairo.coord.CoordinateSystem
  igraph.drawing.cairo.coord.CoordinateSystem.html
  Class
  Class
  PUBLIC
  Class implementing a coordinate system object.
- igraph.drawing.cairo.coord.CoordinateSystem.draw
  igraph.drawing.cairo.coord.CoordinateSystem.html#draw
  Function
  Method
  PUBLIC
  Draws the coordinate system.
- igraph.drawing.cairo.coord.CoordinateSystem.local_to_context
  igraph.drawing.cairo.coord.CoordinateSystem.html#local_to_context
  Function
  Method
  PUBLIC
  Converts local coordinates to the context coordinate system (given by the bounding box).
- igraph.drawing.cairo.coord.DescartesCoordinateSystem
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html
  Class
  Class
  PUBLIC
  Class implementing a 2D Descartes coordinate system object.
- igraph.drawing.cairo.coord.DescartesCoordinateSystem.__init__
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#__init__
  Function
  Method
  PUBLIC
  Initializes the coordinate system.
- igraph.drawing.cairo.coord.DescartesCoordinateSystem._bounds
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#_bounds
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.coord.DescartesCoordinateSystem._bbox
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#_bbox
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.coord.DescartesCoordinateSystem._sx
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#_sx
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.coord.DescartesCoordinateSystem._sy
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#_sy
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.coord.DescartesCoordinateSystem._ox
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#_ox
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.coord.DescartesCoordinateSystem._oy
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#_oy
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.coord.DescartesCoordinateSystem._ox2
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#_ox2
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.coord.DescartesCoordinateSystem._oy2
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#_oy2
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.drawing.cairo.coord.DescartesCoordinateSystem.bbox 0
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#bbox%200
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.coord.DescartesCoordinateSystem.bbox
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#bbox
  Attribute
  Property
  PUBLIC
  Returns the bounding box of the coordinate system
- igraph.drawing.cairo.coord.DescartesCoordinateSystem.bbox.setter
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#bbox.setter
  Function
  Method
  PUBLIC
  Sets the bounding box of the coordinate system
- igraph.drawing.cairo.coord.DescartesCoordinateSystem.bounds 0
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#bounds%200
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.drawing.cairo.coord.DescartesCoordinateSystem.bounds
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#bounds
  Attribute
  Property
  PUBLIC
  Returns the lower and upper bounds of the X and Y values
- igraph.drawing.cairo.coord.DescartesCoordinateSystem.bounds.setter
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#bounds.setter
  Function
  Method
  PUBLIC
  Sets the lower and upper bounds of the X and Y values
- igraph.drawing.cairo.coord.DescartesCoordinateSystem._recalc_scale_factors
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#_recalc_scale_factors
  Function
  Method
  PRIVATE
  Recalculates some cached scale factors used within the class
- igraph.drawing.cairo.coord.DescartesCoordinateSystem.draw
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#draw
  Function
  Method
  PUBLIC
  Draws the coordinate system.
- igraph.drawing.cairo.coord.DescartesCoordinateSystem.local_to_context
  igraph.drawing.cairo.coord.DescartesCoordinateSystem.html#local_to_context
  Function
  Method
  PUBLIC
  Converts local coordinates to the context coordinate system (given by the bounding box).
- igraph.io.utils.safe_locale
  igraph.io.utils.html#safe_locale
  Function
  Function
  PUBLIC
  Helper function that establishes a context that temporarily switches the current locale to use decimal dots when printing numbers.
- igraph.remote.gephi.GephiConnection
  igraph.remote.gephi.GephiConnection.html
  Class
  Class
  PUBLIC
  Object that represents a connection to a Gephi master server.
- igraph.remote.gephi.GephiConnection.__init__
  igraph.remote.gephi.GephiConnection.html#__init__
  Function
  Method
  PUBLIC
  Constructs a connection to a Gephi master server.
- igraph.remote.gephi.GephiConnection._pending_operations
  igraph.remote.gephi.GephiConnection.html#_pending_operations
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.remote.gephi.GephiConnection._autoflush_threshold
  igraph.remote.gephi.GephiConnection.html#_autoflush_threshold
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.remote.gephi.GephiConnection.__del__
  igraph.remote.gephi.GephiConnection.html#__del__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.remote.gephi.GephiConnection._construct_default_url
  igraph.remote.gephi.GephiConnection.html#_construct_default_url
  Function
  Method
  PRIVATE
  Undocumented
- igraph.remote.gephi.GephiConnection.close
  igraph.remote.gephi.GephiConnection.html#close
  Function
  Method
  PUBLIC
  Flushes all the pending operations to the Gephi master server in a single request.
- igraph.remote.gephi.GephiConnection.flush
  igraph.remote.gephi.GephiConnection.html#flush
  Function
  Method
  PUBLIC
  Flushes all the pending operations to the Gephi master server in a single request.
- igraph.remote.gephi.GephiConnection.url 0
  igraph.remote.gephi.GephiConnection.html#url%200
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.remote.gephi.GephiConnection.url
  igraph.remote.gephi.GephiConnection.html#url
  Attribute
  Property
  PUBLIC
  The URL of the Gephi workspace where the data will be sent.
- igraph.remote.gephi.GephiConnection.url.setter
  igraph.remote.gephi.GephiConnection.html#url.setter
  Function
  Method
  PUBLIC
  Undocumented
- igraph.remote.gephi.GephiConnection._url_root
  igraph.remote.gephi.GephiConnection.html#_url_root
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.remote.gephi.GephiConnection._get_url
  igraph.remote.gephi.GephiConnection.html#_get_url
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.remote.gephi.GephiConnection._update_url
  igraph.remote.gephi.GephiConnection.html#_update_url
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- igraph.remote.gephi.GephiConnection.write
  igraph.remote.gephi.GephiConnection.html#write
  Function
  Method
  PUBLIC
  Sends the given raw data to the Gephi streaming master server in an HTTP POST request.
- igraph.remote.gephi.GephiConnection.__repr__
  igraph.remote.gephi.GephiConnection.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- igraph.remote.gephi.GephiGraphStreamingAPIFormat
  igraph.remote.gephi.GephiGraphStreamingAPIFormat.html
  Class
  Class
  PUBLIC
  Object that implements the Gephi graph streaming API format and returns Python objects corresponding to the events defined in the API.
- igraph.remote.gephi.GephiGraphStreamingAPIFormat.get_add_node_event
  igraph.remote.gephi.GephiGraphStreamingAPIFormat.html#get_add_node_event
  Function
  Method
  PUBLIC
  Generates a Python object corresponding to the event that adds a node with the given identifier and attributes in the Gephi graph streaming API.
- igraph.remote.gephi.GephiGraphStreamingAPIFormat.get_add_edge_event
  igraph.remote.gephi.GephiGraphStreamingAPIFormat.html#get_add_edge_event
  Function
  Method
  PUBLIC
  Generates a Python object corresponding to the event that adds an edge with the given source, target, directednessr and attributes in the Gephi graph streaming API.
- igraph.remote.gephi.GephiGraphStreamingAPIFormat.get_change_node_event
  igraph.remote.gephi.GephiGraphStreamingAPIFormat.html#get_change_node_event
  Function
  Method
  PUBLIC
  Generates a Python object corresponding to the event that changes the attributes of some node in the Gephi graph streaming API. The given attributes are merged into the existing ones; use C{None} as the attribute value to delete a given attribute.
- igraph.remote.gephi.GephiGraphStreamingAPIFormat.get_change_edge_event
  igraph.remote.gephi.GephiGraphStreamingAPIFormat.html#get_change_edge_event
  Function
  Method
  PUBLIC
  Generates a Python object corresponding to the event that changes the attributes of some edge in the Gephi graph streaming API. The given attributes are merged into the existing ones; use C{None} as the attribute value to delete a given attribute.
- igraph.remote.gephi.GephiGraphStreamingAPIFormat.get_delete_node_event
  igraph.remote.gephi.GephiGraphStreamingAPIFormat.html#get_delete_node_event
  Function
  Method
  PUBLIC
  Generates a Python object corresponding to the event that deletes a node with the given identifier in the Gephi graph streaming API.
- igraph.remote.gephi.GephiGraphStreamingAPIFormat.get_delete_edge_event
  igraph.remote.gephi.GephiGraphStreamingAPIFormat.html#get_delete_edge_event
  Function
  Method
  PUBLIC
  Generates a Python object corresponding to the event that deletes an edge with the given identifier in the Gephi graph streaming API.
- igraph.remote.gephi.GephiGraphStreamer
  igraph.remote.gephi.GephiGraphStreamer.html
  Class
  Class
  PUBLIC
  Class that produces JSON event objects that stream an igraph graph to Gephi using the Gephi Graph Streaming API.
- igraph.remote.gephi.GephiGraphStreamer.__init__
  igraph.remote.gephi.GephiGraphStreamer.html#__init__
  Function
  Method
  PUBLIC
  Constructs a Gephi graph streamer that will post graphs to a given file-like object or a Gephi connection.
- igraph.remote.gephi.GephiGraphStreamer.encoder
  igraph.remote.gephi.GephiGraphStreamer.html#encoder
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.remote.gephi.GephiGraphStreamer.format
  igraph.remote.gephi.GephiGraphStreamer.html#format
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- igraph.remote.gephi.GephiGraphStreamer.iterjsonobj
  igraph.remote.gephi.GephiGraphStreamer.html#iterjsonobj
  Function
  Method
  PUBLIC
  Iterates over the JSON objects that build up the graph using the Gephi graph streaming API. The objects returned from this function are Python objects; they must be formatted with `json.dumps` before sending them to the destination.
- igraph.remote.gephi.GephiGraphStreamer.post
  igraph.remote.gephi.GephiGraphStreamer.html#post
  Function
  Method
  PUBLIC
  Posts the given graph to the destination of the streamer using the given JSON encoder. When `encoder` is `None`, it falls back to the default JSON encoder of the streamer in the `encoder` property.
- igraph.remote.gephi.GephiGraphStreamer.send_event
  igraph.remote.gephi.GephiGraphStreamer.html#send_event
  Function
  Method
  PUBLIC
  Sends a single JSON event to the given destination using the given JSON encoder. When `encoder` is `None`, it falls back to the default JSON encoder of the streamer in the `encoder` property.